/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2021-08-30 10:20:52Z
 *****************************************************************************/

#include "rsdsa.h"
#include "rsdsa_internal.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

ViInt32 rsdsa_RsCoreRepCapTableCount = 10;

RsCoreRepCap rsdsa_RsCoreRepCapTable[10] =
  { /*
    {
      repCapName  ... Repeated capability name, e.g. "Channel"
      identifiers ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
      cmdValues   ... Command values (comma separated values), e.g. "1,2,3"
    } */
    {
      "Marker",
      "M1,M2,M3,M4,M5",
      "1,2,3,4,5"
    }, {
      "Delta",
      "DM1,DM2,DM3,DM4,DM5",
      "1,2,3,4,5"
    }, {
      "Mask",
      "Mask1,Mask2,Mask3,Mask4,Mask5",
      "1,2,3,4,5"
    }, {
      "SavedState",
      "SavedState1,SavedState2,SavedState3,SavedState4,SavedState5",
      "1,2,3,4,5"
    }, {
      "Trace",
      "ActiveTrace,MinHold,MaxHold,Constellation,IQDensity,MERvsTime,MERPeakvsTime,MERvsMinislot,MERvsSubcarrier,AmplitudevsFrequency,PhasevsFrequency,GroupDelayvsFrequency,EchoPattern,PowervsTime,CCDF,BERvsTimePreRS,BERvsTimePostRS,BERvsTimePreViterbi,"
      "BERvsTimePostViterbi,BERvsTimePLC,BERvsTimeNCP,BERvsTimePreLDPC,BERvsTimePostLDPC,BERvsTimePostBCH",
      "1,2,3,4,5,6,7,9,10,11,12,13,14,15,16,17,18,19,"
      "20,21,22,23,24,25"
    }, {
      "IUC_ATDMA",
      "IUC_AT1,IUC_AT2,IUC_AT3,IUC_AT4,IUC_AT5,IUC_AT6,IUC_AT7,IUC_AT8,IUC_AT9,IUC_AT10,IUC_AT11",
      "1,2,3,4,5,6,7,8,9,10,11"
    }, {
      "IUC_OFDMA",
      "IUC_OF1,IUC_OF2,IUC_OF3,IUC_OF4,IUC_OF5,IUC_OF6,IUC_OF7,IUC_OF8,IUC_OF9,IUC_OF10,IUC_OF11,IUC_OF12,IUC_OF13",
      "1,2,3,4,5,6,7,8,9,10,11,12,13"
    }, {
      "Profile",
      "ProfileA,ProfileB,ProfileC,ProfileD,ProfileE,ProfileF,ProfileG,ProfileH,ProfileI,ProfileJ,ProfileK,ProfileL,ProfileM,ProfileN,ProfileO,ProfileP",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16"
    }, {
      "SidID",
      "SidID1,SidID2,SidID3,SidID4,SidID5,SidID6,SidID7,SidID8,SidID9,SidID10",
      "1,2,3,4,5,6,7,8,9,10"
    }, {
      "Band",
      "Band1,Band2,Band3",
      "1,2,3"
    }
  };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsCoreRangeTableDiscreteEntry RsDSA_rngErrorAnalysisModeEntries[2] =
  {
    { RSDSA_VAL_ERROR_ANALYSIS_AUTO, "AUT" },
    { RSDSA_VAL_ERROR_ANALYSIS_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsDSA_rngErrorAnalysisMode = { 2, RsDSA_rngErrorAnalysisModeEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngErrorAnalysisTestDepthEntries[10] =
  {
    { RSDSA_VAL_TEST_DEPTH_1_BLOCK, "1" },
    { RSDSA_VAL_TEST_DEPTH_10_BLOCKS, "10" },
    { RSDSA_VAL_TEST_DEPTH_100_BLOCKS, "100" },
    { RSDSA_VAL_TEST_DEPTH_1K_BLOCKS, "1K" },
    { RSDSA_VAL_TEST_DEPTH_10K_BLOCKS, "10K" },
    { RSDSA_VAL_TEST_DEPTH_100K_BLOCKS, "100K" },
    { RSDSA_VAL_TEST_DEPTH_1M_BLOCKS, "1M" },
    { RSDSA_VAL_TEST_DEPTH_10M_BLOCKS, "10M" },
    { RSDSA_VAL_TEST_DEPTH_100M_BLOCKS, "100M" },
    { RSDSA_VAL_TEST_DEPTH_1G_BLOCKS, "1G" }
  };
RsCoreRangeTableDiscrete RsDSA_rngErrorAnalysisTestDepth = { 10, RsDSA_rngErrorAnalysisTestDepthEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngErrorAnalysisBERSourceEntries[3] =
  {
    { RSDSA_VAL_BER_SOURCE_ESTIMATE_FROM_FEC, "EFF" },
    { RSDSA_VAL_BER_SOURCE_PSEUDONOISE23, "PN23" },
    { RSDSA_VAL_BER_SOURCE_MAC_LFSR, "MACL" }
  };
RsCoreRangeTableDiscrete RsDSA_rngErrorAnalysisBERSource = { 3, RsDSA_rngErrorAnalysisBERSourceEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngErrorAnalysisTestDepthSourceEntries[7] =
  {
    { RSDSA_VAL_TEST_DEPTH_SOURCE_PRE_REED_SOLOMON, "RPRE" },
    { RSDSA_VAL_TEST_DEPTH_SOURCE_POST_REED_SOLOMON, "RPOS" },
    { RSDSA_VAL_TEST_DEPTH_SOURCE_PRE_VITERBI, "VPRE" },
    { RSDSA_VAL_TEST_DEPTH_SOURCE_POST_VITERBI, "VPOS" },
    { RSDSA_VAL_TEST_DEPTH_SOURCE_PRE_LDPC, "LPRE" },
    { RSDSA_VAL_TEST_DEPTH_SOURCE_POST_LDPC, "LPOS" },
    { RSDSA_VAL_TEST_DEPTH_SOURCE_POST_BCH, "BPOS" }
  };
RsCoreRangeTableDiscrete RsDSA_rngErrorAnalysisTestDepthSource = { 7, RsDSA_rngErrorAnalysisTestDepthSourceEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngReferenceMarkerEntries[6] =
  {
    { RSDSA_VAL_REFERENCE_MARKER_NORMAL, "Normal" },
    { RSDSA_VAL_REFERENCE_MARKER_1, "1" },
    { RSDSA_VAL_REFERENCE_MARKER_2, "2" },
    { RSDSA_VAL_REFERENCE_MARKER_3, "3" },
    { RSDSA_VAL_REFERENCE_MARKER_4, "4" },
    { RSDSA_VAL_REFERENCE_MARKER_5, "5" }
  };
RsCoreRangeTableDiscrete RsDSA_rngReferenceMarker = { 6, RsDSA_rngReferenceMarkerEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngInstrumentModeEntries[13] =
  {
    { RSDSA_VAL_INSTR_MODE_UNKNOWN, "UNKN" },
    { RSDSA_VAL_INSTR_MODE_ED30, "ED30" },
    { RSDSA_VAL_INSTR_MODE_D30D, "D30D" },
    { RSDSA_VAL_INSTR_MODE_D30J, "D30J" },
    { RSDSA_VAL_INSTR_MODE_D31D, "D31D" },
    { RSDSA_VAL_INSTR_MODE_JQD, "JQD" },
    { RSDSA_VAL_INSTR_MODE_D30A, "D30A" },
    { RSDSA_VAL_INSTR_MODE_D31U, "D31U" },
    { RSDSA_VAL_INSTR_MODE_DUAN, "DUAN" },
    { RSDSA_VAL_INSTR_MODE_SUAN, "SUAN" },
    { RSDSA_VAL_INSTR_MODE_CMRA, "CMRA" },
    { RSDSA_VAL_INSTR_MODE_SAD, "SAD" },
    { RSDSA_VAL_INSTR_MODE_SAUP, "SAUP" }
  };
RsCoreRangeTableDiscrete RsDSA_rngInstrumentMode = { 13, RsDSA_rngInstrumentModeEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngCaptureModeEntries[2] =
  {
    { RSDSA_VAL_MEASUREMENT_CAPTURE_CONTINUOUS, "CONT" },
    { RSDSA_VAL_MEASUREMENT_CAPTURE_SINGLE, "SING" }
  };
RsCoreRangeTableDiscrete RsDSA_rngCaptureMode = { 2, RsDSA_rngCaptureModeEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngDetectorEntries[3] =
  {
    { RSDSA_VAL_DETECTION_METHOD_SAMPLE, "SAMP" },
    { RSDSA_VAL_DETECTION_METHOD_RMS, "RMS" },
    { RSDSA_VAL_DETECTION_METHOD_PEAK, "PEAK" }
  };
RsCoreRangeTableDiscrete RsDSA_rngDetector = { 3, RsDSA_rngDetectorEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngTraceHoldEntries[4] =
  {
    { RSDSA_VAL_TRACE_MODE_WRITE, "WRIT" },
    { RSDSA_VAL_TRACE_MODE_MIN_HOLD, "MINH" },
    { RSDSA_VAL_TRACE_MODE_MAX_HOLD, "MAXH" },
    { RSDSA_VAL_TRACE_MODE_MIN_MAX_HOLD, "MINM" }
  };
RsCoreRangeTableDiscrete RsDSA_rngTraceHold = { 4, RsDSA_rngTraceHoldEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngACPFrequencyGridSpacingEntries[3] =
  {
    { RSDSA_VAL_ACP_FREQUENCY_GRID_6MHZ, "G6" },
    { RSDSA_VAL_ACP_FREQUENCY_GRID_7MHZ, "G7" },
    { RSDSA_VAL_ACP_FREQUENCY_GRID_8MHZ, "G8" }
  };
RsCoreRangeTableDiscrete RsDSA_rngACPFrequencyGridSpacing = { 3, RsDSA_rngACPFrequencyGridSpacingEntries };

RsCoreRangeTableRanged RsDSA_rngACPReferenceChannel = { 1, 7, "" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngIQDensityModeEntries[2] =
  {
    { RSDSA_VAL_IQ_MEASUREMENT_MODE_HOLD, "HOLD" },
    { RSDSA_VAL_IQ_MEASUREMENT_MODE_SLIDING_WINDOW, "SWIN" }
  };
RsCoreRangeTableDiscrete RsDSA_rngIQDensityMode = { 2, RsDSA_rngIQDensityModeEntries };

RsCoreRangeTableRanged RsDSA_rngIQSlidingWindow = { 1, 256, "samples" };

RsCoreRangeTableRanged RsDSA_rngIQZoomOrigin = { 0, 1, "" };

RsCoreRangeTableRanged RsDSA_rngIQZoomLevel = { 1, 128, "" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngTimePlotFilterPeriodEntries[6] =
  {
    { RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE, "LMIN" },
    { RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_10_MINUTES, "L10M" },
    { RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_HOUR, "LHO" },
    { RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_DAY, "LDAY" },
    { RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_WEEK, "LWE" },
    { RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MONTH, "LMON" }
  };
RsCoreRangeTableDiscrete RsDSA_rngTimePlotFilterPeriod = { 6, RsDSA_rngTimePlotFilterPeriodEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngD31UPlotDataFilterEntries[4] =
  {
    { RSDSA_VAL_PLOT_DATA_FILTER_OVERALL, "OVER" },
    { RSDSA_VAL_PLOT_DATA_FILTER_IUC, "IUC" },
    { RSDSA_VAL_PLOT_DATA_FILTER_PILOT, "PIL" },
    { RSDSA_VAL_PLOT_DATA_FILTER_COMPLEMENTARY_PILOT, "CPIL" }
  };
RsCoreRangeTableDiscrete RsDSA_rngD31UPlotDataFilter = { 4, RsDSA_rngD31UPlotDataFilterEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngD31DProfileFilterEntries[17] =
  {
    { RSDSA_VAL_PROFILE_FILTER_ALL, "ALL" },
    { RSDSA_VAL_PROFILE_FILTER_A, "PA" },
    { RSDSA_VAL_PROFILE_FILTER_B, "PB" },
    { RSDSA_VAL_PROFILE_FILTER_C, "PC" },
    { RSDSA_VAL_PROFILE_FILTER_D, "PD" },
    { RSDSA_VAL_PROFILE_FILTER_E, "PE" },
    { RSDSA_VAL_PROFILE_FILTER_F, "PF" },
    { RSDSA_VAL_PROFILE_FILTER_G, "PG" },
    { RSDSA_VAL_PROFILE_FILTER_H, "PH" },
    { RSDSA_VAL_PROFILE_FILTER_I, "PI" },
    { RSDSA_VAL_PROFILE_FILTER_J, "PJ" },
    { RSDSA_VAL_PROFILE_FILTER_K, "PK" },
    { RSDSA_VAL_PROFILE_FILTER_L, "PL" },
    { RSDSA_VAL_PROFILE_FILTER_M, "PM" },
    { RSDSA_VAL_PROFILE_FILTER_N, "PN" },
    { RSDSA_VAL_PROFILE_FILTER_O, "PO" },
    { RSDSA_VAL_PROFILE_FILTER_P, "PP" }
  };
RsCoreRangeTableDiscrete RsDSA_rngD31DProfileFilter = { 17, RsDSA_rngD31DProfileFilterEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngDataFilterIUCEntries[18] =
  {
    { RSDSA_VAL_DATA_FILTER_IUC0, "IUC0" },
    { RSDSA_VAL_DATA_FILTER_IUC1, "IUC1" },
    { RSDSA_VAL_DATA_FILTER_IUC2, "IUC2" },
    { RSDSA_VAL_DATA_FILTER_IUC3, "IUC3" },
    { RSDSA_VAL_DATA_FILTER_IUC4, "IUC4" },
    { RSDSA_VAL_DATA_FILTER_IUC5, "IUC5" },
    { RSDSA_VAL_DATA_FILTER_IUC6, "IUC6" },
    { RSDSA_VAL_DATA_FILTER_IUC7, "IUC7" },
    { RSDSA_VAL_DATA_FILTER_IUC8, "IUC8" },
    { RSDSA_VAL_DATA_FILTER_IUC9, "IUC9" },
    { RSDSA_VAL_DATA_FILTER_IUC10, "IUC10" },
    { RSDSA_VAL_DATA_FILTER_IUC11, "IUC11" },
    { RSDSA_VAL_DATA_FILTER_IUC12, "IUC12" },
    { RSDSA_VAL_DATA_FILTER_IUC13, "IUC13" },
    { RSDSA_VAL_DATA_FILTER_IUC14, "IUC14" },
    { RSDSA_VAL_DATA_FILTER_IUC15, "IUC15" },
    { RSDSA_VAL_DATA_FILTER_ALL, "ALL" },
    { RSDSA_VAL_DATA_FILTER_WIDEBAND_PROBE, "WPR" }
  };
RsCoreRangeTableDiscrete RsDSA_rngDataFilterIUC = { 18, RsDSA_rngDataFilterIUCEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngCodewordLengthEntries[4] =
  {
    { RSDSA_VAL_CODEWORD_LENGTH_ALL, "ALL" },
    { RSDSA_VAL_CODEWORD_LENGTH_SHORT, "SHOR" },
    { RSDSA_VAL_CODEWORD_LENGTH_MEDIUM, "MED" },
    { RSDSA_VAL_CODEWORD_LENGTH_LONG, "LONG" }
  };
RsCoreRangeTableDiscrete RsDSA_rngCodewordLength = { 4, RsDSA_rngCodewordLengthEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngEqualizerStateEntries[3] =
  {
    { RSDSA_VAL_EQUALIZER_OFF, "OFF" },
    { RSDSA_VAL_EQUALIZER_ON, "ON" },
    { RSDSA_VAL_EQUALIZER_FREEZE, "FRE" }
  };
RsCoreRangeTableDiscrete RsDSA_rngEqualizerState = { 3, RsDSA_rngEqualizerStateEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngSlopeEntries[2] =
  {
    { RSDSA_VAL_SLOPE_NEGATIVE, "NEG" },
    { RSDSA_VAL_SLOPE_POSITIVE, "POS" }
  };
RsCoreRangeTableDiscrete RsDSA_rngSlope = { 2, RsDSA_rngSlopeEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngPolarityEntries[2] =
  {
    { RSDSA_VAL_POLARITY_LOW, "LOW" },
    { RSDSA_VAL_POLARITY_HIGH, "HIGH" }
  };
RsCoreRangeTableDiscrete RsDSA_rngPolarity = { 2, RsDSA_rngPolarityEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngUSBDriveEntries[4] =
  {
    { RSDSA_VAL_USB_DRIVE_1, "\'USB1\'" },
    { RSDSA_VAL_USB_DRIVE_2, "\'USB2\'" },
    { RSDSA_VAL_USB_DRIVE_3, "\'USB3\'" },
    { RSDSA_VAL_USB_DRIVE_4, "\'USB4\'" }
  };
RsCoreRangeTableDiscrete RsDSA_rngUSBDrive = { 4, RsDSA_rngUSBDriveEntries };

RsCoreRangeTableRanged RsDSA_rngUDPPort = { 1, 65535, "" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngPayloadCaptureFilterProfileEntries[18] =
  {
    { RSDSA_VAL_PROFILE_FILTER_ALL, "ALL" },
    { RSDSA_VAL_PROFILE_FILTER_A, "PA" },
    { RSDSA_VAL_PROFILE_FILTER_B, "PB" },
    { RSDSA_VAL_PROFILE_FILTER_C, "PC" },
    { RSDSA_VAL_PROFILE_FILTER_D, "PD" },
    { RSDSA_VAL_PROFILE_FILTER_E, "PE" },
    { RSDSA_VAL_PROFILE_FILTER_F, "PF" },
    { RSDSA_VAL_PROFILE_FILTER_G, "PG" },
    { RSDSA_VAL_PROFILE_FILTER_H, "PH" },
    { RSDSA_VAL_PROFILE_FILTER_I, "PI" },
    { RSDSA_VAL_PROFILE_FILTER_J, "PJ" },
    { RSDSA_VAL_PROFILE_FILTER_K, "PK" },
    { RSDSA_VAL_PROFILE_FILTER_L, "PL" },
    { RSDSA_VAL_PROFILE_FILTER_M, "PM" },
    { RSDSA_VAL_PROFILE_FILTER_N, "PN" },
    { RSDSA_VAL_PROFILE_FILTER_O, "PO" },
    { RSDSA_VAL_PROFILE_FILTER_P, "PP" },
    { RSDSA_VAL_PROFILE_FILTER_PLC, "PLC" }
  };
RsCoreRangeTableDiscrete RsDSA_rngPayloadCaptureFilterProfile = { 18, RsDSA_rngPayloadCaptureFilterProfileEntries };

RsCoreRangeTableRanged RsDSA_rng20MB = { 0, 20971520, "Bytes" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngLockStatusEntries[2] =
  {
    { RSDSA_VAL_UNLOCKED, "UNL" },
    { RSDSA_VAL_LOCKED, "LOCK" }
  };
RsCoreRangeTableDiscrete RsDSA_rngLockStatus = { 2, RsDSA_rngLockStatusEntries };

RsCoreRangeTableRanged RsDSA_rngChannelID = { 0, 16383, "" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngChannelModulationEntries[11] =
  {
    { RSDSA_VAL_CHANNEL_MODULATION_QPSK, "QPSK" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM8, "QAM8" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM16, "QAM16" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM32, "QAM32" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM64, "QAM64" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM128, "QAM128" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM256, "QAM256" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM512, "QAM512" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM1024, "QAM1024" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM2048, "QAM2048" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM4096, "QAM4096" }
  };
RsCoreRangeTableDiscrete RsDSA_rngChannelModulation = { 11, RsDSA_rngChannelModulationEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngED30ModulationEntries[2] =
  {
    { RSDSA_VAL_CHANNEL_MODULATION_QAM64, "QAM64" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM256, "QAM256" }
  };
RsCoreRangeTableDiscrete RsDSA_rngED30Modulation = { 2, RsDSA_rngED30ModulationEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngChannelAcquisitionModeEntries[2] =
  {
    { RSDSA_VAL_CHANNEL_ACQUISITION_MODE_AUTO, "AUTO" },
    { RSDSA_VAL_CHANNEL_ACQUISITION_MODE_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsDSA_rngChannelAcquisitionMode = { 2, RsDSA_rngChannelAcquisitionModeEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngOFDMFFTSizeEntries[2] =
  {
    { RSDSA_VAL_CHANNEL_FFT_SIZE_4K, "FFT4K" },
    { RSDSA_VAL_CHANNEL_FFT_SIZE_8K, "FFT8K" }
  };
RsCoreRangeTableDiscrete RsDSA_rngOFDMFFTSize = { 2, RsDSA_rngOFDMFFTSizeEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngOFDMAFFTSizeEntries[2] =
  {
    { RSDSA_VAL_CHANNEL_FFT_SIZE_2K, "FFT2K" },
    { RSDSA_VAL_CHANNEL_FFT_SIZE_4K, "FFT4K" }
  };
RsCoreRangeTableDiscrete RsDSA_rngOFDMAFFTSize = { 2, RsDSA_rngOFDMAFFTSizeEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngCyclicPrefixLengthEntries[13] =
  {
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S96, "S96" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S128, "S128" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S160, "S160" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S192, "S192" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S224, "S224" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S256, "S256" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S288, "S288" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S320, "S320" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S384, "S384" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S512, "S512" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S640, "S640" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S768, "S768" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S1024, "S1024" }
  };
RsCoreRangeTableDiscrete RsDSA_rngCyclicPrefixLength = { 13, RsDSA_rngCyclicPrefixLengthEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngD31DCyclicPrefixLengthEntries[5] =
  {
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S192, "S192" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S256, "S256" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S512, "S512" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S768, "S768" },
    { RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S1024, "S1024" }
  };
RsCoreRangeTableDiscrete RsDSA_rngD31DCyclicPrefixLength = { 5, RsDSA_rngD31DCyclicPrefixLengthEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngFECAnnexEntries[3] =
  {
    { RSDSA_VAL_FEC_ANNEX_A, "A" },
    { RSDSA_VAL_FEC_ANNEX_B, "B" },
    { RSDSA_VAL_FEC_ANNEX_C, "C" }
  };
RsCoreRangeTableDiscrete RsDSA_rngFECAnnex = { 3, RsDSA_rngFECAnnexEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngRollOffPeriodEntries[5] =
  {
    { RSDSA_VAL_CHANNEL_ROLL_OFF_S0, "S0" },
    { RSDSA_VAL_CHANNEL_ROLL_OFF_S64, "S64" },
    { RSDSA_VAL_CHANNEL_ROLL_OFF_S128, "S128" },
    { RSDSA_VAL_CHANNEL_ROLL_OFF_S192, "S192" },
    { RSDSA_VAL_CHANNEL_ROLL_OFF_S256, "S256" }
  };
RsCoreRangeTableDiscrete RsDSA_rngRollOffPeriod = { 5, RsDSA_rngRollOffPeriodEntries };

RsCoreRangeTableRanged RsDSA_rngTimeInterleaverDepth = { 1, 32, "" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngChannelPhaseTrackingLoopBandwidthEntries[3] =
  {
    { RSDSA_VAL_CHANNEL_PHASE_TRACKING_LOOP_BANDWIDTH_FINE, "FINE" },
    { RSDSA_VAL_CHANNEL_PHASE_TRACKING_LOOP_BANDWIDTH_MEDIUM, "MED" },
    { RSDSA_VAL_CHANNEL_PHASE_TRACKING_LOOP_BANDWIDTH_COARSE, "COAR" }
  };
RsCoreRangeTableDiscrete RsDSA_rngChannelPhaseTrackingLoopBandwidth = { 3, RsDSA_rngChannelPhaseTrackingLoopBandwidthEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngD30InterleaverEntries[12] =
  {
    { RSDSA_VAL_CHANNEL_INTERLEAVER_128I_1J, "INT1" },
    { RSDSA_VAL_CHANNEL_INTERLEAVER_64I_2J, "INT2" },
    { RSDSA_VAL_CHANNEL_INTERLEAVER_32I_4J, "INT3" },
    { RSDSA_VAL_CHANNEL_INTERLEAVER_16I_8J, "INT4" },
    { RSDSA_VAL_CHANNEL_INTERLEAVER_8I_16J, "INT5" },
    { RSDSA_VAL_CHANNEL_INTERLEAVER_128I_2J, "INT6" },
    { RSDSA_VAL_CHANNEL_INTERLEAVER_128I_3J, "INT7" },
    { RSDSA_VAL_CHANNEL_INTERLEAVER_128I_4J, "INT8" },
    { RSDSA_VAL_CHANNEL_INTERLEAVER_128I_5J, "INT9" },
    { RSDSA_VAL_CHANNEL_INTERLEAVER_128I_6J, "INT10" },
    { RSDSA_VAL_CHANNEL_INTERLEAVER_128I_7J, "INT11" },
    { RSDSA_VAL_CHANNEL_INTERLEAVER_128I_8J, "INT12" }
  };
RsCoreRangeTableDiscrete RsDSA_rngD30Interleaver = { 12, RsDSA_rngD30InterleaverEntries };

RsCoreRangeTableRanged RsDSA_rngMERBursts = { 1, 255, "" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngPrefilterLengthEntries[3] =
  {
    { RSDSA_VAL_CHANNEL_PREFILTER_LENGTH_SHORT, "SHORt" },
    { RSDSA_VAL_CHANNEL_PREFILTER_LENGTH_MEDIUM, "MEDium" },
    { RSDSA_VAL_CHANNEL_PREFILTER_LENGTH_LONG, "LONG" }
  };
RsCoreRangeTableDiscrete RsDSA_rngPrefilterLength = { 3, RsDSA_rngPrefilterLengthEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngMinislotConfigModeEntries[2] =
  {
    { RSDSA_VAL_CHANNEL_MINISLOT_CONFIGURATION_FILE, "FILE" },
    { RSDSA_VAL_CHANNEL_MINISLOT_CONFIGURATION_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsDSA_rngMinislotConfigMode = { 2, RsDSA_rngMinislotConfigModeEntries };

RsCoreRangeTableRanged RsDSA_rngPilotPattern = { 1, 14, "" };

RsCoreRangeTableRanged RsDSA_rngStartingMinislot = { 0, 4294967295, "" };

RsCoreRangeTableRanged RsDSA_rngSymbolsPerFrame = { 6, 36, "symbols/frame" };

RsCoreRangeTableRanged RsDSA_rngInitialRangingNumberOfSubcarriers = { 2, 128, "" };

RsCoreRangeTableRanged RsDSA_rngInitialRangingPreambleLength = { 0, 1536, "" };

RsCoreRangeTableRanged RsDSA_rngPreambleOffset = { 0, 1534, "" };

RsCoreRangeTableRanged RsDSA_rngFineRangingStartingMinislot = { 0, 235, "" };

RsCoreRangeTableRanged RsDSA_rngFineRangingNumberOfMinislots = { 1, 32, "" };

RsCoreRangeTableRanged RsDSA_rngFineRangingNumberOfSubcarriers = { 12, 512, "" };

RsCoreRangeTableRanged RsDSA_rngWidebandProbeStartSubcarrier = { 0, 7, "" };

RsCoreRangeTableRanged RsDSA_rngWidebandProbeSymbolInFrame = { 1, 36, "" };

RsCoreRangeTableRanged RsDSA_rngBWRequestNumberOfMinislots = { 0, 256, "" };

RsCoreRangeTableRanged RsDSA_rngFirstSubcarrier = { 74, 3947, "" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngD30ASymbolRateEntries[3] =
  {
    { RSDSA_VAL_CHANNEL_SRATE_S1280, "S1280" },
    { RSDSA_VAL_CHANNEL_SRATE_S2560, "S2560" },
    { RSDSA_VAL_CHANNEL_SRATE_S5120, "S5120" }
  };
RsCoreRangeTableDiscrete RsDSA_rngD30ASymbolRate = { 3, RsDSA_rngD30ASymbolRateEntries };

RsCoreRangeTableRanged RsDSA_rngFECParameterT = { 0, 16, "" };

RsCoreRangeTableRanged RsDSA_rngFECParameterK = { 16, 253, "" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngLastCodewordLengthEntries[2] =
  {
    { RSDSA_VAL_LAST_CODEWORD_LENGTH_FIXED, "FIX" },
    { RSDSA_VAL_LAST_CODEWORD_LENGTH_SHORT, "SHOR" }
  };
RsCoreRangeTableDiscrete RsDSA_rngLastCodewordLength = { 2, RsDSA_rngLastCodewordLengthEntries };

RsCoreRangeTableRanged RsDSA_rngPreambleLength = { 32, 1536, "" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngPreambleTypeEntries[2] =
  {
    { RSDSA_VAL_CHANNEL_PREAMBLE_TYPE_QPSK0, "QPSK0" },
    { RSDSA_VAL_CHANNEL_PREAMBLE_TYPE_QPSK1, "QPSK1" }
  };
RsCoreRangeTableDiscrete RsDSA_rngPreambleType = { 2, RsDSA_rngPreambleTypeEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngReedSolomonModeEntries[3] =
  {
    { RSDSA_VAL_REED_SOLOMON_MODE_DISABLED, "DIS" },
    { RSDSA_VAL_REED_SOLOMON_MODE_FIXED, "FIX" },
    { RSDSA_VAL_REED_SOLOMON_MODE_DYNAMIC, "DYN" }
  };
RsCoreRangeTableDiscrete RsDSA_rngReedSolomonMode = { 3, RsDSA_rngReedSolomonModeEntries };

RsCoreRangeTableRanged RsDSA_rngGuardTimeSize = { 4, 255, "" };

static ViReal64 RsDSA_rngMinislotSizeEntries[8] = { 1, 2, 4, 8, 16, 32, 64, 128 };
RsCoreRangeTableCoerced RsDSA_rngMinislotSize = { 8, RsDSA_rngMinislotSizeEntries, "" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngChannelScheduleEntries[2] =
  {
    { RSDSA_CHANNEL_SCHEDULE_PERIODIC, "PER" },
    { RSDSA_CHANNEL_SCHEDULE_SINGLE, "SING" }
  };
RsCoreRangeTableDiscrete RsDSA_rngChannelSchedule = { 2, RsDSA_rngChannelScheduleEntries };

RsCoreRangeTableRanged RsDSA_rngD31USubcarrier = { 0, 4095, "" };

RsCoreRangeTableRanged RsDSA_rngChannelUCID = { 0, 255, "" };

RsCoreRangeTableRanged RsDSA_rngAlarmThreshold = { 0, 1, "" };

RsCoreRangeTableRanged RsDSA_rngFrequencySpan = { 10000, RS_VAL_MAX_REAL64, "Hz" };

RsCoreRangeTableRanged RsDSA_rngRBW = { 10, 204.8e6, "Hz" };

RsCoreRangeTableRanged RsDSA_rngAveragesCount = { 1, 65535, "" };

RsCoreRangeTableRanged RsDSA_rngVBW = { 10, 500e6, "Hz" };

RsCoreRangeTableRanged RsDSA_rng16bit = { 0, 65535, "" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngPowerUnitsEntries[4] =
  {
    { RSDSA_VAL_POWER_UNITS_DBM, "DBM" },
    { RSDSA_VAL_POWER_UNITS_DBV, "DBV" },
    { RSDSA_VAL_POWER_UNITS_DBMV, "DBMV" },
    { RSDSA_VAL_POWER_UNITS_DBUV, "DBUV" }
  };
RsCoreRangeTableDiscrete RsDSA_rngPowerUnits = { 4, RsDSA_rngPowerUnitsEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngMERSignEntries[2] =
  {
    { RSDSA_VAL_MER_SIGN_NEGATIVE, "NEG" },
    { RSDSA_VAL_MER_SIGN_POSITIVE, "POS" }
  };
RsCoreRangeTableDiscrete RsDSA_rngMERSign = { 2, RsDSA_rngMERSignEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngSystemPresetEntries[2] =
  {
    { RSDSA_VAL_SYSTEM_PRESET_FACTORY, "FACT" },
    { RSDSA_VAL_SYSTEM_PRESET_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsDSA_rngSystemPreset = { 2, RsDSA_rngSystemPresetEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngD30DModulationEntries[2] =
  {
    { RSDSA_VAL_CHANNEL_MODULATION_QAM64, "QAM64" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM256, "QAM256" }
  };
RsCoreRangeTableDiscrete RsDSA_rngD30DModulation = { 2, RsDSA_rngD30DModulationEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngJQDRollOffEntries[9] =
  {
    { RSDSA_VAL_JQD_ROLL_OFF_12, "R12" },
    { RSDSA_VAL_JQD_ROLL_OFF_13, "R13" },
    { RSDSA_VAL_JQD_ROLL_OFF_14, "R14" },
    { RSDSA_VAL_JQD_ROLL_OFF_15, "R15" },
    { RSDSA_VAL_JQD_ROLL_OFF_16, "R16" },
    { RSDSA_VAL_JQD_ROLL_OFF_17, "R17" },
    { RSDSA_VAL_JQD_ROLL_OFF_18, "R18" },
    { RSDSA_VAL_JQD_ROLL_OFF_19, "R19" },
    { RSDSA_VAL_JQD_ROLL_OFF_20, "R20" }
  };
RsCoreRangeTableDiscrete RsDSA_rngJQDRollOff = { 9, RsDSA_rngJQDRollOffEntries };

RsCoreRangeTableRanged RsDSA_rngSymbolRate = { 0.4e6, 7.2e6, "symbols per second" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngD30JModulationEntries[2] =
  {
    { RSDSA_VAL_CHANNEL_MODULATION_QAM64, "QAM64" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM256, "QAM256" }
  };
RsCoreRangeTableDiscrete RsDSA_rngD30JModulation = { 2, RsDSA_rngD30JModulationEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngJQDModulationEntries[8] =
  {
    { RSDSA_VAL_CHANNEL_MODULATION_QPSK, "QPSK" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM16, "QAM16" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM32, "QAM32" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM64, "QAM64" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM128, "QAM128" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM256, "QAM256" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM512, "QAM512" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM1024, "QAM1024" }
  };
RsCoreRangeTableDiscrete RsDSA_rngJQDModulation = { 8, RsDSA_rngJQDModulationEntries };

RsCoreRangeTableRanged RsDSA_rngD31CenterFrequency = { 54e6, 1794e6, "Hz" };

RsCoreRangeTableRanged RsDSA_rngDSAttenuation = { 0, 55, "dB" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngD31DPlotDataFilterEntries[6] =
  {
    { RSDSA_VAL_PLOT_DATA_FILTER_OVERALL, "OVER" },
    { RSDSA_VAL_PLOT_DATA_FILTER_PROFILE, "PROF" },
    { RSDSA_VAL_PLOT_DATA_FILTER_PILOT, "PIL" },
    { RSDSA_VAL_PLOT_DATA_FILTER_PLC, "PLC" },
    { RSDSA_VAL_PLOT_DATA_FILTER_NCP, "NCP" },
    { RSDSA_VAL_PLOT_DATA_FILTER_ZERO_BIT_LOADED, "ZBL" }
  };
RsCoreRangeTableDiscrete RsDSA_rngD31DPlotDataFilter = { 6, RsDSA_rngD31DPlotDataFilterEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngD30AModulationEntries[5] =
  {
    { RSDSA_VAL_CHANNEL_MODULATION_QPSK, "QPSK" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM8, "QAM8" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM16, "QAM16" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM32, "QAM32" },
    { RSDSA_VAL_CHANNEL_MODULATION_QAM64, "QAM64" }
  };
RsCoreRangeTableDiscrete RsDSA_rngD30AModulation = { 5, RsDSA_rngD30AModulationEntries };

RsCoreRangeTableRanged RsDSA_rngReedSolomonInterleaverBlockSize = { 32, 2048, "" };

RsCoreRangeTableRanged RsDSA_rngReedSolomonInterleaverDepth = { 2, 128, "" };

RsCoreRangeTableRanged RsDSA_rngUSAttenuation = { 0, 43, "dB" };

RsCoreRangeTableRanged RsDSA_rngD31UNumberOfMinislots = { 1, 255, "" };

RsCoreRangeTableRanged RsDSA_rngLastSubcarrier = { 273, 3947, "" };

RsCoreRangeTableRanged RsDSA_rngInitialRangingStartingMinislot = { 0, 235, "" };

RsCoreRangeTableRanged RsDSA_rngInitialRangingNumberOfMinislots = { 1, 255, "" };

RsCoreRangeTableRanged RsDSA_rngWidebandProbeSubcarrierSkip = { 0, 7, "" };

RsCoreRangeTableRanged RsDSA_rngBWRequestSubslot = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngDownstreamModeEntries[5] =
  {
    { RSDSA_VAL_INSTR_MODE_ED30, "ED30" },
    { RSDSA_VAL_INSTR_MODE_D30D, "D30D" },
    { RSDSA_VAL_INSTR_MODE_D30J, "D30J" },
    { RSDSA_VAL_INSTR_MODE_D31D, "D31D" },
    { RSDSA_VAL_INSTR_MODE_JQD, "JQD" }
  };
RsCoreRangeTableDiscrete RsDSA_rngDownstreamMode = { 5, RsDSA_rngDownstreamModeEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngUpstreamModeEntries[3] =
  {
    { RSDSA_VAL_INSTR_MODE_UNKNOWN, "UNKN" },
    { RSDSA_VAL_INSTR_MODE_D30A, "D30A" },
    { RSDSA_VAL_INSTR_MODE_D31U, "D31U" }
  };
RsCoreRangeTableDiscrete RsDSA_rngUpstreamMode = { 3, RsDSA_rngUpstreamModeEntries };

RsCoreRangeTableRanged RsDSA_rngSFDPilotFrequency = { 5e6, 204e6, "Hz" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngNetworkTypeEntries[2] =
  {
    { RSDSA_VAL_NETWORK_TYPE_STATIC, "STAT" },
    { RSDSA_VAL_NETWORK_TYPE_DHCP, "DHCP" }
  };
RsCoreRangeTableDiscrete RsDSA_rngNetworkType = { 2, RsDSA_rngNetworkTypeEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngSFPPlusDataRateEntries[2] =
  {
    { RSDSA_VAL_SFP_PLUS_DATA_RATE_1GBPS, "1GE" },
    { RSDSA_VAL_SFP_PLUS_DATA_RATE_10GBPS, "10GE" }
  };
RsCoreRangeTableDiscrete RsDSA_rngSFPPlusDataRate = { 2, RsDSA_rngSFPPlusDataRateEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngSFDNetworkOptionEntries[2] =
  {
    { RSDSA_VAL_SFD_NETWORK_OPTION_IP_ADDRESS, "IPAD" },
    { RSDSA_VAL_SFD_NETWORK_OPTION_IP_HOST_NAME, "HOST" }
  };
RsCoreRangeTableDiscrete RsDSA_rngSFDNetworkOption = { 2, RsDSA_rngSFDNetworkOptionEntries };

RsCoreRangeTableRanged RsDSA_rngD30ACenterFrequency = { 5e6, 85e6, "Hz" };

static RsCoreRangeTableDiscreteEntry RsDSA_rngD31UDataFilterIUCEntries[13] =
  {
    { RSDSA_VAL_DATA_FILTER_IUC1, "IUC1" },
    { RSDSA_VAL_DATA_FILTER_IUC2, "IUC2" },
    { RSDSA_VAL_DATA_FILTER_IUC3, "IUC3" },
    { RSDSA_VAL_DATA_FILTER_IUC4, "IUC4" },
    { RSDSA_VAL_DATA_FILTER_IUC5, "IUC5" },
    { RSDSA_VAL_DATA_FILTER_IUC6, "IUC6" },
    { RSDSA_VAL_DATA_FILTER_IUC9, "IUC9" },
    { RSDSA_VAL_DATA_FILTER_IUC10, "IUC10" },
    { RSDSA_VAL_DATA_FILTER_IUC11, "IUC11" },
    { RSDSA_VAL_DATA_FILTER_IUC12, "IUC12" },
    { RSDSA_VAL_DATA_FILTER_IUC13, "IUC13" },
    { RSDSA_VAL_DATA_FILTER_ALL, "ALL" },
    { RSDSA_VAL_DATA_FILTER_WIDEBAND_PROBE, "WPR" }
  };
RsCoreRangeTableDiscrete RsDSA_rngD31UDataFilterIUC = { 13, RsDSA_rngD31UDataFilterIUCEntries };

static RsCoreRangeTableDiscreteEntry RsDSA_rngDUANDownstreamModeEntries[4] =
  {
    { RSDSA_VAL_INSTR_MODE_ED30, "ED30" },
    { RSDSA_VAL_INSTR_MODE_D30D, "D30Downstream" },
    { RSDSA_VAL_INSTR_MODE_D30J, "D30J" },
    { RSDSA_VAL_INSTR_MODE_D31D, "D31Downstream" }
  };
RsCoreRangeTableDiscrete RsDSA_rngDUANDownstreamMode = { 4, RsDSA_rngDUANDownstreamModeEntries };


/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RS_ATTR_RANGE_CHECK =
  {
    RS_ATTR_RANGE_CHECK,
    "Range Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_QUERY_INSTRUMENT_STATUS =
  {
    RS_ATTR_QUERY_INSTRUMENT_STATUS,
    "Query Instrument Status",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SIMULATE =
  {
    RS_ATTR_SIMULATE,
    "Simulate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
  {
    RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    "Driver Description",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
  {
    RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    "Driver Prefix",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "rsdsa",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    "Driver Locator",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    "Driver Vendor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_REVISION =
  {
    RS_ATTR_SPECIFIC_DRIVER_REVISION,
    "Driver Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    "Class Specification Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    "Class Specification Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
  {
    RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    "Supported Instrument Models",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_GROUP_CAPABILITIES =
  {
    RS_ATTR_GROUP_CAPABILITIES,
    "Class Group Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_FUNCTION_CAPABILITIES =
  {
    RS_ATTR_FUNCTION_CAPABILITIES,
    "Function Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CHANNEL_COUNT =
  {
    RS_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_DRIVER_SETUP =
  {
    RS_ATTR_DRIVER_SETUP,
    "Driver Setup",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MANUFACTURER =
  {
    RS_ATTR_INSTRUMENT_MANUFACTURER,
    "Instrument Manufacturer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MODEL =
  {
    RS_ATTR_INSTRUMENT_MODEL,
    "Instrument Model",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
  {
    RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    "Instrument Firmware Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPTIONS_LIST =
  {
    RS_ATTR_OPTIONS_LIST,
    "Options List",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "K0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
  {
    RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    "Resource Descriptor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_LOGICAL_NAME =
  {
    RS_ATTR_LOGICAL_NAME,
    "Logical Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_PRIMARY_ERROR =
  {
    RS_ATTR_PRIMARY_ERROR,
    "Primary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SECONDARY_ERROR =
  {
    RS_ATTR_SECONDARY_ERROR,
    "Secondary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ERROR_ELABORATION =
  {
    RS_ATTR_ERROR_ELABORATION,
    "Error Elaboration",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    "Driver Major Version",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    "Driver Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    "Driver Minor Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    "Class Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    "Class Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MAJOR_VERSION =
  {
    RS_ATTR_ENGINE_MAJOR_VERSION,
    "Engine Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MINOR_VERSION =
  {
    RS_ATTR_ENGINE_MINOR_VERSION,
    "Engine Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_REVISION =
  {
    RS_ATTR_ENGINE_REVISION,
    "Engine Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPC_TIMEOUT =
  {
    RS_ATTR_OPC_TIMEOUT,
    "Operation Complete (OPC) Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ENABLE_EURODOCSIS30_MODE =
  {
    RSDSA_ATTR_ENABLE_EURODOCSIS30_MODE,
    "Enable EuroDOCSIS 3.0 Mode",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST:MODE ED30",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_DEMODULATOR_LOCK_STATUS =
  {
    RSDSA_ATTR_ED30_QUERY_DEMODULATOR_LOCK_STATUS,
    "ED30 Query Demodulator Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:ED30:LOCK:DEM?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_DECODER_LOCK_STATUS =
  {
    RSDSA_ATTR_ED30_QUERY_DECODER_LOCK_STATUS,
    "ED30 Query Decoder Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:ED30:LOCK:DEC?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_MPEG_LOCK_STATUS =
  {
    RSDSA_ATTR_ED30_QUERY_MPEG_LOCK_STATUS,
    "ED30 Query MPEG Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:ED30:LOCK:MPEG?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_SIGNAL_POWER =
  {
    RSDSA_ATTR_ED30_QUERY_SIGNAL_POWER,
    "ED30 Query Signal Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:SPOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_FREQUENCY_OFFSET =
  {
    RSDSA_ATTR_ED30_QUERY_FREQUENCY_OFFSET,
    "ED30 Query Frequency Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:FOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_SYMBOL_CLOCK_OFFSET =
  {
    RSDSA_ATTR_ED30_QUERY_SYMBOL_CLOCK_OFFSET,
    "ED30 Query Symbol Clock Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:SOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_CHANNEL_BIT_RATE =
  {
    RSDSA_ATTR_ED30_QUERY_CHANNEL_BIT_RATE,
    "ED30 Query Channel Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:CBR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_INTERLEAVER =
  {
    RSDSA_ATTR_ED30_QUERY_INTERLEAVER,
    "ED30 Query Interleaver",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:ED30:INT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "(128,1)",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_MER_COMPENSATION_ENABLED =
  {
    RSDSA_ATTR_ED30_CONFIGURE_MER_COMPENSATION_ENABLED,
    "ED30 Configure MER Compensation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:ED30:MER:RMS:COMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_MER_SIGN =
  {
    RSDSA_ATTR_ED30_CONFIGURE_MER_SIGN,
    "ED30 Configure MER Sign",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngMERSign, NULL, NULL,
    "UNIT:ED30:MERS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MER_SIGN_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_MER_RMS_COMPENSATED_OVERALL =
  {
    RSDSA_ATTR_ED30_QUERY_MER_RMS_COMPENSATED_OVERALL,
    "ED30 Query MER RMS Compensated Overall",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "READ:ED30:MER:OVER:RMS:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_MER_RMS_EQUALIZED =
  {
    RSDSA_ATTR_ED30_QUERY_MER_RMS_EQUALIZED,
    "ED30 Query MER RMS Equalized",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:MER:OVER:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_MER_PEAK =
  {
    RSDSA_ATTR_ED30_QUERY_MER_PEAK,
    "ED30 Query MER Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:MER:OVER:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_RESET_ERROR_ANALYSIS =
  {
    RSDSA_ATTR_ED30_RESET_ERROR_ANALYSIS,
    "ED30 Reset Error Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:ED30:BER:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_BER_ELAPSED_TIME =
  {
    RSDSA_ATTR_ED30_QUERY_BER_ELAPSED_TIME,
    "ED30 Query BER Elapsed Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:BER:ETIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_BER_BLOCKS_PROCESSED =
  {
    RSDSA_ATTR_ED30_QUERY_BER_BLOCKS_PROCESSED,
    "ED30 Query BER Blocks Processed",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:BER:BPR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH =
  {
    RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    "ED30 Configure Error Analysis Test Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepth, NULL, NULL,
    "CALC:ED30:BER:COUN",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_10_BLOCKS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_MODE =
  {
    RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_MODE,
    "ED30 Configure Error Analysis Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisMode, NULL, NULL,
    "CALC:ED30:BER:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_ERROR_ANALYSIS_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE =
  {
    RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE,
    "ED30 Configure Error Analysis BER Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisBERSource, NULL, NULL,
    "CALC:ED30:BER:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_BER_SOURCE_ESTIMATE_FROM_FEC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE =
  {
    RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    "ED30 Configure Error Analysis Test Depth Progression Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepthSource, NULL, NULL,
    "CALC:ED30:BER:TDS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_SOURCE_PRE_REED_SOLOMON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_BER_PRE_REED_SOLOMON =
  {
    RSDSA_ATTR_ED30_QUERY_BER_PRE_REED_SOLOMON,
    "ED30 Query BER Pre-Reed-Solomon",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:BER:RSOL:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS =
  {
    RSDSA_ATTR_ED30_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS,
    "ED30 Query BER Pre-Reed-Solomon Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:BER:BITS:RSOL:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON =
  {
    RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON,
    "ED30 Query BER Post-Reed-Solomon",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:BER:RSOL:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON_TOTAL_BITS =
  {
    RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON_TOTAL_BITS,
    "ED30 Query BER Post-Reed-Solomon Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:BER:BITS:RSOL:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS =
  {
    RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS,
    "ED30 Query BER Post-Reed-Solomon Corrected Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:BER:BITS:RSOL:POST:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS =
  {
    RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS,
    "ED30 Query BER Post-Reed-Solomon Uncorrected Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:BER:BITS:RSOL:POST:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_CER_CORRECTED =
  {
    RSDSA_ATTR_ED30_QUERY_CER_CORRECTED,
    "ED30 Query CER Corrected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:CER:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_CER_UNCORRECTED =
  {
    RSDSA_ATTR_ED30_QUERY_CER_UNCORRECTED,
    "ED30 Query CER Uncorrected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:CER:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_CER_TOTAL_CODEWORDS =
  {
    RSDSA_ATTR_ED30_QUERY_CER_TOTAL_CODEWORDS,
    "ED30 Query CER Total Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:CER:COD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_CER_CORRECTED_CODEWORDS =
  {
    RSDSA_ATTR_ED30_QUERY_CER_CORRECTED_CODEWORDS,
    "ED30 Query CER Corrected Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:CER:COD:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_CER_UNCORRECTED_CODEWORDS =
  {
    RSDSA_ATTR_ED30_QUERY_CER_UNCORRECTED_CODEWORDS,
    "ED30 Query CER Uncorrected Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:CER:COD:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_DISPLAY_CONSTELLATION_PLOT =
  {
    RSDSA_ATTR_ED30_DISPLAY_CONSTELLATION_PLOT,
    "ED30 Display Constellation Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:ED30:CONS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_DISPLAY_I_Q_DENSITY_PLOT =
  {
    RSDSA_ATTR_ED30_DISPLAY_I_Q_DENSITY_PLOT,
    "ED30 Display I/Q Density Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:ED30:IQD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_I_Q_MEASUREMENT_MODE =
  {
    RSDSA_ATTR_ED30_CONFIGURE_I_Q_MEASUREMENT_MODE,
    "ED30 Configure I/Q Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngIQDensityMode, NULL, NULL,
    "DISP:ED30:IQDM",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_IQ_MEASUREMENT_MODE_HOLD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_I_Q_WINDOW_WIDTH =
  {
    RSDSA_ATTR_ED30_CONFIGURE_I_Q_WINDOW_WIDTH,
    "ED30 Configure I/Q Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngIQSlidingWindow, NULL,
    "DISP:ED30:SWW",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_ED30_DISPLAY_I_Q_ZOOM =
  {
    RSDSA_ATTR_HIDDEN_ED30_DISPLAY_I_Q_ZOOM,
    "Hidden ED30 Display I/Q Zoom",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:ED30:IQDZ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CAPTURE_IQ_DATA_TO_FILENAME =
  {
    RSDSA_ATTR_ED30_CAPTURE_IQ_DATA_TO_FILENAME,
    "ED30 Capture IQ Data To Filename",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "OUTP:ED30:IQ:CAPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/R_S/Instr/user/data.iq.tar",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_IQ_DATA_EXPORT_MAX_SAMPLES =
  {
    RSDSA_ATTR_ED30_IQ_DATA_EXPORT_MAX_SAMPLES,
    "ED30 IQ Data Export Max Samples",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "OUTP:ED30:IQ:SAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    60000000,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_IQ_DATA_EXPORT_TIMEOUT =
  {
    RSDSA_ATTR_ED30_IQ_DATA_EXPORT_TIMEOUT,
    "ED30 IQ Data Export Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:ED30:IQ:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    600,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_DISPLAY_MER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_ED30_DISPLAY_MER_VS_TIME_PLOT,
    "ED30 Display MER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:ED30:MER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_ED30_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    "ED30 Configure MER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:ED30:MER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_DISPLAY_BER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_ED30_DISPLAY_BER_VS_TIME_PLOT,
    "ED30 Display BER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:ED30:BER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_ED30_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    "ED30 Configure BER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:ED30:BER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_DISPLAY_POWER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_ED30_DISPLAY_POWER_VS_TIME_PLOT,
    "ED30 Display Power Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:ED30:POW:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_ED30_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    "ED30 Configure Power Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:ED30:POW:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_DISPLAY_CCDF_HISTOGRAM =
  {
    RSDSA_ATTR_ED30_DISPLAY_CCDF_HISTOGRAM,
    "ED30 Display CCDF Histogram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:ED30:CCDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_CCDF_PEAK =
  {
    RSDSA_ATTR_ED30_QUERY_CCDF_PEAK,
    "ED30 Query CCDF Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:ED30:CCDF:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_ED30_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "ED30 Display Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:ED30:APS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_ED30_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "ED30 Auto Scale Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:ED30:APS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_ED30_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "ED30 Display Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:ED30:AGDS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_ED30_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "ED30 Auto Scale Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:ED30:AGDS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_DISPLAY_ECHO_PATTERN_PLOT =
  {
    RSDSA_ATTR_ED30_DISPLAY_ECHO_PATTERN_PLOT,
    "ED30 Display Echo Pattern Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:ED30:EPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_TRACE_DATA =
  {
    RSDSA_ATTR_ED30_QUERY_TRACE_DATA,
    "ED30 Query Trace Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:ED30:TRAC{Trace}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,2,3,65535",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_ACQUISITION_LOG_ALL =
  {
    RSDSA_ATTR_SYSTEM_ACQUISITION_LOG_ALL,
    "ED30 System Acquisition Log All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ED30:ALOG:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry1>\",<TimeTag1>,\"<Entry2>\",<TimeTag2>\",...",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_SYSTEM_ACQUISITION_LOG_NEXT =
  {
    RSDSA_ATTR_ED30_SYSTEM_ACQUISITION_LOG_NEXT,
    "ED30 System Acquisition Log Next",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ED30:ALOG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry>\",<TimeTag>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_SYSTEM_ACQUISITION_LOG_COUNT =
  {
    RSDSA_ATTR_ED30_SYSTEM_ACQUISITION_LOG_COUNT,
    "ED30 System Acquisition Log Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:ED30:ALOG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_SYSTEM_ACQUISITION_LOG_CLEAR_ALL =
  {
    RSDSA_ATTR_ED30_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    "ED30 System Acquisition Log Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:ED30:ALOG:CLE:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_FREQUENCY =
  {
    RSDSA_ATTR_ED30_CONFIGURE_FREQUENCY,
    "ED30 Configure Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngD31CenterFrequency, NULL,
    "CONF:ED30:CHAN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    57e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_CONSTELLATION =
  {
    RSDSA_ATTR_ED30_CONFIGURE_CONSTELLATION,
    "ED30 Configure Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngED30Modulation, NULL, NULL,
    "CONF:ED30:CHAN:MOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_MODULATION_QAM256,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_SPECTRAL_INVERSION_ENABLED =
  {
    RSDSA_ATTR_ED30_CONFIGURE_SPECTRAL_INVERSION_ENABLED,
    "ED30 Configure Spectral Inversion Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:ED30:SINV:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_EQUALIZER_STATE =
  {
    RSDSA_ATTR_ED30_CONFIGURE_EQUALIZER_STATE,
    "ED30 Configure Equalizer State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngEqualizerState, NULL, NULL,
    "INP:ED30:EQU:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_EQUALIZER_ON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_QUERY_EQUALIZER_COEFFICIENTS =
  {
    RSDSA_ATTR_ED30_QUERY_EQUALIZER_COEFFICIENTS,
    "ED30 Query Equalizer Coefficients",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:ED30:ECO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,-1,2,-2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_AUTO_LEVEL =
  {
    RSDSA_ATTR_ED30_AUTO_LEVEL,
    "ED30 Auto Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:DS:LEV:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_ATTENUATION =
  {
    RSDSA_ATTR_ED30_CONFIGURE_ATTENUATION,
    "ED30 Configure Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "INP:DS:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_PREAMPLIFIER_ENABLED =
  {
    RSDSA_ATTR_ED30_CONFIGURE_PREAMPLIFIER_ENABLED,
    "ED30 Configure Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:DS:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_ASI_OUTPUT_ENABLED =
  {
    RSDSA_ATTR_ED30_CONFIGURE_ASI_OUTPUT_ENABLED,
    "ED30 Configure ASI Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:ASI:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH =
  {
    RSDSA_ATTR_ED30_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH,
    "ED30 Configure Phase Tracking Loop Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngChannelPhaseTrackingLoopBandwidth, NULL, NULL,
    "CONF:ED30:CHAN:PTLB",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_PHASE_TRACKING_LOOP_BANDWIDTH_COARSE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_ALARM_THRESHOLD_RMS_MER_OVERALL =
  {
    RSDSA_ATTR_ED30_ALARM_THRESHOLD_RMS_MER_OVERALL,
    "ED30 Alarm Threshold RMS MER Overall",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:ED30:MER:OVER:RMS:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON =
  {
    RSDSA_ATTR_ED30_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON,
    "ED30 Alarm Threshold BER Pre-Reed-Solomon",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:ED30:BER:RSOL:PRE:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ED30_ALARM_THRESHOLD_BER_POST_REED_SOLOMON =
  {
    RSDSA_ATTR_ED30_ALARM_THRESHOLD_BER_POST_REED_SOLOMON,
    "ED30 Alarm Threshold BER Post-Reed-Solomon",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:ED30:BER:RSOL:POST:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ENABLE_DOCSIS30_MODE =
  {
    RSDSA_ATTR_ENABLE_DOCSIS30_MODE,
    "Enable DOCSIS 3.0 Mode",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST:MODE D30D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_DEMODULATOR_LOCK_STATUS =
  {
    RSDSA_ATTR_D30D_QUERY_DEMODULATOR_LOCK_STATUS,
    "D30D Query Demodulator Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:D30D:LOCK:DEM?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_DECODER_LOCK_STATUS =
  {
    RSDSA_ATTR_D30D_QUERY_DECODER_LOCK_STATUS,
    "D30D Query Decoder Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:D30D:LOCK:DEC?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_MPEG_LOCK_STATUS =
  {
    RSDSA_ATTR_D30D_QUERY_MPEG_LOCK_STATUS,
    "D30D Query MPEG Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:D30D:LOCK:MPEG?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_SIGNAL_POWER =
  {
    RSDSA_ATTR_D30D_QUERY_SIGNAL_POWER,
    "D30D Query Signal Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:SPOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_FREQUENCY_OFFSET =
  {
    RSDSA_ATTR_D30D_QUERY_FREQUENCY_OFFSET,
    "D30D Query Frequency Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:FOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_SYMBOL_CLOCK_OFFSET =
  {
    RSDSA_ATTR_D30D_QUERY_SYMBOL_CLOCK_OFFSET,
    "D30D Query Symbol Clock Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:SOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_CHANNEL_BIT_RATE =
  {
    RSDSA_ATTR_D30D_QUERY_CHANNEL_BIT_RATE,
    "D30D Query Channel Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:CBR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_INTERLEAVER =
  {
    RSDSA_ATTR_D30D_QUERY_INTERLEAVER,
    "D30D Query Interleaver",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D30D:INT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "(128,1)",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_MER_COMPENSATION_ENABLED =
  {
    RSDSA_ATTR_D30D_CONFIGURE_MER_COMPENSATION_ENABLED,
    "D30D Configure MER Compensation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:D30D:MER:RMS:COMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_MER_SIGN =
  {
    RSDSA_ATTR_D30D_CONFIGURE_MER_SIGN,
    "D30D Configure MER Sign",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngMERSign, NULL, NULL,
    "UNIT:D30D:MERS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MER_SIGN_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_MER_RMS_COMPENSATED_OVERALL =
  {
    RSDSA_ATTR_D30D_QUERY_MER_RMS_COMPENSATED_OVERALL,
    "D30D Query MER RMS Compensated Overall",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "READ:D30D:MER:OVER:RMS:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_MER_RMS_EQUALIZED =
  {
    RSDSA_ATTR_D30D_QUERY_MER_RMS_EQUALIZED,
    "D30D Query MER RMS Equalized",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:MER:OVER:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_MER_PEAK =
  {
    RSDSA_ATTR_D30D_QUERY_MER_PEAK,
    "D30D Query MER Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:MER:OVER:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_RESET_ERROR_ANALYSIS =
  {
    RSDSA_ATTR_D30D_RESET_ERROR_ANALYSIS,
    "D30D Reset Error Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D30D:BER:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_BER_ELAPSED_TIME =
  {
    RSDSA_ATTR_D30D_QUERY_BER_ELAPSED_TIME,
    "D30D Query BER Elapsed Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:BER:ETIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_BER_BLOCKS_PROCESSED =
  {
    RSDSA_ATTR_D30D_QUERY_BER_BLOCKS_PROCESSED,
    "D30D Query BER Blocks Processed",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:BER:BPR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH =
  {
    RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    "D30D Configure Error Analysis Test Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepth, NULL, NULL,
    "CALC:D30D:BER:COUN",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_10_BLOCKS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_MODE =
  {
    RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_MODE,
    "D30D Configure Error Analysis Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisMode, NULL, NULL,
    "CALC:D30D:BER:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_ERROR_ANALYSIS_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE =
  {
    RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE,
    "D30D Configure Error Analysis BER Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisBERSource, NULL, NULL,
    "CALC:D30D:BER:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_BER_SOURCE_ESTIMATE_FROM_FEC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE =
  {
    RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    "D30D Configure Error Analysis Test Depth Progression Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepthSource, NULL, NULL,
    "CALC:D30D:BER:TDS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_SOURCE_PRE_REED_SOLOMON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_BER_PRE_VITERBI =
  {
    RSDSA_ATTR_D30D_QUERY_BER_PRE_VITERBI,
    "D30D Query BER Pre-Viterbi",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:BER:VIT:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_BER_PRE_VITERBI_TOTAL_BITS =
  {
    RSDSA_ATTR_D30D_QUERY_BER_PRE_VITERBI_TOTAL_BITS,
    "D30D Query BER Pre-Viterbi Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:BER:BITS:VIT:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_BER_POST_VITERBI =
  {
    RSDSA_ATTR_D30D_QUERY_BER_POST_VITERBI,
    "D30D Query BER Post-Viterbi",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:BER:VIT:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_BER_POST_VITERBI_TOTAL_BITS =
  {
    RSDSA_ATTR_D30D_QUERY_BER_POST_VITERBI_TOTAL_BITS,
    "D30D Query BER Post-Viterbi Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:BER:BITS:VIT:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_BER_POST_REED_SOLOMON =
  {
    RSDSA_ATTR_D30D_QUERY_BER_POST_REED_SOLOMON,
    "D30D Query BER Post-Reed-Solomon",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:BER:RSOL:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS =
  {
    RSDSA_ATTR_D30D_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS,
    "D30D Query BER Post-Reed-Solomon Corrected Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:BER:BITS:RSOL:POST:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS =
  {
    RSDSA_ATTR_D30D_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS,
    "D30D Query BER Post-Reed-Solomon Uncorrected Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:BER:BITS:RSOL:POST:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_CER_CORRECTED =
  {
    RSDSA_ATTR_D30D_QUERY_CER_CORRECTED,
    "D30D Query CER Corrected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:CER:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_CER_UNCORRECTED =
  {
    RSDSA_ATTR_D30D_QUERY_CER_UNCORRECTED,
    "D30D Query CER Uncorrected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:CER:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_CER_TOTAL_CODEWORDS =
  {
    RSDSA_ATTR_D30D_QUERY_CER_TOTAL_CODEWORDS,
    "D30D Query CER Total Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:CER:COD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_CER_CORRECTED_CODEWORDS =
  {
    RSDSA_ATTR_D30D_QUERY_CER_CORRECTED_CODEWORDS,
    "D30D Query CER Corrected Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:CER:COD:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_CER_UNCORRECTED_CODEWORDS =
  {
    RSDSA_ATTR_D30D_QUERY_CER_UNCORRECTED_CODEWORDS,
    "D30D Query CER Uncorrected Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:CER:COD:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_DISPLAY_CONSTELLATION_PLOT =
  {
    RSDSA_ATTR_D30D_DISPLAY_CONSTELLATION_PLOT,
    "D30D Display Constellation Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30D:CONS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_DISPLAY_I_Q_DENSITY_PLOT =
  {
    RSDSA_ATTR_D30D_DISPLAY_I_Q_DENSITY_PLOT,
    "D30D Display I/Q Density Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30D:IQD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_I_Q_MEASUREMENT_MODE =
  {
    RSDSA_ATTR_D30D_CONFIGURE_I_Q_MEASUREMENT_MODE,
    "D30D Configure I/Q Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngIQDensityMode, NULL, NULL,
    "DISP:D30D:IQDM",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_IQ_MEASUREMENT_MODE_HOLD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_I_Q_WINDOW_WIDTH =
  {
    RSDSA_ATTR_D30D_CONFIGURE_I_Q_WINDOW_WIDTH,
    "D30D Configure I/Q Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngIQSlidingWindow, NULL,
    "DISP:D30D:SWW",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_D30D_DISPLAY_I_Q_ZOOM =
  {
    RSDSA_ATTR_HIDDEN_D30D_DISPLAY_I_Q_ZOOM,
    "Hidden D30D Display I/Q Zoom",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:D30D:IQDZ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CAPTURE_IQ_DATA_TO_FILENAME =
  {
    RSDSA_ATTR_D30D_CAPTURE_IQ_DATA_TO_FILENAME,
    "D30D Capture IQ Data To Filename",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "OUTP:D30D:IQ:CAPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/R_S/Instr/user/data.iq.tar",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_IQ_DATA_EXPORT_MAX_SAMPLES =
  {
    RSDSA_ATTR_D30D_IQ_DATA_EXPORT_MAX_SAMPLES,
    "D30D IQ Data Export Max Samples",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "OUTP:D30D:IQ:SAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    60000000,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_IQ_DATA_EXPORT_TIMEOUT =
  {
    RSDSA_ATTR_D30D_IQ_DATA_EXPORT_TIMEOUT,
    "D30D IQ Data Export Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:D30D:IQ:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    600,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_DISPLAY_MER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D30D_DISPLAY_MER_VS_TIME_PLOT,
    "D30D Display MER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30D:MER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D30D_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    "D30D Configure MER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D30D:MER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_DISPLAY_BER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D30D_DISPLAY_BER_VS_TIME_PLOT,
    "D30D Display BER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30D:BER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D30D_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    "D30D Configure BER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D30D:BER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_DISPLAY_POWER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D30D_DISPLAY_POWER_VS_TIME_PLOT,
    "D30D Display Power Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30D:POW:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D30D_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    "D30D Configure Power Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D30D:POW:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_DISPLAY_CCDF_HISTOGRAM =
  {
    RSDSA_ATTR_D30D_DISPLAY_CCDF_HISTOGRAM,
    "D30D Display CCDF Histogram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30D:CCDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_CCDF_PEAK =
  {
    RSDSA_ATTR_D30D_QUERY_CCDF_PEAK,
    "D30D Query CCDF Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30D:CCDF:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D30D_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "D30D Display Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30D:APS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D30D_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "D30D Auto Scale Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30D:APS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D30D_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "D30D Display Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30D:AGDS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D30D_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "D30D Auto Scale Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30D:AGDS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_DISPLAY_ECHO_PATTERN_PLOT =
  {
    RSDSA_ATTR_D30D_DISPLAY_ECHO_PATTERN_PLOT,
    "D30D Display Echo Pattern Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30D:EPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_TRACE_DATA =
  {
    RSDSA_ATTR_D30D_QUERY_TRACE_DATA,
    "D30D Query Trace Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D30D:TRAC{Trace}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,2,3,65535",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_ALL =
  {
    RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_ALL,
    "D30D System Acquisition Log All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:D30D:ALOG:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry1>\",<TimeTag1>,\"<Entry2>\",<TimeTag2>\",...",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_NEXT =
  {
    RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_NEXT,
    "D30D System Acquisition Log Next",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:D30D:ALOG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry>\",<TimeTag>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_COUNT =
  {
    RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_COUNT,
    "D30D System Acquisition Log Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:D30D:ALOG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_CLEAR_ALL =
  {
    RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    "D30D System Acquisition Log Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:D30D:ALOG:CLE:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_FREQUENCY =
  {
    RSDSA_ATTR_D30D_CONFIGURE_FREQUENCY,
    "D30D Configure Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngD31CenterFrequency, NULL,
    "CONF:D30D:CHAN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    57e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_CONSTELLATION =
  {
    RSDSA_ATTR_D30D_CONFIGURE_CONSTELLATION,
    "D30D Configure Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD30DModulation, NULL, NULL,
    "CONF:D30D:CHAN:MOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_MODULATION_QAM256,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_SPECTRAL_INVERSION_ENABLED =
  {
    RSDSA_ATTR_D30D_CONFIGURE_SPECTRAL_INVERSION_ENABLED,
    "D30D Configure Spectral Inversion Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:D30D:SINV:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_EQUALIZER_STATE =
  {
    RSDSA_ATTR_D30D_CONFIGURE_EQUALIZER_STATE,
    "D30D Configure Equalizer State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngEqualizerState, NULL, NULL,
    "INP:D30D:EQU:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_EQUALIZER_ON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_QUERY_EQUALIZER_COEFFICIENTS =
  {
    RSDSA_ATTR_D30D_QUERY_EQUALIZER_COEFFICIENTS,
    "D30D Query Equalizer Coefficients",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D30D:ECO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,-1,2,-2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_AUTO_LEVEL =
  {
    RSDSA_ATTR_D30D_AUTO_LEVEL,
    "D30D Auto Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:DS:LEV:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_ATTENUATION =
  {
    RSDSA_ATTR_D30D_CONFIGURE_ATTENUATION,
    "D30D Configure Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngDSAttenuation, NULL,
    "INP:DS:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_PREAMPLIFIER_ENABLED =
  {
    RSDSA_ATTR_D30D_CONFIGURE_PREAMPLIFIER_ENABLED,
    "D30D Configure Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:DS:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_ASI_OUTPUT_ENABLED =
  {
    RSDSA_ATTR_D30D_CONFIGURE_ASI_OUTPUT_ENABLED,
    "D30D Configure ASI Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:ASI:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH =
  {
    RSDSA_ATTR_D30D_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH,
    "D30D Configure Phase Tracking Loop Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngChannelPhaseTrackingLoopBandwidth, NULL, NULL,
    "CONF:D30D:CHAN:PTLB",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_PHASE_TRACKING_LOOP_BANDWIDTH_MEDIUM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_ALARM_THRESHOLD_RMS_MER_OVERALL =
  {
    RSDSA_ATTR_D30D_ALARM_THRESHOLD_RMS_MER_OVERALL,
    "D30D Alarm Threshold RMS MER Overall",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:D30D:MER:OVER:RMS:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_ALARM_THRESHOLD_BER_PRE_VITERBI =
  {
    RSDSA_ATTR_D30D_ALARM_THRESHOLD_BER_PRE_VITERBI,
    "D30D Alarm Threshold BER Pre-Viterbi",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:D30D:BER:VIT:PRE:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_ALARM_THRESHOLD_BER_POST_VITERBI =
  {
    RSDSA_ATTR_D30D_ALARM_THRESHOLD_BER_POST_VITERBI,
    "D30D Alarm Threshold BER Post-Viterbi",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:D30D:BER:VIT:POST:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30D_ALARM_THRESHOLD_BER_POST_REED_SOLOMON =
  {
    RSDSA_ATTR_D30D_ALARM_THRESHOLD_BER_POST_REED_SOLOMON,
    "D30D Alarm Threshold BER Post-Reed-Solomon",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:D30D:BER:RSOL:POST:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ENABLE_SC_QAM_J83C_MODE =
  {
    RSDSA_ATTR_ENABLE_SC_QAM_J83C_MODE,
    "Enable SC-QAM J.83C Mode",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST:MODE D30J",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_DEMODULATOR_LOCK_STATUS =
  {
    RSDSA_ATTR_D30J_QUERY_DEMODULATOR_LOCK_STATUS,
    "D30J Query Demodulator Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:D30J:LOCK:DEM?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_DECODER_LOCK_STATUS =
  {
    RSDSA_ATTR_D30J_QUERY_DECODER_LOCK_STATUS,
    "D30J Query Decoder Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:D30J:LOCK:DEC?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_MPEG_LOCK_STATUS =
  {
    RSDSA_ATTR_D30J_QUERY_MPEG_LOCK_STATUS,
    "D30J Query MPEG Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:D30J:LOCK:MPEG?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_SIGNAL_POWER =
  {
    RSDSA_ATTR_D30J_QUERY_SIGNAL_POWER,
    "D30J Query Signal Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:SPOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_FREQUENCY_OFFSET =
  {
    RSDSA_ATTR_D30J_QUERY_FREQUENCY_OFFSET,
    "D30J Query Frequency Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:FOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_SYMBOL_CLOCK_OFFSET =
  {
    RSDSA_ATTR_D30J_QUERY_SYMBOL_CLOCK_OFFSET,
    "D30J Query Symbol Clock Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:SOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_CHANNEL_BIT_RATE =
  {
    RSDSA_ATTR_D30J_QUERY_CHANNEL_BIT_RATE,
    "D30J Query Channel Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:CBR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_INTERLEAVER =
  {
    RSDSA_ATTR_D30J_QUERY_INTERLEAVER,
    "D30J Query Interleaver",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D30J:INT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "(128,1)",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_MER_COMPENSATION_ENABLED =
  {
    RSDSA_ATTR_D30J_CONFIGURE_MER_COMPENSATION_ENABLED,
    "D30J Configure MER Compensation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:D30J:MER:RMS:COMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_MER_SIGN =
  {
    RSDSA_ATTR_D30J_CONFIGURE_MER_SIGN,
    "D30J Configure MER Sign",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngMERSign, NULL, NULL,
    "UNIT:D30J:MERS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MER_SIGN_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_MER_RMS_COMPENSATED_OVERALL =
  {
    RSDSA_ATTR_D30J_QUERY_MER_RMS_COMPENSATED_OVERALL,
    "D30J Query MER RMS Compensated Overall",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "READ:D30J:MER:OVER:RMS:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_MER_RMS_EQUALIZED =
  {
    RSDSA_ATTR_D30J_QUERY_MER_RMS_EQUALIZED,
    "D30J Query MER RMS Equalized",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:MER:OVER:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_MER_PEAK =
  {
    RSDSA_ATTR_D30J_QUERY_MER_PEAK,
    "D30J Query MER Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:MER:OVER:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_RESET_ERROR_ANALYSIS =
  {
    RSDSA_ATTR_D30J_RESET_ERROR_ANALYSIS,
    "D30J Reset Error Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D30J:BER:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_BER_ELAPSED_TIME =
  {
    RSDSA_ATTR_D30J_QUERY_BER_ELAPSED_TIME,
    "D30J Query BER Elapsed Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:BER:ETIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_BER_BLOCKS_PROCESSED =
  {
    RSDSA_ATTR_D30J_QUERY_BER_BLOCKS_PROCESSED,
    "D30J Query BER Blocks Processed",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:BER:BPR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH =
  {
    RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    "D30J Configure Error Analysis Test Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepth, NULL, NULL,
    "CALC:D30J:BER:COUN",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_10_BLOCKS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_MODE =
  {
    RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_MODE,
    "D30J Configure Error Analysis Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisMode, NULL, NULL,
    "CALC:D30J:BER:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_ERROR_ANALYSIS_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE =
  {
    RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE,
    "D30J Configure Error Analysis BER Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisBERSource, NULL, NULL,
    "CALC:D30J:BER:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_BER_SOURCE_ESTIMATE_FROM_FEC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE =
  {
    RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    "D30J Configure Error Analysis Test Depth Progression Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepthSource, NULL, NULL,
    "CALC:D30J:BER:TDS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_SOURCE_PRE_REED_SOLOMON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_BER_PRE_REED_SOLOMON =
  {
    RSDSA_ATTR_D30J_QUERY_BER_PRE_REED_SOLOMON,
    "D30J Query BER Pre-Reed-Solomon",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:BER:RSOL:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS =
  {
    RSDSA_ATTR_D30J_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS,
    "D30J Query BER Pre-Reed-Solomon Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:BER:BITS:RSOL:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON =
  {
    RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON,
    "D30J Query BER Post-Reed-Solomon",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:BER:RSOL:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON_TOTAL_BITS =
  {
    RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON_TOTAL_BITS,
    "D30J Query BER Post-Reed-Solomon Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:BER:BITS:RSOL:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS =
  {
    RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS,
    "D30J Query BER Post-Reed-Solomon Corrected Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:BER:BITS:RSOL:POST:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS =
  {
    RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS,
    "D30J Query BER Post-Reed-Solomon Uncorrected Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:BER:BITS:RSOL:POST:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_CER_CORRECTED =
  {
    RSDSA_ATTR_D30J_QUERY_CER_CORRECTED,
    "D30J Query CER Corrected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:CER:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_CER_UNCORRECTED =
  {
    RSDSA_ATTR_D30J_QUERY_CER_UNCORRECTED,
    "D30J Query CER Uncorrected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:CER:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_CER_TOTAL_CODEWORDS =
  {
    RSDSA_ATTR_D30J_QUERY_CER_TOTAL_CODEWORDS,
    "D30J Query CER Total Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:CER:COD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_CER_CORRECTED_CODEWORDS =
  {
    RSDSA_ATTR_D30J_QUERY_CER_CORRECTED_CODEWORDS,
    "D30J Query CER Corrected Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:CER:COD:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_CER_UNCORRECTED_CODEWORDS =
  {
    RSDSA_ATTR_D30J_QUERY_CER_UNCORRECTED_CODEWORDS,
    "D30J Query CER Uncorrected Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:CER:COD:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_DISPLAY_CONSTELLATION_PLOT =
  {
    RSDSA_ATTR_D30J_DISPLAY_CONSTELLATION_PLOT,
    "D30J Display Constellation Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30J:CONS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_DISPLAY_I_Q_DENSITY_PLOT =
  {
    RSDSA_ATTR_D30J_DISPLAY_I_Q_DENSITY_PLOT,
    "D30J Display I/Q Density Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30J:IQD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_I_Q_MEASUREMENT_MODE =
  {
    RSDSA_ATTR_D30J_CONFIGURE_I_Q_MEASUREMENT_MODE,
    "D30J Configure I/Q Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngIQDensityMode, NULL, NULL,
    "DISP:D30J:IQDM",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_IQ_MEASUREMENT_MODE_HOLD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_I_Q_WINDOW_WIDTH =
  {
    RSDSA_ATTR_D30J_CONFIGURE_I_Q_WINDOW_WIDTH,
    "D30J Configure I/Q Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngIQSlidingWindow, NULL,
    "DISP:D30J:SWW",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_D30J_DISPLAY_I_Q_ZOOM =
  {
    RSDSA_ATTR_HIDDEN_D30J_DISPLAY_I_Q_ZOOM,
    "Hidden D30J Display I/Q Zoom",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:D30J:IQDZ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CAPTURE_IQ_DATA_TO_FILENAME =
  {
    RSDSA_ATTR_D30J_CAPTURE_IQ_DATA_TO_FILENAME,
    "D30J Capture IQ Data To Filename",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "OUTP:D30J:IQ:CAPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/R_S/Instr/user/data.iq.tar",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_IQ_DATA_EXPORT_MAX_SAMPLES =
  {
    RSDSA_ATTR_D30J_IQ_DATA_EXPORT_MAX_SAMPLES,
    "D30J IQ Data Export Max Samples",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "OUTP:D30J:IQ:SAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    60000000,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_IQ_DATA_EXPORT_TIMEOUT =
  {
    RSDSA_ATTR_D30J_IQ_DATA_EXPORT_TIMEOUT,
    "D30J IQ Data Export Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:D30J:IQ:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    600,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_DISPLAY_MER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D30J_DISPLAY_MER_VS_TIME_PLOT,
    "D30J Display MER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30J:MER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D30J_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    "D30J Configure MER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D30J:MER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_DISPLAY_BER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D30J_DISPLAY_BER_VS_TIME_PLOT,
    "D30J Display BER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30J:BER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D30J_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    "D30J Configure BER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D30J:BER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_DISPLAY_POWER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D30J_DISPLAY_POWER_VS_TIME_PLOT,
    "D30J Display Power Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30J:POW:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D30J_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    "D30J Configure Power Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D30J:POW:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_DISPLAY_CCDF_HISTOGRAM =
  {
    RSDSA_ATTR_D30J_DISPLAY_CCDF_HISTOGRAM,
    "D30J Display CCDF Histogram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30J:CCDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_CCDF_PEAK =
  {
    RSDSA_ATTR_D30J_QUERY_CCDF_PEAK,
    "D30J Query CCDF Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30J:CCDF:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D30J_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "D30J Display Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30J:APS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D30J_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "D30J Auto Scale Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30J:APS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D30J_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "D30J Display Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30J:AGDS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D30J_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "D30J Auto Scale Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30J:AGDS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_DISPLAY_ECHO_PATTERN_PLOT =
  {
    RSDSA_ATTR_D30J_DISPLAY_ECHO_PATTERN_PLOT,
    "D30J Display Echo Pattern Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30J:EPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_TRACE_DATA =
  {
    RSDSA_ATTR_D30J_QUERY_TRACE_DATA,
    "D30J Query Trace Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D30J:TRAC{Trace}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,2,3,65535",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_ALL =
  {
    RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_ALL,
    "D30J System Acquisition Log All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:D30J:ALOG:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry1>\",<TimeTag1>,\"<Entry2>\",<TimeTag2>\",...",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_NEXT =
  {
    RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_NEXT,
    "D30J System Acquisition Log Next",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:D30J:ALOG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry>\",<TimeTag>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_COUNT =
  {
    RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_COUNT,
    "D30J System Acquisition Log Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:D30J:ALOG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_CLEAR_ALL =
  {
    RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    "D30J System Acquisition Log Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:D30J:ALOG:CLE:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_FREQUENCY =
  {
    RSDSA_ATTR_D30J_CONFIGURE_FREQUENCY,
    "D30J Configure Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngD31CenterFrequency, NULL,
    "CONF:D30J:CHAN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    57e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_CONSTELLATION =
  {
    RSDSA_ATTR_D30J_CONFIGURE_CONSTELLATION,
    "D30J Configure Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD30JModulation, NULL, NULL,
    "CONF:D30J:CHAN:MOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_MODULATION_QAM256,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_SPECTRAL_INVERSION_ENABLED =
  {
    RSDSA_ATTR_D30J_CONFIGURE_SPECTRAL_INVERSION_ENABLED,
    "D30J Configure Spectral Inversion Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:D30J:SINV:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_EQUALIZER_STATE =
  {
    RSDSA_ATTR_D30J_CONFIGURE_EQUALIZER_STATE,
    "D30J Configure Equalizer State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngEqualizerState, NULL, NULL,
    "INP:D30J:EQU:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_EQUALIZER_ON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_QUERY_EQUALIZER_COEFFICIENTS =
  {
    RSDSA_ATTR_D30J_QUERY_EQUALIZER_COEFFICIENTS,
    "D30J Query Equalizer Coefficients",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D30J:ECO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,-1,2,-2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_AUTO_LEVEL =
  {
    RSDSA_ATTR_D30J_AUTO_LEVEL,
    "D30J Auto Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:DS:LEV:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_ATTENUATION =
  {
    RSDSA_ATTR_D30J_CONFIGURE_ATTENUATION,
    "D30J Configure Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngDSAttenuation, NULL,
    "INP:DS:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_PREAMPLIFIER_ENABLED =
  {
    RSDSA_ATTR_D30J_CONFIGURE_PREAMPLIFIER_ENABLED,
    "D30J Configure Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:DS:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_ASI_OUTPUT_ENABLED =
  {
    RSDSA_ATTR_D30J_CONFIGURE_ASI_OUTPUT_ENABLED,
    "D30J Configure ASI Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:ASI:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH =
  {
    RSDSA_ATTR_D30J_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH,
    "D30J Configure Phase Tracking Loop Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngChannelPhaseTrackingLoopBandwidth, NULL, NULL,
    "CONF:D30J:CHAN:PTLB",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_PHASE_TRACKING_LOOP_BANDWIDTH_MEDIUM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_ALARM_THRESHOLD_RMS_MER_OVERALL =
  {
    RSDSA_ATTR_D30J_ALARM_THRESHOLD_RMS_MER_OVERALL,
    "D30J Alarm Threshold RMS MER Overall",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:D30J:MER:OVER:RMS:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON =
  {
    RSDSA_ATTR_D30J_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON,
    "D30J Alarm Threshold BER Pre-Reed-Solomon",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:D30J:BER:RSOL:PRE:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30J_ALARM_THRESHOLD_BER_POST_REED_SOLOMON =
  {
    RSDSA_ATTR_D30J_ALARM_THRESHOLD_BER_POST_REED_SOLOMON,
    "D30J Alarm Threshold BER Post-Reed-Solomon",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:D30J:BER:RSOL:POST:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ENABLE_J83QAM_MODE =
  {
    RSDSA_ATTR_ENABLE_J83QAM_MODE,
    "Enable J.83 QAM Mode",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST:MODE JQD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_DEMODULATOR_LOCK_STATUS =
  {
    RSDSA_ATTR_JQD_QUERY_DEMODULATOR_LOCK_STATUS,
    "JQD Query Demodulator Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:JQD:LOCK:DEM?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_DECODER_LOCK_STATUS =
  {
    RSDSA_ATTR_JQD_QUERY_DECODER_LOCK_STATUS,
    "JQD Query Decoder Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:JQD:LOCK:DEC?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_MPEG_LOCK_STATUS =
  {
    RSDSA_ATTR_JQD_QUERY_MPEG_LOCK_STATUS,
    "JQD Query MPEG Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:JQD:LOCK:MPEG?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_SIGNAL_POWER =
  {
    RSDSA_ATTR_JQD_QUERY_SIGNAL_POWER,
    "JQD Query Signal Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:SPOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_FREQUENCY_OFFSET =
  {
    RSDSA_ATTR_JQD_QUERY_FREQUENCY_OFFSET,
    "JQD Query Frequency Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:FOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_SYMBOL_CLOCK_OFFSET =
  {
    RSDSA_ATTR_JQD_QUERY_SYMBOL_CLOCK_OFFSET,
    "JQD Query Symbol Clock Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:SOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_CHANNEL_BIT_RATE =
  {
    RSDSA_ATTR_JQD_QUERY_CHANNEL_BIT_RATE,
    "JQD Query Channel Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:CBR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_INTERLEAVER =
  {
    RSDSA_ATTR_JQD_QUERY_INTERLEAVER,
    "JQD Query Interleaver",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:JQD:INT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "(128,1)",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_MER_COMPENSATION_ENABLED =
  {
    RSDSA_ATTR_JQD_CONFIGURE_MER_COMPENSATION_ENABLED,
    "JQD Configure MER Compensation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:JQD:MER:RMS:COMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_MER_SIGN =
  {
    RSDSA_ATTR_JQD_CONFIGURE_MER_SIGN,
    "JQD Configure MER Sign",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngMERSign, NULL, NULL,
    "UNIT:JQD:MERS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MER_SIGN_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_MER_RMS_COMPENSATED_OVERALL =
  {
    RSDSA_ATTR_JQD_QUERY_MER_RMS_COMPENSATED_OVERALL,
    "JQD Query MER RMS Compensated Overall",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "READ:JQD:MER:OVER:RMS:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_MER_RMS_EQUALIZED =
  {
    RSDSA_ATTR_JQD_QUERY_MER_RMS_EQUALIZED,
    "JQD Query MER RMS Equalized",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:MER:OVER:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_MER_PEAK =
  {
    RSDSA_ATTR_JQD_QUERY_MER_PEAK,
    "JQD Query MER Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:MER:OVER:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_RESET_ERROR_ANALYSIS =
  {
    RSDSA_ATTR_JQD_RESET_ERROR_ANALYSIS,
    "JQD Reset Error Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:JQD:BER:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_BER_ELAPSED_TIME =
  {
    RSDSA_ATTR_JQD_QUERY_BER_ELAPSED_TIME,
    "JQD Query BER Elapsed Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:BER:ETIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_BER_BLOCKS_PROCESSED =
  {
    RSDSA_ATTR_JQD_QUERY_BER_BLOCKS_PROCESSED,
    "JQD Query BER Blocks Processed",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:BER:BPR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH =
  {
    RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    "JQD Configure Error Analysis Test Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepth, NULL, NULL,
    "CALC:JQD:BER:COUN",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_10_BLOCKS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_MODE =
  {
    RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_MODE,
    "JQD Configure Error Analysis Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisMode, NULL, NULL,
    "CALC:JQD:BER:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_ERROR_ANALYSIS_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE =
  {
    RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE,
    "JQD Configure Error Analysis BER Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisBERSource, NULL, NULL,
    "CALC:JQD:BER:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_BER_SOURCE_ESTIMATE_FROM_FEC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE =
  {
    RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    "JQD Configure Error Analysis Test Depth Progression Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepthSource, NULL, NULL,
    "CALC:JQD:BER:TDS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_SOURCE_PRE_REED_SOLOMON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_BER_PRE_REED_SOLOMON =
  {
    RSDSA_ATTR_JQD_QUERY_BER_PRE_REED_SOLOMON,
    "JQD Query BER Pre-Reed-Solomon",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:BER:RSOL:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS =
  {
    RSDSA_ATTR_JQD_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS,
    "JQD Query BER Pre-Reed-Solomon Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:BER:BITS:RSOL:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_BER_POST_REED_SOLOMON =
  {
    RSDSA_ATTR_JQD_QUERY_BER_POST_REED_SOLOMON,
    "JQD Query BER Post-Reed-Solomon",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:BER:RSOL:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS =
  {
    RSDSA_ATTR_JQD_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS,
    "JQD Query BER Post-Reed-Solomon Corrected Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:BER:BITS:RSOL:POST:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS =
  {
    RSDSA_ATTR_JQD_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS,
    "JQD Query BER Post-Reed-Solomon Uncorrected Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:BER:BITS:RSOL:POST:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_CER_CORRECTED =
  {
    RSDSA_ATTR_JQD_QUERY_CER_CORRECTED,
    "JQD Query CER Corrected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30:CER:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_CER_UNCORRECTED =
  {
    RSDSA_ATTR_JQD_QUERY_CER_UNCORRECTED,
    "JQD Query CER Uncorrected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:CER:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_CER_TOTAL_CODEWORDS =
  {
    RSDSA_ATTR_JQD_QUERY_CER_TOTAL_CODEWORDS,
    "JQD Query CER Total Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:CER:COD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_CER_CORRECTED_CODEWORDS =
  {
    RSDSA_ATTR_JQD_QUERY_CER_CORRECTED_CODEWORDS,
    "JQD Query CER Corrected Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:CER:COD:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_CER_UNCORRECTED_CODEWORDS =
  {
    RSDSA_ATTR_JQD_QUERY_CER_UNCORRECTED_CODEWORDS,
    "JQD Query CER Uncorrected Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:CER:COD:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_DISPLAY_CONSTELLATION_PLOT =
  {
    RSDSA_ATTR_JQD_DISPLAY_CONSTELLATION_PLOT,
    "JQD Display Constellation Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:JQD:CONS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_DISPLAY_I_Q_DENSITY_PLOT =
  {
    RSDSA_ATTR_JQD_DISPLAY_I_Q_DENSITY_PLOT,
    "JQD Display I/Q Density Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:JQD:IQD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_I_Q_MEASUREMENT_MODE =
  {
    RSDSA_ATTR_JQD_CONFIGURE_I_Q_MEASUREMENT_MODE,
    "JQD Configure I/Q Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngIQDensityMode, NULL, NULL,
    "DISP:JQD:IQDM",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_IQ_MEASUREMENT_MODE_HOLD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_I_Q_WINDOW_WIDTH =
  {
    RSDSA_ATTR_JQD_CONFIGURE_I_Q_WINDOW_WIDTH,
    "JQD Configure I/Q Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngIQSlidingWindow, NULL,
    "DISP:JQD:SWW",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_JQD_DISPLAY_I_Q_ZOOM =
  {
    RSDSA_ATTR_HIDDEN_JQD_DISPLAY_I_Q_ZOOM,
    "Hidden JQD Display I/Q Zoom",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:JQD:IQDZ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CAPTURE_IQ_DATA_TO_FILENAME =
  {
    RSDSA_ATTR_JQD_CAPTURE_IQ_DATA_TO_FILENAME,
    "JQD Capture IQ Data To Filename",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "OUTP:JQD:IQ:CAPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/R_S/Instr/user/data.iq.tar",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_IQ_DATA_EXPORT_MAX_SAMPLES =
  {
    RSDSA_ATTR_JQD_IQ_DATA_EXPORT_MAX_SAMPLES,
    "JQD IQ Data Export Max Samples",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "OUTP:JQD:IQ:SAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    60000000,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_IQ_DATA_EXPORT_TIMEOUT =
  {
    RSDSA_ATTR_JQD_IQ_DATA_EXPORT_TIMEOUT,
    "JQD IQ Data Export Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:JQD:IQ:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    600,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_DISPLAY_MER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_JQD_DISPLAY_MER_VS_TIME_PLOT,
    "JQD Display MER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:JQD:MER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_JQD_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    "JQD Configure MER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:JQD:MER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_DISPLAY_BER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_JQD_DISPLAY_BER_VS_TIME_PLOT,
    "JQD Display BER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:JQD:BER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_JQD_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    "JQD Configure BER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:JQD:BER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_DISPLAY_POWER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_JQD_DISPLAY_POWER_VS_TIME_PLOT,
    "JQD Display Power Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:JQD:POW:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_JQD_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    "JQD Configure Power Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:JQD:POW:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_DISPLAY_CCDF_HISTOGRAM =
  {
    RSDSA_ATTR_JQD_DISPLAY_CCDF_HISTOGRAM,
    "JQD Display CCDF Histogram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:JQD:CCDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_CCDF_PEAK =
  {
    RSDSA_ATTR_JQD_QUERY_CCDF_PEAK,
    "JQD Query CCDF Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:JQD:CCDF:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_JQD_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "JQD Display Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:JQD:APS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_JQD_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "JQD Auto Scale Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:JQD:APS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_JQD_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "JQD Display Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:JQD:AGDS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_JQD_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "JQD Auto Scale Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:JQD:AGDS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_DISPLAY_ECHO_PATTERN_PLOT =
  {
    RSDSA_ATTR_JQD_DISPLAY_ECHO_PATTERN_PLOT,
    "JQD Display Echo Pattern Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:JQD:EPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_TRACE_DATA =
  {
    RSDSA_ATTR_JQD_QUERY_TRACE_DATA,
    "JQD Query Trace Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:JQD:TRAC{Trace}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,2,3,65535",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_ALL =
  {
    RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_ALL,
    "JQD System Acquisition Log All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:JQD:ALOG:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry1>\",<TimeTag1>,\"<Entry2>\",<TimeTag2>\",...",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_NEXT =
  {
    RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_NEXT,
    "JQD System Acquisition Log Next",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:JQD:ALOG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry>\",<TimeTag>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_COUNT =
  {
    RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_COUNT,
    "JQD System Acquisition Log Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:JQD:ALOG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_CLEAR_ALL =
  {
    RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    "JQD System Acquisition Log Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:JQD:ALOG:CLE:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_FEC =
  {
    RSDSA_ATTR_JQD_CONFIGURE_FEC,
    "JQD Configure FEC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngFECAnnex, NULL, NULL,
    "CONF:JQD:CHAN:FEC",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_FEC_ANNEX_B,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_FREQUENCY =
  {
    RSDSA_ATTR_JQD_CONFIGURE_FREQUENCY,
    "JQD Configure Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngD31CenterFrequency, NULL,
    "CONF:JQD:CHAN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    57e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_CONSTELLATION =
  {
    RSDSA_ATTR_JQD_CONFIGURE_CONSTELLATION,
    "JQD Configure Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngJQDModulation, NULL, NULL,
    "CONF:JQD:CHAN:MOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_MODULATION_QAM256,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_SYMBOL_RATE =
  {
    RSDSA_ATTR_JQD_CONFIGURE_SYMBOL_RATE,
    "JQD Configure Symbol Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngSymbolRate, NULL,
    "CONF:JQD:CHAN:SRAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_ROLL_OFF =
  {
    RSDSA_ATTR_JQD_CONFIGURE_ROLL_OFF,
    "JQD Configure Roll-Off",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngJQDRollOff, NULL, NULL,
    "CONF:JQD:CHAN:ROFF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_JQD_ROLL_OFF_12,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_SPECTRAL_INVERSION_ENABLED =
  {
    RSDSA_ATTR_JQD_CONFIGURE_SPECTRAL_INVERSION_ENABLED,
    "JQD Configure Spectral Inversion Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:JQD:SINV:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_EQUALIZER_STATE =
  {
    RSDSA_ATTR_JQD_CONFIGURE_EQUALIZER_STATE,
    "JQD Configure Equalizer State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngEqualizerState, NULL, NULL,
    "INP:JQD:EQU:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_EQUALIZER_ON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_QUERY_EQUALIZER_COEFFICIENTS =
  {
    RSDSA_ATTR_JQD_QUERY_EQUALIZER_COEFFICIENTS,
    "JQD Query Equalizer Coefficients",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:JQD:ECO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,-1,2,-2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_AUTO_LEVEL =
  {
    RSDSA_ATTR_JQD_AUTO_LEVEL,
    "JQD Auto Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:DS:LEV:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_ATTENUATION =
  {
    RSDSA_ATTR_JQD_CONFIGURE_ATTENUATION,
    "JQD Configure Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngDSAttenuation, NULL,
    "INP:DS:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_PREAMPLIFIER_ENABLED =
  {
    RSDSA_ATTR_JQD_CONFIGURE_PREAMPLIFIER_ENABLED,
    "JQD Configure Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:DS:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_ASI_OUTPUT_ENABLED =
  {
    RSDSA_ATTR_JQD_CONFIGURE_ASI_OUTPUT_ENABLED,
    "JQD Configure ASI Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:ASI:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH =
  {
    RSDSA_ATTR_JQD_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH,
    "JQD Configure Phase Tracking Loop Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngChannelPhaseTrackingLoopBandwidth, NULL, NULL,
    "CONF:JQD:CHAN:PTLB",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_PHASE_TRACKING_LOOP_BANDWIDTH_MEDIUM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_ALARM_THRESHOLD_RMS_MER_OVERALL =
  {
    RSDSA_ATTR_JQD_ALARM_THRESHOLD_RMS_MER_OVERALL,
    "JQD Alarm Threshold RMS MER Overall",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:JQD:MER:OVER:RMS:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON =
  {
    RSDSA_ATTR_JQD_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON,
    "JQD Alarm Threshold BER Pre-Reed-Solomon",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:JQD:BER:RSOL:PRE:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_JQD_ALARM_THRESHOLD_BER_POST_REED_SOLOMON =
  {
    RSDSA_ATTR_JQD_ALARM_THRESHOLD_BER_POST_REED_SOLOMON,
    "JQD Alarm Threshold BER Post-Reed-Solomon",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:JQD:BER:RSOL:POST:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ENABLE_DOCSIS_31_OFDM_MODE =
  {
    RSDSA_ATTR_ENABLE_DOCSIS_31_OFDM_MODE,
    "Enable DOCSIS 3.1 OFDM Mode",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST:MODE D31D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_PROFILE_FILTER =
  {
    RSDSA_ATTR_D31D_CONFIGURE_PROFILE_FILTER,
    "D31D Configure Profile Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD31DProfileFilter, NULL, NULL,
    "DISP:D31D:PFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_PROFILE_FILTER_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PLC_LOCK_STATUS =
  {
    RSDSA_ATTR_D31D_QUERY_PLC_LOCK_STATUS,
    "D31D Query PLC Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:D31D:LOCK:PLC?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_DEMODULATOR_LOCK_STATUS =
  {
    RSDSA_ATTR_D31D_QUERY_DEMODULATOR_LOCK_STATUS,
    "D31D Query Demodulator Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:D31D:LOCK:DEM?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_SIGNAL_POWER =
  {
    RSDSA_ATTR_D31D_QUERY_SIGNAL_POWER,
    "D31D Query Signal Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:SPOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_OCCUPIED_BANDWIDTH =
  {
    RSDSA_ATTR_D31D_QUERY_OCCUPIED_BANDWIDTH,
    "D31D Query Occupied Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:OBAN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_SIGNAL_POWER_PER_6MHZ =
  {
    RSDSA_ATTR_D31D_QUERY_SIGNAL_POWER_PER_6MHZ,
    "D31D Query Signal Power Per 6MHz",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:SP6M?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_FREQUENCY_OFFSET =
  {
    RSDSA_ATTR_D31D_QUERY_FREQUENCY_OFFSET,
    "D31D Query Frequency Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:FOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_SYMBOL_CLOCK_OFFSET =
  {
    RSDSA_ATTR_D31D_QUERY_SYMBOL_CLOCK_OFFSET,
    "D31D Query Symbol Clock Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:SOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_NCP_CRC_ERRORS =
  {
    RSDSA_ATTR_D31D_QUERY_NCP_CRC_ERRORS,
    "D31D Query NCP CRC Errors",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "READ:D31D:NCER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PAYLOAD_DATA_RATE_PROFILE =
  {
    RSDSA_ATTR_D31D_QUERY_PAYLOAD_DATA_RATE_PROFILE,
    "D31D Query Payload Data Rate Profile",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:PDR:PROF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_MER_COMPENSATION_ENABLED =
  {
    RSDSA_ATTR_D31D_CONFIGURE_MER_COMPENSATION_ENABLED,
    "D31D Configure MER Compensation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:D31D:MER:RMS:COMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_MER_SIGN =
  {
    RSDSA_ATTR_D31D_CONFIGURE_MER_SIGN,
    "D31D Configure MER Sign",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngMERSign, NULL, NULL,
    "UNIT:D31D:MERS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MER_SIGN_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_RMS_COMPENSATED_OVERALL =
  {
    RSDSA_ATTR_D31D_QUERY_MER_RMS_COMPENSATED_OVERALL,
    "D31D Query MER RMS Compensated Overall",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "READ:D31D:MER:OVER:RMS:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_RMS_PARTIALY_EQUALIZED =
  {
    RSDSA_ATTR_D31D_QUERY_MER_RMS_PARTIALY_EQUALIZED,
    "D31D Query MER RMS Partialy Equalized",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:OVER:RMS:PEQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_RMS_EQUALIZED =
  {
    RSDSA_ATTR_D31D_QUERY_MER_RMS_EQUALIZED,
    "D31D Query MER RMS Equalized",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:OVER:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_PEAK =
  {
    RSDSA_ATTR_D31D_QUERY_MER_PEAK,
    "D31D Query MER Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:OVER:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_A_RMS =
  {
    RSDSA_ATTR_D31D_QUERY_MER_PROFILE_A_RMS,
    "D31D Query MER Profile A RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:PA:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_A_RMS_COMPENSATED =
  {
    RSDSA_ATTR_D31D_QUERY_MER_PROFILE_A_RMS_COMPENSATED,
    "D31D Query MER Profile A RMS Compensated",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "READ:D31D:MER:PA:RMS:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_A_PEAK =
  {
    RSDSA_ATTR_D31D_QUERY_MER_PROFILE_A_PEAK,
    "D31D Query MER Profile A Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:PA:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_A_CONSTELLATIONS =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_A_CONSTELLATIONS,
    "D31D Query Profile A Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D31D:CONS:PA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ZL,QAM16,QAM64",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_FILTER_RMS =
  {
    RSDSA_ATTR_D31D_QUERY_MER_PROFILE_FILTER_RMS,
    "D31D Query MER Profile Filter RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:PROF:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_FILTER_RMS_COMPENSATED =
  {
    RSDSA_ATTR_D31D_QUERY_MER_PROFILE_FILTER_RMS_COMPENSATED,
    "D31D Query MER Profile Filter RMS Compensated",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "READ:D31D:MER:PROF:RMS:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_FILTER_PEAK =
  {
    RSDSA_ATTR_D31D_QUERY_MER_PROFILE_FILTER_PEAK,
    "D31D Query MER Profile Filter Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:PROF:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_FILTER_CONSTELLATIONS =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_FILTER_CONSTELLATIONS,
    "D31D Query Profile Filter Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D31D:CONS:PROF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ZL,QAM16,QAM64",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_PILOT_RMS =
  {
    RSDSA_ATTR_D31D_QUERY_MER_PILOT_RMS,
    "D31D Query MER Pilot RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:PIL:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_PILOT_RMS_COMPENSATED =
  {
    RSDSA_ATTR_D31D_QUERY_MER_PILOT_RMS_COMPENSATED,
    "D31D Query MER Pilot RMS Compensated",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "READ:D31D:MER:PIL:RMS:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_PILOT_PEAK =
  {
    RSDSA_ATTR_D31D_QUERY_MER_PILOT_PEAK,
    "D31D Query MER Pilot Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:PIL:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PILOT_CONSTELLATIONS =
  {
    RSDSA_ATTR_D31D_QUERY_PILOT_CONSTELLATIONS,
    "D31D Query Pilot Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D31D:CONS:PIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "BPSK",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_PLC_RMS =
  {
    RSDSA_ATTR_D31D_QUERY_MER_PLC_RMS,
    "D31D Query MER PLC RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:PLC:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_PLC_RMS_COMPENSATED =
  {
    RSDSA_ATTR_D31D_QUERY_MER_PLC_RMS_COMPENSATED,
    "D31D Query MER PLC RMS Compensated",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "READ:D31D:MER:PLC:RMS:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_PLC_PEAK =
  {
    RSDSA_ATTR_D31D_QUERY_MER_PLC_PEAK,
    "D31D Query MER PLC Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:PLC:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PLC_CONSTELLATIONS =
  {
    RSDSA_ATTR_D31D_QUERY_PLC_CONSTELLATIONS,
    "D31D Query PLC Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D31D:CONS:PLC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "QAM16",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_NCP_RMS =
  {
    RSDSA_ATTR_D31D_QUERY_MER_NCP_RMS,
    "D31D Query MER NCP RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:NCP:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_NCP_RMS_COMPENSATED =
  {
    RSDSA_ATTR_D31D_QUERY_MER_NCP_RMS_COMPENSATED,
    "D31D Query MER NCP RMS Compensated",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "READ:D31D:MER:NCP:RMS:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_NCP_PEAK =
  {
    RSDSA_ATTR_D31D_QUERY_MER_NCP_PEAK,
    "D31D Query MER NCP Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:NCP:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_NCP_CONSTELLATIONS =
  {
    RSDSA_ATTR_D31D_QUERY_NCP_CONSTELLATIONS,
    "D31D Query NCP Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D31D:CONS:NCP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "QPSK",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_ZERO_BIT_LOADED_RMS =
  {
    RSDSA_ATTR_D31D_QUERY_MER_ZERO_BIT_LOADED_RMS,
    "D31D Query MER Zero Bit Loaded RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:ZBL:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_ZERO_BIT_LOADED_RMS_COMPENSATED =
  {
    RSDSA_ATTR_D31D_QUERY_MER_ZERO_BIT_LOADED_RMS_COMPENSATED,
    "D31D Query MER Zero Bit Loaded RMS Compensated",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "READ:D31D:MER:ZBL:RMS:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_MER_ZERO_BIT_LOADED_PEAK =
  {
    RSDSA_ATTR_D31D_QUERY_MER_ZERO_BIT_LOADED_PEAK,
    "D31D Query MER Zero Bit Loaded Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:MER:ZBL:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_RESET_ERROR_ANALYSIS =
  {
    RSDSA_ATTR_D31D_RESET_ERROR_ANALYSIS,
    "D31D Reset Error Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:BER:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_BER_ELAPSED_TIME =
  {
    RSDSA_ATTR_D31D_QUERY_BER_ELAPSED_TIME,
    "D31D Query BER Elapsed Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:BER:ETIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE =
  {
    RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE,
    "D31D Configure Error Analysis BER Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisBERSource, NULL, NULL,
    "CALC:D31D:BER:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_BER_SOURCE_ESTIMATE_FROM_FEC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_BER_PLC =
  {
    RSDSA_ATTR_D31D_QUERY_BER_PLC,
    "D31D Query BER PLC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:BER:PLC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_BER_PLC_TOTAL_BITS =
  {
    RSDSA_ATTR_D31D_QUERY_BER_PLC_TOTAL_BITS,
    "D31D Query BER PLC Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:BER:BITS:PLC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_BER_NCP =
  {
    RSDSA_ATTR_D31D_QUERY_BER_NCP,
    "D31D Query BER NCP",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:BER:NCP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_BER_NCP_TOTAL_BITS =
  {
    RSDSA_ATTR_D31D_QUERY_BER_NCP_TOTAL_BITS,
    "D31D Query BER NCP Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:BER:BITS:NCP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_CER_PLC =
  {
    RSDSA_ATTR_D31D_QUERY_CER_PLC,
    "D31D Query CER PLC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:CER:PLC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_CER_PLC_TOTAL_CODEWORDS =
  {
    RSDSA_ATTR_D31D_QUERY_CER_PLC_TOTAL_CODEWORDS,
    "D31D Query CER PLC Total Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:CER:COD:PLC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_CER_NCP =
  {
    RSDSA_ATTR_D31D_QUERY_CER_NCP,
    "D31D Query CER NCP",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:CER:NCP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_CER_NCP_TOTAL_CODEWORDS =
  {
    RSDSA_ATTR_D31D_QUERY_CER_NCP_TOTAL_CODEWORDS,
    "D31D Query CER NCP Total Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:CER:COD:NCP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_PROFILE_BER_MODE =
  {
    RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_PROFILE_BER_MODE,
    "D31D Configure Error Analysis Profile BER Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisMode, NULL, NULL,
    "CALC:D31D:BER:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_ERROR_ANALYSIS_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_PROFILE_TEST_DEPTH =
  {
    RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_PROFILE_TEST_DEPTH,
    "D31D Configure Error Analysis Profile Test Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepth, NULL, NULL,
    "CALC:D31D:BER:COUN",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_10_BLOCKS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_PROFILE_TEST_DEPTH_SOURCE =
  {
    RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_PROFILE_TEST_DEPTH_SOURCE,
    "D31D Configure Error Analysis Profile Test Depth Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepthSource, NULL, NULL,
    "CALC:D31D:BER:TDS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_SOURCE_PRE_REED_SOLOMON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_BLOCKS_PROCESSED =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_BER_BLOCKS_PROCESSED,
    "D31D Query Profile BER Blocks Processed",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:BER:BPR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_PRE_LDPC =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_BER_PRE_LDPC,
    "D31D Query Profile BER Pre-LDPC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:BER:LDPC:PRE:PROF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_PRE_LDPC_TOTAL_BITS =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_BER_PRE_LDPC_TOTAL_BITS,
    "D31D Query Profile BER Pre-LDPC Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:BER:BITS:LDPC:PRE:PROF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_LDPC =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_LDPC,
    "D31D Query Profile BER Post-LDPC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:BER:LDPC:POST:PROF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_LDPC_TOTAL_BITS =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_LDPC_TOTAL_BITS,
    "D31D Query Profile BER Post-LDPC Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:BER:BITS:LDPC:POST:PROF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_BCH =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_BCH,
    "D31D Query Profile BER Post-BCH",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:BER:BCH:POST:PROF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_BCH_TOTAL_BITS =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_BCH_TOTAL_BITS,
    "D31D Query Profile BER Post-BCH Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:BER:BITS:BCH:POST:PROF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_LDPC =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_LDPC,
    "D31D Query Profile CER Post-LDPC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:CER:LDPC:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_LDPC_TOTAL_CODEWORDS =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_LDPC_TOTAL_CODEWORDS,
    "D31D Query Profile CER Post-LDPC Total Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:CER:COD:LDPC:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_LDPC_CODEWORD_ERRORS =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_LDPC_CODEWORD_ERRORS,
    "D31D Query Profile CER Post-LDPC Codeword Errors",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:CER:CERR:LDPC:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_BCH =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_BCH,
    "D31D Query Profile CER Post-BCH",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:CER:BCH:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_BCH_TOTAL_CODEWORDS =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_BCH_TOTAL_CODEWORDS,
    "D31D Query Profile CER Post-BCH Total Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:CER:COD:BCH:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_BCH_CODEWORD_ERRORS =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_BCH_CODEWORD_ERRORS,
    "D31D Query Profile CER Post-BCH Codeword Errors",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:CER:CERR:BCH:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_AVG_PAYLOAD_PER_CODEWORD =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_CER_AVG_PAYLOAD_PER_CODEWORD,
    "D31D Query Profile CER Avg Payload Per Codeword",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:CER:APPC:PROF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_AVG_LDPC_ITERATIONS =
  {
    RSDSA_ATTR_D31D_QUERY_PROFILE_CER_AVG_LDPC_ITERATIONS,
    "D31D Query Profile CER Avg LDPC Iterations",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:CER:ALIT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_DISPLAY_CONSTELLATION_PLOT =
  {
    RSDSA_ATTR_D31D_DISPLAY_CONSTELLATION_PLOT,
    "D31D Display Constellation Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:CONS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_DISPLAY_I_Q_DENSITY_PLOT =
  {
    RSDSA_ATTR_D31D_DISPLAY_I_Q_DENSITY_PLOT,
    "D31D Display I/Q Density Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:IQD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_I_Q_MEASUREMENT_MODE =
  {
    RSDSA_ATTR_D31D_CONFIGURE_I_Q_MEASUREMENT_MODE,
    "D31D Configure I/Q Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngIQDensityMode, NULL, NULL,
    "DISP:D31D:IQDM",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_IQ_MEASUREMENT_MODE_HOLD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_I_Q_WINDOW_WIDTH =
  {
    RSDSA_ATTR_D31D_CONFIGURE_I_Q_WINDOW_WIDTH,
    "D31D Configure I/Q Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngIQSlidingWindow, NULL,
    "DISP:D31D:SWW",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_D31D_DISPLAY_I_Q_ZOOM =
  {
    RSDSA_ATTR_HIDDEN_D31D_DISPLAY_I_Q_ZOOM,
    "Hidden D31D Display I/Q Zoom",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:D31D:IQDZ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CAPTURE_IQ_DATA_TO_FILENAME =
  {
    RSDSA_ATTR_D31D_CAPTURE_IQ_DATA_TO_FILENAME,
    "D31D Capture IQ Data To Filename",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "OUTP:D31D:IQ:CAPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/R_S/Instr/user/data.iq.tar",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_IQ_DATA_EXPORT_MAX_SAMPLES =
  {
    RSDSA_ATTR_D31D_IQ_DATA_EXPORT_MAX_SAMPLES,
    "D31D IQ Data Export Max Samples",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "OUTP:D31D:IQ:SAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    60000000,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_IQ_DATA_EXPORT_TIMEOUT =
  {
    RSDSA_ATTR_D31D_IQ_DATA_EXPORT_TIMEOUT,
    "D31D IQ Data Export Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:D31D:IQ:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    600,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_DISPLAY_MER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D31D_DISPLAY_MER_VS_TIME_PLOT,
    "D31D Display MER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:MER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D31D_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    "D31D Configure MER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D31D:MER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_DISPLAY_BER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D31D_DISPLAY_BER_VS_TIME_PLOT,
    "D31D Display BER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:BER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D31D_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    "D31D Configure BER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D31D:BER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_DISPLAY_POWER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D31D_DISPLAY_POWER_VS_TIME_PLOT,
    "D31D Display Power Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:POW:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D31D_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    "D31D Configure Power Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D31D:POW:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_DISPLAY_MER_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D31D_DISPLAY_MER_VS_SUBCARRIER_PLOT,
    "D31D Display MER Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:MER:VSUB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_DISPLAY_CCDF_HISTOGRAM =
  {
    RSDSA_ATTR_D31D_DISPLAY_CCDF_HISTOGRAM,
    "D31D Display CCDF Histogram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:CCDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_CCDF_PEAK =
  {
    RSDSA_ATTR_D31D_QUERY_CCDF_PEAK,
    "D31D Query CCDF Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31D:CCDF:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D31D_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "D31D Display Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:APS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D31D_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "D31D Auto Scale Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:APS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D31D_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "D31D Display Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:AGDS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D31D_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "D31D Auto Scale Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:AGDS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_DISPLAY_ECHO_PATTERN_PLOT =
  {
    RSDSA_ATTR_D31D_DISPLAY_ECHO_PATTERN_PLOT,
    "D31D Display Echo Pattern Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:EPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_DISPLAY_SPECTRUM_ANALYSIS_PLOT =
  {
    RSDSA_ATTR_D31D_DISPLAY_SPECTRUM_ANALYSIS_PLOT,
    "D31D Display Spectrum Analysis Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:SAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF,
    "D31D Spectrum Analysis All Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:MARK:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF,
    "D31D Spectrum Analysis All Delta Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:DELT:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS,
    "D31D Spectrum Analysis Clear All Masks",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:MASK:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED,
    "D31D Spectrum Analysis Display All Masks Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:D31D:MASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_AMPLITUDE_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_AMPLITUDE_REFERENCE_LEVEL,
    "D31D Spectrum Analysis Configure Amplitude Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:D31D:TRAC:Y:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_AMPLITUDE_SCALE_PER_DIVISION =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_AMPLITUDE_SCALE_PER_DIVISION,
    "D31D Spectrum Analysis Configure Amplitude Scale Per Division",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:D31D:TRAC:Y:PDIV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_AUTO_SCALE_Y_AXIS =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_AUTO_SCALE_Y_AXIS,
    "D31D Spectrum Analysis Auto Scale Y-Axis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:TRAC:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT,
    "D31D Spectrum Analysis Configure Manual Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngAveragesCount, NULL,
    "D31D:AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_CAPTURE_MODE =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_CAPTURE_MODE,
    "D31D Spectrum Analysis Configure Capture Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngCaptureMode, NULL, NULL,
    "DISP:D31D:TRAC:CAPT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MEASUREMENT_CAPTURE_CONTINUOUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_RUN_SINGLE_SWEEP =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_RUN_SINGLE_SWEEP,
    "D31D Spectrum Analysis Run Single Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:TRAC:RSIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_TRACE_HOLD =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_TRACE_HOLD,
    "D31D Spectrum Analysis Configure Trace Hold",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTraceHold, NULL, NULL,
    "DISP:D31D:TRAC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TRACE_MODE_WRITE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_STATE =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_STATE,
    "D31D Spectrum Analysis Marker State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:D31D:MARK{Marker}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_X_POSITION =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_X_POSITION,
    "D31D Spectrum Analysis Marker X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:D31D:MARK{Marker}:X",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1700000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_Y_POSITION =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_Y_POSITION,
    "D31D Spectrum Analysis Marker Y Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:D31D:MARK{Marker}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK,
    "D31D Spectrum Analysis Marker To Maximum Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:MARK{Marker}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT,
    "D31D Spectrum Analysis Marker To Next Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:MARK{Marker}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT,
    "D31D Spectrum Analysis Marker To Next Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:MARK{Marker}:MAX:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT,
    "D31D Spectrum Analysis Marker To Next Point Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:MARK{Marker}:POIN:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT,
    "D31D Spectrum Analysis Marker To Next Point Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:MARK{Marker}:POIN:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY,
    "D31D Spectrum Analysis Marker Set Center Frequency",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:MARK{Marker}:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL,
    "D31D Spectrum Analysis Marker Set Power Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:MARK{Marker}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE,
    "D31D Spectrum Analysis Delta Marker State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:D31D:DELT{Delta}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER,
    "D31D Spectrum Analysis Delta Marker Linked Reference Marker",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngReferenceMarker, NULL, NULL,
    "CALC:D31D:DELT{Delta}:MREF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_REFERENCE_MARKER_2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION,
    "D31D Spectrum Analysis Delta Marker Absolute X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:D31D:DELT{Delta}:X:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    204000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION,
    "D31D Spectrum Analysis Delta Marker Relative X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:D31D:DELT{Delta}:X:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION,
    "D31D Spectrum Analysis Delta Marker Y Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:D31D:DELT{Delta}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK,
    "D31D Spectrum Analysis Delta Marker To Maximum Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:DELT{Delta}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT,
    "D31D Spectrum Analysis Delta Marker To Next Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:DELT{Delta}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT,
    "D31D Spectrum Analysis Delta Marker To Next Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:DELT{Delta}:MAX:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT,
    "D31D Spectrum Analysis Delta Marker To Next Point Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:DELT{Delta}:POIN:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT,
    "D31D Spectrum Analysis Delta Marker To Next Point Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:DELT{Delta}:POIN:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY,
    "D31D Spectrum Analysis Delta Marker Set Center Frequency",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:DELT{Delta}:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL,
    "D31D Spectrum Analysis Delta Marker Set Power Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31D:DELT{Delta}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT,
    "D31D Spectrum Analysis Delta Marker Bandwidth Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:D31D:DELT{Delta}:BPOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_DISPLAY_MASK_VISIBLE =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_DISPLAY_MASK_VISIBLE,
    "D31D Spectrum Analysis Configure Display Mask Visible",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:D31D:MASK{Mask}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DISPLAY_MASK_LOWER_CONFIGURATION =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DISPLAY_MASK_LOWER_CONFIGURATION,
    "D31D Spectrum Analysis Display Mask Lower Configuration",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:D31D:MASK{Mask}:LOW:CONF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DISPLAY_MASK_UPPER_CONFIGURATION =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DISPLAY_MASK_UPPER_CONFIGURATION,
    "D31D Spectrum Analysis Display Mask Upper Configuration",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:D31D:MASK{Mask}:UPP:CONF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CLEAR_MASK =
  {
    RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CLEAR_MASK,
    "D31D Spectrum Analysis Clear Mask",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31D:MASK{Mask}:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_TRACE_DATA =
  {
    RSDSA_ATTR_D31D_QUERY_TRACE_DATA,
    "D31D Query Trace Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D31D:TRAC{Trace}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,2,3,65535",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_ALL =
  {
    RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_ALL,
    "D31D System Acquisition Log All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:D31D:ALOG:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry1>\",<TimeTag1>,\"<Entry2>\",<TimeTag2>\",...",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_NEXT =
  {
    RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_NEXT,
    "D31D System Acquisition Log Next",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:D31D:ALOG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry>\",<TimeTag>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_COUNT =
  {
    RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_COUNT,
    "D31D System Acquisition Log Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:D31D:ALOG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_CLEAR_ALL =
  {
    RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    "D31D System Acquisition Log Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:D31D:ALOG:CLE:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CAPTURE_PAYLOAD_TO_FILENAME =
  {
    RSDSA_ATTR_D31D_CAPTURE_PAYLOAD_TO_FILENAME,
    "D31D Capture Payload To Filename",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "OUTP:D31D:PDEX:CAPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/pl_export/pde1.out",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_PAYLOAD_DATA_EXPORT_FILTER =
  {
    RSDSA_ATTR_D31D_PAYLOAD_DATA_EXPORT_FILTER,
    "D31D Payload Data Export Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngPayloadCaptureFilterProfile, NULL, NULL,
    "OUTP:D31D:PDEX:PDEF:PFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_PROFILE_FILTER_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_PAYLOAD_DATA_EXPORT_MAX_FILE_SIZE =
  {
    RSDSA_ATTR_D31D_PAYLOAD_DATA_EXPORT_MAX_FILE_SIZE,
    "D31D Payload Data Export Max File Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rng20MB, NULL,
    "OUTP:D31D:PDEX:PDEF:FSIZ",
    // Defaults I32, I64, Float, Bool, String
    20971520,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_PLOT_DATA_FILTER =
  {
    RSDSA_ATTR_D31D_CONFIGURE_PLOT_DATA_FILTER,
    "D31D Configure Plot Data Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD31DPlotDataFilter, NULL, NULL,
    "DISP:D31D:DFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_PLOT_DATA_FILTER_OVERALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_FREQUENCY =
  {
    RSDSA_ATTR_D31D_CONFIGURE_FREQUENCY,
    "D31D Configure Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngD31CenterFrequency, NULL,
    "CONF:D31D:CHAN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    204e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_SUBCARRIER_0_FREQUENCY =
  {
    RSDSA_ATTR_D31D_CONFIGURE_SUBCARRIER_0_FREQUENCY,
    "D31D Configure Subcarrier 0 Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngD31CenterFrequency, NULL,
    "CONF:D31D:CHAN:SPEC:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    101.6e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_EQUALIZER_STATE =
  {
    RSDSA_ATTR_D31D_CONFIGURE_EQUALIZER_STATE,
    "D31D Configure Equalizer State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngEqualizerState, NULL, NULL,
    "INP:D31D:EQU:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_EQUALIZER_ON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_QUERY_EQUALIZER_COEFFICIENTS =
  {
    RSDSA_ATTR_D31D_QUERY_EQUALIZER_COEFFICIENTS,
    "D31D Query Equalizer Coefficients",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D31D:ECO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,-1,2,-2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_PREFILTER_ENABLED =
  {
    RSDSA_ATTR_D31D_CONFIGURE_PREFILTER_ENABLED,
    "D31D Configure Prefilter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:D31D:CHAN:PREF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_AUTO_LEVEL =
  {
    RSDSA_ATTR_D31D_AUTO_LEVEL,
    "D31D Auto Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:DS:LEV:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_ATTENUATION =
  {
    RSDSA_ATTR_D31D_CONFIGURE_ATTENUATION,
    "D31D Configure Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngDSAttenuation, NULL,
    "INP:DS:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_PREAMPLIFIER_ENABLED =
  {
    RSDSA_ATTR_D31D_CONFIGURE_PREAMPLIFIER_ENABLED,
    "D31D Configure Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:DS:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_ACQUISITION_MODE =
  {
    RSDSA_ATTR_D31D_CONFIGURE_ACQUISITION_MODE,
    "D31D Configure Acquisition Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngChannelAcquisitionMode, NULL, NULL,
    "CONF:D31D:CHAN:AMOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_ACQUISITION_MODE_MANUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_SUBCARRIER_SPACING =
  {
    RSDSA_ATTR_D31D_CONFIGURE_SUBCARRIER_SPACING,
    "D31D Configure Subcarrier Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngOFDMFFTSize, NULL, NULL,
    "CONF:D31D:CHAN:NFFT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_FFT_SIZE_4K,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_CYCLIC_PREFIX_LENGTH =
  {
    RSDSA_ATTR_D31D_CONFIGURE_CYCLIC_PREFIX_LENGTH,
    "D31D Configure Cyclic Prefix Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD31DCyclicPrefixLength, NULL, NULL,
    "CONF:D31D:CHAN:CPR",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S192,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_TIME_INTERLEAVER_DEPTH =
  {
    RSDSA_ATTR_D31D_CONFIGURE_TIME_INTERLEAVER_DEPTH,
    "D31D Configure Time Interleaver Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngTimeInterleaverDepth, NULL,
    "CONF:D31D:CHAN:TID",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_SUBCARRIER_CONFIG_FILE =
  {
    RSDSA_ATTR_D31D_CONFIGURE_SUBCARRIER_CONFIG_FILE,
    "D31D Configure Subcarrier Config File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:D31D:CHAN:OSCF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_SFP_OUTPUT_ENABLED =
  {
    RSDSA_ATTR_D31D_CONFIGURE_SFP_OUTPUT_ENABLED,
    "D31D Configure SFP Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:D31D:SFP:NOUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_SFP_PLC_UDP_PORT_ENABLED =
  {
    RSDSA_ATTR_D31D_CONFIGURE_SFP_PLC_UDP_PORT_ENABLED,
    "D31D Configure SFP PLC UDP Port Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:D31D:SFP:PLC:UDPP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_SFP_PLC_UDP_PORT =
  {
    RSDSA_ATTR_D31D_CONFIGURE_SFP_PLC_UDP_PORT,
    "D31D Configure SFP PLC UDP Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngUDPPort, NULL,
    "OUTP:D31D:SFP:PLC:UDPP",
    // Defaults I32, I64, Float, Bool, String
    12015,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_SFP_PROFILE_UDP_PORT =
  {
    RSDSA_ATTR_D31D_CONFIGURE_SFP_PROFILE_UDP_PORT,
    "D31D Configure SFP Profile UDP Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngUDPPort, NULL,
    "OUTP:D31D:SFP:PROF{Profile}:UDPP",
    // Defaults I32, I64, Float, Bool, String
    1015,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_CONFIGURE_SFP_PROFILE_UDP_PORT_ENABLED =
  {
    RSDSA_ATTR_D31D_CONFIGURE_SFP_PROFILE_UDP_PORT_ENABLED,
    "D31D Configure SFP Profile UDP Port Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:D31D:SFP:PROF{Profile}:UDPP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_RMS_MER_OVERALL =
  {
    RSDSA_ATTR_D31D_ALARM_THRESHOLD_RMS_MER_OVERALL,
    "D31D Alarm Threshold RMS MER Overall",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:D31D:MER:OVER:RMS:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_PRE_LDPC =
  {
    RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_PRE_LDPC,
    "D31D Alarm Threshold BER Pre-LDPC",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:D31D:BER:LDPC:PRE:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_POST_LDPC =
  {
    RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_POST_LDPC,
    "D31D Alarm Threshold BER Post-LDPC",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:D31D:BER:LDPC:POST:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_POST_BCH =
  {
    RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_POST_BCH,
    "D31D Alarm Threshold BER Post-BCH",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:D31D:BER:BCH:POST:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_PLC =
  {
    RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_PLC,
    "D31D Alarm Threshold BER PLC",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:D31D:BER:PLC:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_NCP =
  {
    RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_NCP,
    "D31D Alarm Threshold BER NCP",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:D31D:BER:NCP:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ENABLE_DOWNSTREAM_SPECTRUM_ANALYSIS =
  {
    RSDSA_ATTR_ENABLE_DOWNSTREAM_SPECTRUM_ANALYSIS,
    "Enable Downstream Spectrum Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST:MODE SAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF,
    "DS SpecAn All Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:MARK:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF,
    "DS SpecAn All Delta Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:DELT:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CLEAR_ALL_DISPLAY_STATES =
  {
    RSDSA_ATTR_DS_SPECAN_CLEAR_ALL_DISPLAY_STATES,
    "DS SpecAn Clear All Display States",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAD:STAT:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS,
    "DS SpecAn Clear All Masks",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAD:MASK:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED,
    "DS SpecAn Display All Masks Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SAD:MASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_CENTER_FREQUENCY =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_CENTER_FREQUENCY,
    "DS SpecAn Configure Center Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SAD:FREQ:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_START_FREQUENCY =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_START_FREQUENCY,
    "DS SpecAn Configure Start Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SAD:FREQ:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_STOP_FREQUENCY =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_STOP_FREQUENCY,
    "DS SpecAn Configure Stop Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SAD:FREQ:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_FREQUENCY_SPAN =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_FREQUENCY_SPAN,
    "DS SpecAn Configure Frequency Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngFrequencySpan, NULL,
    "SAD:FREQ:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SET_FREQUENCY_SPAN_FULL =
  {
    RSDSA_ATTR_DS_SPECAN_SET_FREQUENCY_SPAN_FULL,
    "DS SpecAn Set Frequency Span Full",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SAD:FREQ:SPAN:FULL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SET_FREQUENCY_SPAN_MINIMUM =
  {
    RSDSA_ATTR_DS_SPECAN_SET_FREQUENCY_SPAN_MINIMUM,
    "DS SpecAn Set Frequency Span Minimum",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SAD:FREQ:SPAN:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ZERO_SPAN_ENABLED =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_ZERO_SPAN_ENABLED,
    "DS SpecAn Configure Zero Span Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SAD:FREQ:SPAN:ZERO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ZERO_SPAN_SWEEP_TIME =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_ZERO_SPAN_SWEEP_TIME,
    "DS SpecAn Configure Zero Span Sweep Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SAD:FREQ:STIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.000005,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ZERO_SPAN_SAMPLE_RATE =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_ZERO_SPAN_SAMPLE_RATE,
    "DS SpecAn Configure Zero Span Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SAD:ZSSR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    119047619,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_REFERENCE_LEVEL,
    "DS SpecAn Configure Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:SAD:TRAC:Y:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_SCALE_PER_DIVISION =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_SCALE_PER_DIVISION,
    "DS SpecAn Configure Scale Per Division",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:SAD:TRAC:Y:PDIV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_AUTO_SCALE_Y_AXIS =
  {
    RSDSA_ATTR_DS_SPECAN_AUTO_SCALE_Y_AXIS,
    "DS SpecAn Auto Scale Y-Axis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAD:TRAC:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_AUTO_RBW_ENABLED =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_AUTO_RBW_ENABLED,
    "DS SpecAn Configure Auto RBW Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SAD:BWID:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_MANUAL_RBW =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_MANUAL_RBW,
    "DS SpecAn Configure Manual RBW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngRBW, NULL,
    "SAD:BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_AUTO_VBW_ENABLED =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_AUTO_VBW_ENABLED,
    "DS SpecAn Configure Auto VBW Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BWID:VID:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_MANUAL_VBW =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_MANUAL_VBW,
    "DS SpecAn Configure Manual VBW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngVBW, NULL,
    "SAD:BWID:VID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_AUTO_AVERAGE_COUNT =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_AUTO_AVERAGE_COUNT,
    "DS SpecAn Configure Auto Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SAD:AVER:COUN:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_MANUAL_AVERAGE_COUNT =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_MANUAL_AVERAGE_COUNT,
    "DS SpecAn Configure Manual Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngAveragesCount, NULL,
    "SAD:AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_CAPTURE_MODE =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_CAPTURE_MODE,
    "DS SpecAn Configure Capture Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngCaptureMode, NULL, NULL,
    "DISP:SAD:TRAC:CAPT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MEASUREMENT_CAPTURE_CONTINUOUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_RUN_SINGLE_SWEEP =
  {
    RSDSA_ATTR_DS_SPECAN_RUN_SINGLE_SWEEP,
    "DS SpecAn Run Single Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAD:TRAC:RSIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_DETECTOR =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_DETECTOR,
    "DS SpecAn Configure Detector",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngDetector, NULL, NULL,
    "DISP:SAD:TRAC:DET",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_DETECTION_METHOD_SAMPLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_TRACE_HOLD =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_TRACE_HOLD,
    "DS SpecAn Configure Trace Hold",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTraceHold, NULL, NULL,
    "DISP:SAD:TRAC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TRACE_MODE_WRITE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_PHASE_NOISE_MODE_ENABLED =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_PHASE_NOISE_MODE_ENABLED,
    "DS SpecAn Configure Phase Noise Mode Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SAD:TRAC:PNO:STATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ACP_MODE_ENABLED =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_ACP_MODE_ENABLED,
    "DS SpecAn Configure ACP Mode Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SAD:TRAC:ACP:STATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ACP_GRID_SPACING =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_ACP_GRID_SPACING,
    "DS SpecAn Configure ACP Grid Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngACPFrequencyGridSpacing, NULL, NULL,
    "DISP:SAD:TRAC:ACP:GRID",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_ACP_FREQUENCY_GRID_6MHZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ACP_REFERENCE_CHANNEL =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_ACP_REFERENCE_CHANNEL,
    "DS SpecAn Configure ACP Reference Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngACPReferenceChannel, NULL,
    "DISP:SAD:TRAC:ACP:RCH",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_QUERY_ACP_POWER_RESULT =
  {
    RSDSA_ATTR_DS_SPECAN_QUERY_ACP_POWER_RESULT,
    "DS SpecAn Query ACP Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP:SAD:TRAC:ACP:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,0,0,0,0,0,0,0,0,0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_DS_SPECAN_SAVE_ACP_POWER_RESULT =
  {
    RSDSA_ATTR_HIDDEN_DS_SPECAN_SAVE_ACP_POWER_RESULT,
    "Hidden DS SpecAn Save ACP Power Result",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP:SAD:TRAC:ACP:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/acp/acp1.csv",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_PHASE_NOISE_START_OFFSET =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_PHASE_NOISE_START_OFFSET,
    "DS SpecAn Configure Phase Noise Start Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:PNO:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e8,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_PHASE_NOISE_STOP_OFFSET =
  {
    RSDSA_ATTR_DS_SPECAN_CONFIGURE_PHASE_NOISE_STOP_OFFSET,
    "DS SpecAn Configure Phase Noise Stop Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:PNO:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e8,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_QUERY_PHASE_NOISE_SPOT_RESULT =
  {
    RSDSA_ATTR_DS_SPECAN_QUERY_PHASE_NOISE_SPOT_RESULT,
    "DS SpecAn Query Phase Noise Spot Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:PNO:PNO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_QUERY_PHASE_NOISE_INTEGRATED_RESULT =
  {
    RSDSA_ATTR_DS_SPECAN_QUERY_PHASE_NOISE_INTEGRATED_RESULT,
    "DS SpecAn Query Phase Noise Integrated Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:PNO:IPN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_QUERY_PHASE_NOISE_BANDWIDTH =
  {
    RSDSA_ATTR_DS_SPECAN_QUERY_PHASE_NOISE_BANDWIDTH,
    "DS SpecAn Query Phase Noise Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:PNO:IPNB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    9e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_STATE =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_STATE,
    "DS SpecAn Marker State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SAD:MARK{Marker}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_X_POSITION =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_X_POSITION,
    "DS SpecAn Marker X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:MARK{Marker}:X",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1700000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_Y_POSITION =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_Y_POSITION,
    "DS SpecAn Marker Y Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:MARK{Marker}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK,
    "DS SpecAn Marker To Maximum Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:MARK{Marker}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT,
    "DS SpecAn Marker To Next Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:MARK{Marker}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT,
    "DS SpecAn Marker To Next Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:MARK{Marker}:MAX:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT,
    "DS SpecAn Marker To Next Point Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:MARK{Marker}:POIN:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT,
    "DS SpecAn Marker To Next Point Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:MARK{Marker}:POIN:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY,
    "DS SpecAn Marker Set Center Frequency",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:MARK{Marker}:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_ZERO_SPAN_MARKER_TO_TRIGGER_POINT =
  {
    RSDSA_ATTR_DS_SPECAN_ZERO_SPAN_MARKER_TO_TRIGGER_POINT,
    "DS SpecAn Zero Span Marker To Trigger Point",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:MARK{Marker}:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL,
    "DS SpecAn Marker Set Power Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:MARK{Marker}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE,
    "DS SpecAn Delta Marker State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SAD:DELT{Delta}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER,
    "DS SpecAn Delta Marker Linked Reference Marker",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngReferenceMarker, NULL, NULL,
    "CALC:SAD:DELT{Delta}:MREF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_REFERENCE_MARKER_2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION,
    "DS SpecAn Delta Marker Absolute X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:DELT{Delta}:X:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    204000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION,
    "DS SpecAn Delta Marker Relative X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:DELT{Delta}:X:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION,
    "DS SpecAn Delta Marker Y Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:DELT{Delta}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK,
    "DS SpecAn Delta Marker To Maximum Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:DELT{Delta}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT,
    "DS SpecAn Delta Marker To Next Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:DELT{Delta}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT,
    "DS SpecAn Delta Marker To Next Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:DELT{Delta}:MAX:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT,
    "DS SpecAn Delta Marker To Next Point Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:DELT{Delta}:POIN:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT,
    "DS SpecAn Delta Marker To Next Point Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:DELT{Delta}:POIN:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_ZERO_SPAN_DELTA_MARKER_TO_TRIGGER_POINT =
  {
    RSDSA_ATTR_DS_SPECAN_ZERO_SPAN_DELTA_MARKER_TO_TRIGGER_POINT,
    "DS SpecAn Zero Span Delta Marker To Trigger Point",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:DELT{Delta}:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY,
    "DS SpecAn Delta Marker Set Center Frequency",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:DELT{Delta}:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL,
    "DS SpecAn Delta Marker Set Power Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAD:DELT{Delta}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT =
  {
    RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT,
    "DS SpecAn Delta Marker Bandwidth Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:DELT{Delta}:BPOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_DISPLAY_STATE_STORE =
  {
    RSDSA_ATTR_DS_SPECAN_DISPLAY_STATE_STORE,
    "DS SpecAn Display State Store",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAD:STAT{SavedState}:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_DISPLAY_STATE_CLEAR =
  {
    RSDSA_ATTR_DS_SPECAN_DISPLAY_STATE_CLEAR,
    "DS SpecAn Display State Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAD:STAT{SavedState}:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_DISPLAY_STATE_RECALL =
  {
    RSDSA_ATTR_DS_SPECAN_DISPLAY_STATE_RECALL,
    "DS SpecAn Display State Recall",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAD:STAT{SavedState}:REC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_QUERY_TRACE_DATA =
  {
    RSDSA_ATTR_DS_SPECAN_QUERY_TRACE_DATA,
    "DS SpecAn Query Trace Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:SAD:TRAC{Trace}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,2,3,65535",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_MASK_VISIBLE =
  {
    RSDSA_ATTR_DS_SPECAN_MASK_VISIBLE,
    "DS SpecAn Mask Visible",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SAD:MASK{Mask}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DS_SPECAN_CLEAR_MASK =
  {
    RSDSA_ATTR_DS_SPECAN_CLEAR_MASK,
    "DS SpecAn Clear Mask",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAD:MASK{Mask}:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_DS_SPECAN_MASK_LOWER_CONFIGURATION =
  {
    RSDSA_ATTR_HIDDEN_DS_SPECAN_MASK_LOWER_CONFIGURATION,
    "Hidden DS SpecAn Mask Lower Configuration",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:D31D:MASK{Mask}:LOW:CONF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_DS_SPECAN_MASK_UPPER_CONFIGURATION =
  {
    RSDSA_ATTR_HIDDEN_DS_SPECAN_MASK_UPPER_CONFIGURATION,
    "Hidden DS SpecAn Mask Upper Configuration",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:D31D:MASK{Mask}:UPP:CONF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ENABLE_DOCSIS_30_ATDMA_MODE =
  {
    RSDSA_ATTR_ENABLE_DOCSIS_30_ATDMA_MODE,
    "Enable DOCSIS 3.0 ATDMA Mode",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST:MODE D30A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_MAP_GEN_IUC =
  {
    RSDSA_ATTR_D30A_CONFIGURE_MAP_GEN_IUC,
    "D30A Configure Map Gen IUC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngDataFilterIUC, NULL, NULL,
    "DISP:D30A:IUCF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_DATA_FILTER_IUC5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_BURST_DEMODULATOR_LOCK_STATUS =
  {
    RSDSA_ATTR_D30A_QUERY_BURST_DEMODULATOR_LOCK_STATUS,
    "D30A Query Burst Demodulator Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:D30A:LOCK:BDEM?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_FEC_LOCK_STATUS =
  {
    RSDSA_ATTR_D30A_QUERY_FEC_LOCK_STATUS,
    "D30A Query FEC Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:D30A:LOCK:FEC?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_BURST_RECEIVE_POWER =
  {
    RSDSA_ATTR_D30A_QUERY_BURST_RECEIVE_POWER,
    "D30A Query Burst Receive Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:BRP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_SIGNAL_POWER_PER_1600KHZ =
  {
    RSDSA_ATTR_D30A_QUERY_SIGNAL_POWER_PER_1600KHZ,
    "D30A Query Signal Power Per 1600kHz",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:SP1600khz?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_FREQUENCY_OFFSET =
  {
    RSDSA_ATTR_D30A_QUERY_FREQUENCY_OFFSET,
    "D30A Query Frequency Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:FOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_BURST_TIMING_OFFSET =
  {
    RSDSA_ATTR_D30A_QUERY_BURST_TIMING_OFFSET,
    "D30A Query Burst Timing Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:BTOF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_PAYLOAD_DATA_RATE_IUC =
  {
    RSDSA_ATTR_D30A_QUERY_PAYLOAD_DATA_RATE_IUC,
    "D30A Query Payload Data Rate IUC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:PDR:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_MINISLOTS_RECEIVED =
  {
    RSDSA_ATTR_D30A_QUERY_MINISLOTS_RECEIVED,
    "D30A Query Minislots Received",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "READ:D30A:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_BURST_COVERAGE =
  {
    RSDSA_ATTR_D30A_QUERY_BURST_COVERAGE,
    "D30A Query Burst Coverage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:BCOV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_MER_SIGN =
  {
    RSDSA_ATTR_D30A_CONFIGURE_MER_SIGN,
    "D30A Configure MER Sign",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngMERSign, NULL, NULL,
    "UNIT:D30A:MERS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MER_SIGN_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_MER_RMS =
  {
    RSDSA_ATTR_D30A_QUERY_MER_RMS,
    "D30A Query MER RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:MER:OVER:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_MER_PEAK =
  {
    RSDSA_ATTR_D30A_QUERY_MER_PEAK,
    "D30A Query MER Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:MER:OVER:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_MER_IUC_RMS =
  {
    RSDSA_ATTR_D30A_QUERY_MER_IUC_RMS,
    "D30A Query MER IUC RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:MER:IUC:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_MER_IUC_PEAK =
  {
    RSDSA_ATTR_D30A_QUERY_MER_IUC_PEAK,
    "D30A Query MER IUC Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:MER:IUC:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_IQ_IMBALANCE_AMPLITUDE_DB =
  {
    RSDSA_ATTR_D30A_QUERY_IQ_IMBALANCE_AMPLITUDE_DB,
    "D30A Query IQ Imbalance Amplitude dB",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:IQIM:AMPL:DB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT =
  {
    RSDSA_ATTR_D30A_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT,
    "D30A Query IQ Imbalance Amplitude Percent",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:IQIM:AMPL:PERC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR =
  {
    RSDSA_ATTR_D30A_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR,
    "D30A Query IQ Imbalance Quadrature Error",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:IQIM:QERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_RESET_ERROR_ANALYSIS =
  {
    RSDSA_ATTR_D30A_RESET_ERROR_ANALYSIS,
    "D30A Reset Error Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D30A:BER:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_BER_ELAPSED_TIME =
  {
    RSDSA_ATTR_D30A_QUERY_BER_ELAPSED_TIME,
    "D30A Query BER Elapsed Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:BER:ETIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_BER_BLOCKS_PROCESSED =
  {
    RSDSA_ATTR_D30A_QUERY_BER_BLOCKS_PROCESSED,
    "D30A Query BER Blocks Processed",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:BER:BPR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_BER_BURSTS_EXPECTED =
  {
    RSDSA_ATTR_D30A_QUERY_BER_BURSTS_EXPECTED,
    "D30A Query BER Bursts Expected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:BER:BURS:EXP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_BER_BURSTS_RECEIVED =
  {
    RSDSA_ATTR_D30A_QUERY_BER_BURSTS_RECEIVED,
    "D30A Query BER Bursts Received",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:BER:BURS:REC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_MODE =
  {
    RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_MODE,
    "D30A Configure Error Analysis Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisMode, NULL, NULL,
    "CALC:D30A:BER:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_ERROR_ANALYSIS_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH =
  {
    RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    "D30A Configure Error Analysis Test Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepth, NULL, NULL,
    "CALC:D30A:BER:COUN",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_10_BLOCKS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE =
  {
    RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE,
    "D30A Configure Error Analysis Test Depth Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisBERSource, NULL, NULL,
    "CALC:D30A:BER:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_BER_SOURCE_PSEUDONOISE23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE =
  {
    RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    "D30A Configure Error Analysis Test Depth Progression Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepthSource, NULL, NULL,
    "CALC:D30A:BER:TDS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_SOURCE_PRE_REED_SOLOMON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_BER_PRE_REED_SOLOMON =
  {
    RSDSA_ATTR_D30A_QUERY_BER_PRE_REED_SOLOMON,
    "D30A Query BER Pre-Reed-Solomon",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:BER:RSOL:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS =
  {
    RSDSA_ATTR_D30A_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS,
    "D30A Query BER Pre-Reed-Solomon Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:BER:BITS:RSOL:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_BER_POST_REED_SOLOMON =
  {
    RSDSA_ATTR_D30A_QUERY_BER_POST_REED_SOLOMON,
    "D30A Query BER Post-Reed-Solomon",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:BER:RSOL:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS =
  {
    RSDSA_ATTR_D30A_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS,
    "D30A Query BER Post-Reed-Solomon Corrected Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:BER:BITS:RSOL:POST:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS =
  {
    RSDSA_ATTR_D30A_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS,
    "D30A Query BER Post-Reed-Solomon Uncorrected Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:BER:BITS:RSOL:POST:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_CER_CORRECTED =
  {
    RSDSA_ATTR_D30A_QUERY_CER_CORRECTED,
    "D30A Query CER Corrected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:CER:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_CER_UNCORRECTED =
  {
    RSDSA_ATTR_D30A_QUERY_CER_UNCORRECTED,
    "D30A Query CER Uncorrected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:CER:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_CER_TOTAL_CODEWORDS =
  {
    RSDSA_ATTR_D30A_QUERY_CER_TOTAL_CODEWORDS,
    "D30A Query CER Total Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:CER:COD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_CER_CORRECTED_CODEWORDS =
  {
    RSDSA_ATTR_D30A_QUERY_CER_CORRECTED_CODEWORDS,
    "D30A Query CER Corrected Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:CER:COD:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_CER_UNCORRECTED_CODEWORDS =
  {
    RSDSA_ATTR_D30A_QUERY_CER_UNCORRECTED_CODEWORDS,
    "D30A Query CER Uncorrected Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:CER:COD:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_CER_AVG_PAYLOAD_PER_CODEWORD_PER_IUC =
  {
    RSDSA_ATTR_D30A_QUERY_CER_AVG_PAYLOAD_PER_CODEWORD_PER_IUC,
    "D30A Query CER Avg Payload Per Codeword Per IUC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:CER:APPC:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_CER_CODEWORD_COVERAGE_IUC =
  {
    RSDSA_ATTR_D30A_QUERY_CER_CODEWORD_COVERAGE_IUC,
    "D30A Query CER Codeword Coverage IUC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:CER:CCOV:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_DISPLAY_CONSTELLATION_PLOT =
  {
    RSDSA_ATTR_D30A_DISPLAY_CONSTELLATION_PLOT,
    "D30A Display Constellation Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30A:CONS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_DISPLAY_I_Q_DENSITY_PLOT =
  {
    RSDSA_ATTR_D30A_DISPLAY_I_Q_DENSITY_PLOT,
    "D30A Display I/Q Density Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30A:IQD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_I_Q_MEASUREMENT_MODE =
  {
    RSDSA_ATTR_D30A_CONFIGURE_I_Q_MEASUREMENT_MODE,
    "D30A Configure I/Q Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngIQDensityMode, NULL, NULL,
    "DISP:D30A:IQDM",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_IQ_MEASUREMENT_MODE_HOLD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_I_Q_WINDOW_WIDTH =
  {
    RSDSA_ATTR_D30A_CONFIGURE_I_Q_WINDOW_WIDTH,
    "D30A Configure I/Q Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngIQSlidingWindow, NULL,
    "DISP:D30A:SWW",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_D30A_DISPLAY_I_Q_ZOOM =
  {
    RSDSA_ATTR_HIDDEN_D30A_DISPLAY_I_Q_ZOOM,
    "Hidden D30A Display I/Q Zoom",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:D30A:IQDZ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CAPTURE_IQ_DATA_TO_FILENAME =
  {
    RSDSA_ATTR_D30A_CAPTURE_IQ_DATA_TO_FILENAME,
    "D30A Capture IQ Data To Filename",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "OUTP:D30A:IQ:CAPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/R_S/Instr/user/data.iq.tar",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_IQ_DATA_EXPORT_MAX_SAMPLES =
  {
    RSDSA_ATTR_D30A_IQ_DATA_EXPORT_MAX_SAMPLES,
    "D30A IQ Data Export Max Samples",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "OUTP:D30A:IQ:SAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    60000000,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_IQ_DATA_EXPORT_TIMEOUT =
  {
    RSDSA_ATTR_D30A_IQ_DATA_EXPORT_TIMEOUT,
    "D30A IQ Data Export Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:D30A:IQ:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    600,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_DISPLAY_MER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D30A_DISPLAY_MER_VS_TIME_PLOT,
    "D30A Display MER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30A:MER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D30A_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    "D30A Configure MER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D30A:MER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_DISPLAY_BER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D30A_DISPLAY_BER_VS_TIME_PLOT,
    "D30A Display BER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30A:BER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D30A_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    "D30A Configure BER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D30A:BER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_DISPLAY_POWER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D30A_DISPLAY_POWER_VS_TIME_PLOT,
    "D30A Display Power Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30A:POW:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D30A_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    "D30A Configure Power Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D30A:POW:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_DISPLAY_CCDF_HISTOGRAM =
  {
    RSDSA_ATTR_D30A_DISPLAY_CCDF_HISTOGRAM,
    "D30A Display CCDF Histogram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30A:CCDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_QUERY_CCDF_PEAK =
  {
    RSDSA_ATTR_D30A_QUERY_CCDF_PEAK,
    "D30A Query CCDF Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D30A:CCDF:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D30A_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "D30A Display Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30A:APS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D30A_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "D30A Auto Scale Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30A:APS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D30A_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "D30A Display Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30A:AGDS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D30A_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "D30A Auto Scale Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30A:AGDS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_DISPLAY_ECHO_PATTERN_PLOT =
  {
    RSDSA_ATTR_D30A_DISPLAY_ECHO_PATTERN_PLOT,
    "D30A Display Echo Pattern Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D30A:EPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_ALL =
  {
    RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_ALL,
    "D30A System Acquisition Log All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:D30A:ALOG:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry1>\",<TimeTag1>,\"<Entry2>\",<TimeTag2>\",...",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_NEXT =
  {
    RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_NEXT,
    "D30A System Acquisition Log Next",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:D30A:ALOG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry>\",<TimeTag>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_COUNT =
  {
    RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_COUNT,
    "D30A System Acquisition Log Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:D30A:ALOG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_CLEAR_ALL =
  {
    RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    "D30A System Acquisition Log Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:D30A:ALOG:CLE:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_FREQUENCY =
  {
    RSDSA_ATTR_D30A_CONFIGURE_FREQUENCY,
    "D30A Configure Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngD30ACenterFrequency, NULL,
    "CONF:D30A:CHAN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    60e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_CONSTELLATION =
  {
    RSDSA_ATTR_D30A_CONFIGURE_CONSTELLATION,
    "D30A Configure Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD30AModulation, NULL, NULL,
    "CONF:D30A:CHAN:MOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_MODULATION_QAM64,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_CHANNEL_SYMBOL_RATE =
  {
    RSDSA_ATTR_D30A_CONFIGURE_CHANNEL_SYMBOL_RATE,
    "D30A Configure Channel Symbol Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD30ASymbolRate, NULL, NULL,
    "CONF:D30A:CHAN:SRAT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_SRATE_S1280,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_FEC_PARAMETER_T =
  {
    RSDSA_ATTR_D30A_CONFIGURE_FEC_PARAMETER_T,
    "D30A Configure FEC Parameter T",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngFECParameterT, NULL,
    "CONF:D30A:CHAN:FPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_FEC_PARAMETER_K =
  {
    RSDSA_ATTR_D30A_CONFIGURE_FEC_PARAMETER_K,
    "D30A Configure FEC Parameter K",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngFECParameterK, NULL,
    "CONF:D30A:CHAN:FPK",
    // Defaults I32, I64, Float, Bool, String
    16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_LAST_CODEWORD_LENGTH =
  {
    RSDSA_ATTR_D30A_CONFIGURE_LAST_CODEWORD_LENGTH,
    "D30A Configure Last Codeword Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngLastCodewordLength, NULL, NULL,
    "CONF:D30A:CHAN:LCL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_LAST_CODEWORD_LENGTH_FIXED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_PATTERN =
  {
    RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_PATTERN,
    "D30A Configure Preamble Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:D30A:CHAN:PPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "hexPattern",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_LENGTH =
  {
    RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_LENGTH,
    "D30A Configure Preamble Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngPreambleLength, NULL,
    "CONF:D30A:CHAN:PLEN",
    // Defaults I32, I64, Float, Bool, String
    32,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_OFFSET =
  {
    RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_OFFSET,
    "D30A Configure Preamble Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngPreambleOffset, NULL,
    "CONF:D30A:CHAN:POFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_TYPE =
  {
    RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_TYPE,
    "D30A Configure Preamble Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngPreambleType, NULL, NULL,
    "CONF:D30A:CHAN:PTYP",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_PREAMBLE_TYPE_QPSK0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_SCRAMBLER_ENABLED =
  {
    RSDSA_ATTR_D30A_CONFIGURE_SCRAMBLER_ENABLED,
    "D30A Configure Scrambler Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:D30A:CHAN:SCR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_SCRAMBLER_SEED =
  {
    RSDSA_ATTR_D30A_CONFIGURE_SCRAMBLER_SEED,
    "D30A Configure Scrambler Seed",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:D30A:CHAN:SSE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "hexString",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_GUARD_TIME_SIZE =
  {
    RSDSA_ATTR_D30A_CONFIGURE_GUARD_TIME_SIZE,
    "D30A Configure Guard Time Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngGuardTimeSize, NULL,
    "CONF:D30A:CHAN:GTS",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_REED_SOLOMON_MODE =
  {
    RSDSA_ATTR_D30A_CONFIGURE_REED_SOLOMON_MODE,
    "D30A Configure Reed Solomon Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngReedSolomonMode, NULL, NULL,
    "CONF:D30A:CHAN:RSIM",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_REED_SOLOMON_MODE_DISABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_DEPTH =
  {
    RSDSA_ATTR_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_DEPTH,
    "D30A Configure Reed Solomon Interleaver Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngReedSolomonInterleaverDepth, NULL,
    "CONF:D30A:CHAN:RSID",
    // Defaults I32, I64, Float, Bool, String
    34,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_BLOCK_SIZE =
  {
    RSDSA_ATTR_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_BLOCK_SIZE,
    "D30A Configure Reed Solomon Interleaver Block Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngReedSolomonInterleaverBlockSize, NULL,
    "CONF:D30A:CHAN:RSIB",
    // Defaults I32, I64, Float, Bool, String
    1056,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_MINISLOT_SIZE =
  {
    RSDSA_ATTR_D30A_CONFIGURE_MINISLOT_SIZE,
    "D30A Configure Minislot Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsDSA_rngMinislotSize,
    "CONF:D30A:CHAN:MSIZ",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_EQUALIZER_STATE =
  {
    RSDSA_ATTR_D30A_CONFIGURE_EQUALIZER_STATE,
    "D30A Configure Equalizer State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngEqualizerState, NULL, NULL,
    "INP:D30A:EQU:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_EQUALIZER_ON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_AUTO_LEVEL =
  {
    RSDSA_ATTR_D30A_AUTO_LEVEL,
    "D30A Auto Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:US:LEV:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_ATTENUATION =
  {
    RSDSA_ATTR_D30A_CONFIGURE_ATTENUATION,
    "D30A Configure Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngUSAttenuation, NULL,
    "INP:DS:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_PREAMPLIFIER_ENABLED =
  {
    RSDSA_ATTR_D30A_CONFIGURE_PREAMPLIFIER_ENABLED,
    "D30A Configure Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:US:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_GRANT_SIZE =
  {
    RSDSA_ATTR_D30A_CONFIGURE_GRANT_SIZE,
    "D30A Configure Grant Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CONF:D30A:CHAN:GSIZ",
    // Defaults I32, I64, Float, Bool, String
    200,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_STARTING_MINISLOT =
  {
    RSDSA_ATTR_D30A_CONFIGURE_STARTING_MINISLOT,
    "D30A Configure Starting Minislot",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CONF:D30A:CHAN:SMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_SCHEDULING =
  {
    RSDSA_ATTR_D30A_CONFIGURE_SCHEDULING,
    "D30A Configure Scheduling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngChannelSchedule, NULL, NULL,
    "CONF:D30A:CHAN:SCH",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_CHANNEL_SCHEDULE_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_REPEAT_INTERVAL =
  {
    RSDSA_ATTR_D30A_CONFIGURE_REPEAT_INTERVAL,
    "D30A Configure Repeat Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CONF:D30A:CHAN:PBIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_NUMBER_OF_BURSTS =
  {
    RSDSA_ATTR_D30A_CONFIGURE_NUMBER_OF_BURSTS,
    "D30A Configure Number Of Bursts",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CONF:D30A:CHAN:NBUR",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_RANGING_MODE_ENABLED =
  {
    RSDSA_ATTR_D30A_CONFIGURE_RANGING_MODE_ENABLED,
    "D30A Configure Ranging Mode Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:D30A:CHAN:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_UNTIMED_BURST_LENGTH =
  {
    RSDSA_ATTR_D30A_CONFIGURE_UNTIMED_BURST_LENGTH,
    "D30A Configure Untimed Burst Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CONF:D30A:CHAN:UBL",
    // Defaults I32, I64, Float, Bool, String
    200,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_INPUT_TRIGGER_OFFSET =
  {
    RSDSA_ATTR_D30A_CONFIGURE_INPUT_TRIGGER_OFFSET,
    "D30A Configure Input Trigger Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:D30A:CHAN:INP:TRIG:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_SFP_OUTPUT_ENABLED =
  {
    RSDSA_ATTR_D30A_CONFIGURE_SFP_OUTPUT_ENABLED,
    "D30A Configure SFP Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:D30A:SFP:NOUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_SFP_IUC_UDP_PORT =
  {
    RSDSA_ATTR_D30A_CONFIGURE_SFP_IUC_UDP_PORT,
    "D30A Configure SFP IUC UDP Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngUDPPort, NULL,
    "OUTP:D30A:SFP:IUC{IUC_ATDMA}:UDPP",
    // Defaults I32, I64, Float, Bool, String
    1025,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED =
  {
    RSDSA_ATTR_D30A_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED,
    "D30A Configure SFP IUC UDP Port Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:D30A:SFP:IUC{IUC_ATDMA}:UDPP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_ALARM_THRESHOLD_RMS_MER_OVERALL =
  {
    RSDSA_ATTR_D30A_ALARM_THRESHOLD_RMS_MER_OVERALL,
    "D30A Alarm Threshold RMS MER Overall",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:D30A:MER:OVER:RMS:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON =
  {
    RSDSA_ATTR_D30A_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON,
    "D30A Alarm Threshold BER Pre-Reed-Solomon",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:D30A:BER:RSOL:PRE:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_ALARM_THRESHOLD_BER_POST_REED_SOLOMON =
  {
    RSDSA_ATTR_D30A_ALARM_THRESHOLD_BER_POST_REED_SOLOMON,
    "D30A Alarm Threshold BER Post-Reed-Solomon",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:D30A:BER:RSOL:POST:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D30A_CONFIGURE_MER_BURSTS =
  {
    RSDSA_ATTR_D30A_CONFIGURE_MER_BURSTS,
    "D30A Configure MER Bursts",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngMERBursts, NULL,
    "CONF:D30A:MER:NBUR",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ENABLE_DOCSIS_31_OFDMA_MODE =
  {
    RSDSA_ATTR_ENABLE_DOCSIS_31_OFDMA_MODE,
    "Enable DOCSIS 3.1 OFDMA Mode",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST:MODE D31U",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_MAP_GEN_IUC =
  {
    RSDSA_ATTR_D31U_CONFIGURE_MAP_GEN_IUC,
    "D31U Configure Map Gen IUC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD31UDataFilterIUC, NULL, NULL,
    "DISP:D31U:IUCF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_DATA_FILTER_IUC5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_BURST_DEMODULATOR_LOCK_STATUS =
  {
    RSDSA_ATTR_D31U_QUERY_BURST_DEMODULATOR_LOCK_STATUS,
    "D31U Query Burst Demodulator Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:D31U:LOCK:BDEM?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_FEC_LOCK_STATUS =
  {
    RSDSA_ATTR_D31U_QUERY_FEC_LOCK_STATUS,
    "D31U Query FEC Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:D31U:LOCK:FEC?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_READ_BURST_RECEIVE_POWER =
  {
    RSDSA_ATTR_D31U_READ_BURST_RECEIVE_POWER,
    "D31U Read Burst Receive Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:BRP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_SIGNAL_POWER_PER_1600KHZ =
  {
    RSDSA_ATTR_D31U_QUERY_SIGNAL_POWER_PER_1600KHZ,
    "D31U Query Signal Power Per 1600kHz",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:SP1600khz?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_FREQUENCY_OFFSET =
  {
    RSDSA_ATTR_D31U_QUERY_FREQUENCY_OFFSET,
    "D31U Query Frequency Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:FOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_BURST_TIMING_OFFSET =
  {
    RSDSA_ATTR_D31U_QUERY_BURST_TIMING_OFFSET,
    "D31U Query Burst Timing Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:BTOF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_PAYLOAD_DATA_RATE_IUC =
  {
    RSDSA_ATTR_D31U_QUERY_PAYLOAD_DATA_RATE_IUC,
    "D31U Query Payload Data Rate IUC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:PDR:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_MINISLOTS_RECEIVED =
  {
    RSDSA_ATTR_D31U_QUERY_MINISLOTS_RECEIVED,
    "D31U Query Minislots Received",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "READ:D31U:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_BURST_COVERAGE =
  {
    RSDSA_ATTR_D31U_QUERY_BURST_COVERAGE,
    "D31U Query Burst Coverage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:BCOV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_MER_SIGN =
  {
    RSDSA_ATTR_D31U_CONFIGURE_MER_SIGN,
    "D31U Configure MER Sign",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngMERSign, NULL, NULL,
    "UNIT:D31U:MERS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MER_SIGN_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_MER_RMS =
  {
    RSDSA_ATTR_D31U_QUERY_MER_RMS,
    "D31U Query MER RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:MER:OVER:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_MER_RMS_PARTIALY_EQUALIZED =
  {
    RSDSA_ATTR_D31U_QUERY_MER_RMS_PARTIALY_EQUALIZED,
    "D31U Query MER RMS Partialy Equalized",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:MER:OVER:RMS:PEQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_MER_PEAK =
  {
    RSDSA_ATTR_D31U_QUERY_MER_PEAK,
    "D31U Query MER Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:MER:OVER:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_MER_PILOT_RMS =
  {
    RSDSA_ATTR_D31U_QUERY_MER_PILOT_RMS,
    "D31U Query MER Pilot RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:MER:PIL:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_MER_PILOT_PEAK =
  {
    RSDSA_ATTR_D31U_QUERY_MER_PILOT_PEAK,
    "D31U Query MER Pilot Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:MER:PIL:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_PILOT_CONSTELLATIONS =
  {
    RSDSA_ATTR_D31U_QUERY_PILOT_CONSTELLATIONS,
    "D31U Query Pilot Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D31U:CONS:PIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "BPSK",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_MER_COMPLEMENTARY_PILOT_RMS =
  {
    RSDSA_ATTR_D31U_QUERY_MER_COMPLEMENTARY_PILOT_RMS,
    "D31U Query MER Complementary Pilot RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:MER:CPIL:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_MER_COMPLEMENTARY_PILOT_PEAK =
  {
    RSDSA_ATTR_D31U_QUERY_MER_COMPLEMENTARY_PILOT_PEAK,
    "D31U Query MER Complementary Pilot Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:MER:CPIL:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS =
  {
    RSDSA_ATTR_D31U_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS,
    "D31U Query Complementary Pilot Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D31U:CONS:CPIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "BPSK",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_MER_MAP_GEN_IUC_RMS =
  {
    RSDSA_ATTR_D31U_QUERY_MER_MAP_GEN_IUC_RMS,
    "D31U Query MER Map Gen IUC RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:MER:IUC:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_MER_MAP_GEN_IUC_PEAK =
  {
    RSDSA_ATTR_D31U_QUERY_MER_MAP_GEN_IUC_PEAK,
    "D31U Query MER Map Gen IUC Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:MER:IUC:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_IUC_CONSTELLATIONS =
  {
    RSDSA_ATTR_D31U_QUERY_IUC_CONSTELLATIONS,
    "D31U Query IUC Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D31U:CONS:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ZL,QAM128,QAM256",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_RESET_ERROR_ANALYSIS =
  {
    RSDSA_ATTR_D31U_RESET_ERROR_ANALYSIS,
    "D31U Reset Error Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:BER:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_BER_ELAPSED_TIME =
  {
    RSDSA_ATTR_D31U_QUERY_BER_ELAPSED_TIME,
    "D31U Query BER Elapsed Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:BER:ETIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_BER_BLOCKS_PROCESSED =
  {
    RSDSA_ATTR_D31U_QUERY_BER_BLOCKS_PROCESSED,
    "D31U Query BER Blocks Processed",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:BER:BPR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_BER_BURSTS_EXPECTED =
  {
    RSDSA_ATTR_D31U_QUERY_BER_BURSTS_EXPECTED,
    "D31U Query BER Bursts Expected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:BER:BURS:EXP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_BER_BURSTS_RECEIVED =
  {
    RSDSA_ATTR_D31U_QUERY_BER_BURSTS_RECEIVED,
    "D31U Query BER Bursts Received",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:BER:BURS:REC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH =
  {
    RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    "D31U Configure Error Analysis Test Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepth, NULL, NULL,
    "CALC:D31U:BER:COUN",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_10_BLOCKS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_MODE =
  {
    RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_MODE,
    "D31U Configure Error Analysis Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisMode, NULL, NULL,
    "CALC:D31U:BER:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_ERROR_ANALYSIS_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE =
  {
    RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE,
    "D31U Configure Error Analysis Test Depth Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisBERSource, NULL, NULL,
    "CALC:D31U:BER:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_BER_SOURCE_PSEUDONOISE23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE =
  {
    RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    "D31U Configure Error Analysis Test Depth Progression Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepthSource, NULL, NULL,
    "CALC:D31U:BER:TDS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_SOURCE_PRE_REED_SOLOMON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_BER_IUC_PRE_LDPC =
  {
    RSDSA_ATTR_D31U_QUERY_BER_IUC_PRE_LDPC,
    "D31U Query BER IUC Pre-LDPC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:BER:LDPC:PRE:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_BER_IUC_PRE_LDPC_TOTAL_BITS =
  {
    RSDSA_ATTR_D31U_QUERY_BER_IUC_PRE_LDPC_TOTAL_BITS,
    "D31U Query BER IUC Pre-LDPC Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:BER:BITS:LDPC:PRE:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_BER_IUC_POST_LDPC =
  {
    RSDSA_ATTR_D31U_QUERY_BER_IUC_POST_LDPC,
    "D31U Query BER IUC Post-LDPC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:BER:LDPC:POST:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_BER_IUC_POST_LDPC_TOTAL_BITS =
  {
    RSDSA_ATTR_D31U_QUERY_BER_IUC_POST_LDPC_TOTAL_BITS,
    "D31U Query BER IUC Post-LDPC Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:BER:BITS:LDPC:POST:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_CODEWORD_LENGTH_FILTER =
  {
    RSDSA_ATTR_D31U_CONFIGURE_CODEWORD_LENGTH_FILTER,
    "D31U Configure Codeword Length Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngCodewordLength, NULL, NULL,
    "DISP:D31U:CLF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CODEWORD_LENGTH_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_CER_POST_LDPC =
  {
    RSDSA_ATTR_D31U_QUERY_CER_POST_LDPC,
    "D31U Query CER Post-LDPC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:CER:LDPC:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_CER_POST_LDPC_CODEWORD_ERRORS =
  {
    RSDSA_ATTR_D31U_QUERY_CER_POST_LDPC_CODEWORD_ERRORS,
    "D31U Query CER Post-LDPC Codeword Errors",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:CER:CERR:LDPC:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_CER_AVERAGE_LDPC_ITERATIONS =
  {
    RSDSA_ATTR_D31U_QUERY_CER_AVERAGE_LDPC_ITERATIONS,
    "D31U Query CER Average LDPC Iterations",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:CER:ALIT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_CER_AVG_PAYLOAD_PER_CODEWORD_PER_IUC =
  {
    RSDSA_ATTR_D31U_QUERY_CER_AVG_PAYLOAD_PER_CODEWORD_PER_IUC,
    "D31U Query CER Avg Payload Per Codeword Per IUC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:CER:APPC:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_CER_CODEWORD_COVERAGE_IUC =
  {
    RSDSA_ATTR_D31U_QUERY_CER_CODEWORD_COVERAGE_IUC,
    "D31U Query CER Codeword Coverage IUC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:CER:CCOV:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_DISPLAY_CONSTELLATION_PLOT =
  {
    RSDSA_ATTR_D31U_DISPLAY_CONSTELLATION_PLOT,
    "D31U Display Constellation Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:CONS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_DISPLAY_I_Q_DENSITY_PLOT =
  {
    RSDSA_ATTR_D31U_DISPLAY_I_Q_DENSITY_PLOT,
    "D31U Display I/Q Density Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:IQD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_I_Q_MEASUREMENT_MODE =
  {
    RSDSA_ATTR_D31U_CONFIGURE_I_Q_MEASUREMENT_MODE,
    "D31U Configure I/Q Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngIQDensityMode, NULL, NULL,
    "DISP:D31U:IQDM",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_IQ_MEASUREMENT_MODE_HOLD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_I_Q_WINDOW_WIDTH =
  {
    RSDSA_ATTR_D31U_CONFIGURE_I_Q_WINDOW_WIDTH,
    "D31U Configure I/Q Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngIQSlidingWindow, NULL,
    "DISP:D31U:SWW",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_D31U_DISPLAY_I_Q_ZOOM =
  {
    RSDSA_ATTR_HIDDEN_D31U_DISPLAY_I_Q_ZOOM,
    "Hidden D31U Display I/Q Zoom",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:D31U:IQDZ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CAPTURE_IQ_DATA_TO_FILENAME =
  {
    RSDSA_ATTR_D31U_CAPTURE_IQ_DATA_TO_FILENAME,
    "D31U Capture IQ Data To Filename",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "OUTP:D31U:IQ:CAPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/R_S/Instr/user/data.iq.tar",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_IQ_DATA_EXPORT_MAX_SAMPLES =
  {
    RSDSA_ATTR_D31U_IQ_DATA_EXPORT_MAX_SAMPLES,
    "D31U IQ Data Export Max Samples",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "OUTP:D31U:IQ:SAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    60000000,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_IQ_DATA_EXPORT_TIMEOUT =
  {
    RSDSA_ATTR_D31U_IQ_DATA_EXPORT_TIMEOUT,
    "D31U IQ Data Export Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:D31U:IQ:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    600,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_DISPLAY_MER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D31U_DISPLAY_MER_VS_TIME_PLOT,
    "D31U Display MER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:MER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D31U_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    "D31U Configure MER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D31U:MER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_DISPLAY_BER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D31U_DISPLAY_BER_VS_TIME_PLOT,
    "D31U Display BER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:BER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D31U_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    "D31U Configure BER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D31U:BER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_DISPLAY_POWER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_D31U_DISPLAY_POWER_VS_TIME_PLOT,
    "D31U Display Power Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:POW:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_D31U_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    "D31U Configure Power Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:D31U:POW:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_DISPLAY_MER_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D31U_DISPLAY_MER_VS_SUBCARRIER_PLOT,
    "D31U Display MER Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:MER:VSUB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_DISPLAY_MER_VS_MINISLOT_PLOT =
  {
    RSDSA_ATTR_D31U_DISPLAY_MER_VS_MINISLOT_PLOT,
    "D31U Display MER Vs Minislot Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:MER:VMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_DISPLAY_CCDF_HISTOGRAM =
  {
    RSDSA_ATTR_D31U_DISPLAY_CCDF_HISTOGRAM,
    "D31U Display CCDF Histogram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:CCDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_CCDF_PEAK =
  {
    RSDSA_ATTR_D31U_QUERY_CCDF_PEAK,
    "D31U Query CCDF Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:D31U:CCDF:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D31U_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "D31U Display Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:APS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D31U_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "D31U Auto Scale Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:APS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D31U_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "D31U Display Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:AGDS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_D31U_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "D31U Auto Scale Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:AGDS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_DISPLAY_ECHO_PATTERN_PLOT =
  {
    RSDSA_ATTR_D31U_DISPLAY_ECHO_PATTERN_PLOT,
    "D31U Display Echo Pattern Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:EPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_DISPLAY_SPECTRUM_ANALYSIS_PLOT =
  {
    RSDSA_ATTR_D31U_DISPLAY_SPECTRUM_ANALYSIS_PLOT,
    "D31U Display Spectrum Analysis Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:SAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF,
    "D31U Spectrum Analysis All Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:MARK:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF,
    "D31U Spectrum Analysis All Delta Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:DELT:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS,
    "D31U Spectrum Analysis Clear All Masks",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:MASK:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED,
    "D31U Spectrum Analysis Display All Masks Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:D31U:MASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_AMPLITUDE_CONFIGURE_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_AMPLITUDE_CONFIGURE_REFERENCE_LEVEL,
    "D31U Spectrum Analysis Amplitude Configure Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP:D31U:TRAC:Y:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_AMPLITUDE_CONFIGURE_SCALE_PER_DIVISION =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_AMPLITUDE_CONFIGURE_SCALE_PER_DIVISION,
    "D31U Spectrum Analysis Amplitude Configure Scale Per Division",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:D31U:TRAC:Y:PDIV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_AUTO_SCALE_Y_AXIS =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_AUTO_SCALE_Y_AXIS,
    "D31U Spectrum Analysis Auto Scale Y-Axis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:TRAC:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT,
    "D31U Spectrum Analysis Configure Manual Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngAveragesCount, NULL,
    "D31U:AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CONFIGURE_CAPTURE_MODE =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CONFIGURE_CAPTURE_MODE,
    "D31U Spectrum Analysis Configure Capture Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngCaptureMode, NULL, NULL,
    "DISP:D31U:TRAC:CAPT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MEASUREMENT_CAPTURE_CONTINUOUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_RUN_SINGLE_SWEEP =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_RUN_SINGLE_SWEEP,
    "D31U Spectrum Analysis Run Single Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:TRAC:RSIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CONFIGURE_TRACE_HOLD =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CONFIGURE_TRACE_HOLD,
    "D31U Spectrum Analysis Configure Trace Hold",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTraceHold, NULL, NULL,
    "DISP:D31U:TRAC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TRACE_MODE_WRITE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_STATE =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_STATE,
    "D31U Spectrum Analysis Marker State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:D31U:MARK{Marker}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_X_POSITION =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_X_POSITION,
    "D31U Spectrum Analysis Marker X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:D31U:MARK{Marker}:X",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1700000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_Y_POSITION =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_Y_POSITION,
    "D31U Spectrum Analysis Marker Y Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:D31U:MARK{Marker}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK,
    "D31U Spectrum Analysis Marker To Maximum Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:MARK{Marker}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT,
    "D31U Spectrum Analysis Marker To Next Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:MARK{Marker}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT,
    "D31U Spectrum Analysis Marker To Next Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:MARK{Marker}:MAX:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT,
    "D31U Spectrum Analysis Marker To Next Point Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:MARK{Marker}:POIN:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT,
    "D31U Spectrum Analysis Marker To Next Point Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:MARK{Marker}:POIN:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY,
    "D31U Spectrum Analysis Marker Set Center Frequency",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:MARK{Marker}:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL,
    "D31U Spectrum Analysis Marker Set Power Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:MARK{Marker}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE,
    "D31U Spectrum Analysis Delta Marker State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:D31U:DELT{Delta}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER,
    "D31U Spectrum Analysis Delta Marker Linked Reference Marker",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngReferenceMarker, NULL, NULL,
    "CALC:D31U:DELT{Delta}:MREF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_REFERENCE_MARKER_2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION,
    "D31U Spectrum Analysis Delta Marker Absolute X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:D31U:DELT{Delta}:X:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    204000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION,
    "D31U Spectrum Analysis Delta Marker Relative X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:D31U:DELT{Delta}:X:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION,
    "D31U Spectrum Analysis Delta Marker Y Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:D31U:DELT{Delta}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK,
    "D31U Spectrum Analysis Delta Marker To Maximum Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:DELT{Delta}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT,
    "D31U Spectrum Analysis Delta Marker To Next Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:DELT{Delta}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT,
    "D31U Spectrum Analysis Delta Marker To Next Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:DELT{Delta}:MAX:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT,
    "D31U Spectrum Analysis Delta Marker To Next Point Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:DELT{Delta}:POIN:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT,
    "D31U Spectrum Analysis Delta Marker To Next Point Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:DELT{Delta}:POIN:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY,
    "D31U Spectrum Analysis Delta Marker Set Center Frequency",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:DELT{Delta}:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL,
    "D31U Spectrum Analysis Delta Marker Set Power Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:D31U:DELT{Delta}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT,
    "D31U Spectrum Analysis Delta Marker Bandwidth Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:D31U:DELT{Delta}:BPOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MASK_VISIBLE =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MASK_VISIBLE,
    "D31U Spectrum Analysis Mask Visible",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:D31U:MASK{Mask}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CLEAR_MASK =
  {
    RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CLEAR_MASK,
    "D31U Spectrum Analysis Clear Mask",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:D31U:MASK{Mask}:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_D31U_SPECTRUM_ANALYSIS_MASK_LOWER_CONFIGURATION =
  {
    RSDSA_ATTR_HIDDEN_D31U_SPECTRUM_ANALYSIS_MASK_LOWER_CONFIGURATION,
    "Hidden D31U Spectrum Analysis Mask Lower Configuration",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:D31U:MASK{Mask}:LOW:CONF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_D31U_SPECTRUM_ANALYSIS_MASK_UPPER_CONFIGURATION =
  {
    RSDSA_ATTR_HIDDEN_D31U_SPECTRUM_ANALYSIS_MASK_UPPER_CONFIGURATION,
    "Hidden D31U Spectrum Analysis Mask Upper Configuration",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:D31U:MASK{Mask}:UPP:CONF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_QUERY_TRACE_DATA =
  {
    RSDSA_ATTR_D31U_QUERY_TRACE_DATA,
    "D31U Query Trace Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:D31U:TRAC{Trace}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,2,3,65535",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_ALL =
  {
    RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_ALL,
    "D31U System Acquisition Log All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:D31U:ALOG:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry1>\",<TimeTag1>,\"<Entry2>\",<TimeTag2>\",...",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_NEXT =
  {
    RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_NEXT,
    "D31U System Acquisition Log Next",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:D31U:ALOG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry>\",<TimeTag>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_COUNT =
  {
    RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_COUNT,
    "D31U System Acquisition Log Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:D31U:ALOG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_CLEAR_ALL =
  {
    RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    "D31U System Acquisition Log Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:D31U:ALOG:CLE:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_PLOT_DATA_FILTER =
  {
    RSDSA_ATTR_D31U_CONFIGURE_PLOT_DATA_FILTER,
    "D31U Configure Plot Data Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD31UPlotDataFilter, NULL, NULL,
    "DISP:D31U:DFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_PLOT_DATA_FILTER_OVERALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_FREQUENCY =
  {
    RSDSA_ATTR_D31U_CONFIGURE_FREQUENCY,
    "D31U Configure Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngD31CenterFrequency, NULL,
    "CONF:D31U:CHAN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    57e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_ROLL_OFF =
  {
    RSDSA_ATTR_D31U_CONFIGURE_ROLL_OFF,
    "D31U Configure Roll-Off",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngRollOffPeriod, NULL, NULL,
    "CONF:D31U:CHAN:ROFF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_ROLL_OFF_S0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_CYCLIC_PREFIX_LENGTH =
  {
    RSDSA_ATTR_D31U_CONFIGURE_CYCLIC_PREFIX_LENGTH,
    "D31U Configure Cyclic Prefix Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngCyclicPrefixLength, NULL, NULL,
    "CONF:D31U:CHAN:CPR",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S192,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_SYMBOLS_PER_FRAME =
  {
    RSDSA_ATTR_D31U_CONFIGURE_SYMBOLS_PER_FRAME,
    "D31U Configure Symbols Per Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngSymbolsPerFrame, NULL,
    "CONF:D31U:CHAN:SYMB",
    // Defaults I32, I64, Float, Bool, String
    6,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_SUBCARRIER_SPACING =
  {
    RSDSA_ATTR_D31U_CONFIGURE_SUBCARRIER_SPACING,
    "D31U Configure Subcarrier Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngOFDMAFFTSize, NULL, NULL,
    "CONF:D31U:CHAN:NFFT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_FFT_SIZE_2K,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_RANDOMIZER_ENABLED =
  {
    RSDSA_ATTR_D31U_CONFIGURE_RANDOMIZER_ENABLED,
    "D31U Configure Randomizer Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:D31U:CHAN:RAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_RANDOMIZER_SEED =
  {
    RSDSA_ATTR_D31U_CONFIGURE_RANDOMIZER_SEED,
    "D31U Configure Randomizer Seed",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:D31U:CHAN:RSE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ABC",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_EXCLUSION_BAND_START =
  {
    RSDSA_ATTR_D31U_CONFIGURE_EXCLUSION_BAND_START,
    "D31U Configure Exclusion Band Start",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngD31USubcarrier, NULL,
    "CONF:D31U:CHAN:EBAN{Band}:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_EXCLUSION_BAND_WIDTH =
  {
    RSDSA_ATTR_D31U_CONFIGURE_EXCLUSION_BAND_WIDTH,
    "D31U Configure Exclusion Band Width",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngD31USubcarrier, NULL,
    "CONF:D31U:CHAN:EBAN{Band}:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_MINISLOT_CONFIGURATION_MODE =
  {
    RSDSA_ATTR_D31U_CONFIGURE_MINISLOT_CONFIGURATION_MODE,
    "D31U Configure Minislot Configuration Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngMinislotConfigMode, NULL, NULL,
    "CONF:D31U:CHAN:MCM",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_MINISLOT_CONFIGURATION_FILE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_MINISLOT_CONFIGURATION_FILE =
  {
    RSDSA_ATTR_D31U_CONFIGURE_MINISLOT_CONFIGURATION_FILE,
    "D31U Configure Minislot Configuration File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:D31U:CHAN:OMCF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "fileName",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_CONSTELLATION =
  {
    RSDSA_ATTR_D31U_CONFIGURE_CONSTELLATION,
    "D31U Configure Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngChannelModulation, NULL, NULL,
    "CONF:D31U:CHAN:MOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_MODULATION_QAM64,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_PILOT_PATTERN =
  {
    RSDSA_ATTR_D31U_CONFIGURE_PILOT_PATTERN,
    "D31U Configure Pilot Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngPilotPattern, NULL,
    "CONF:D31U:CHAN:PPAT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_STARTING_MINISLOT =
  {
    RSDSA_ATTR_D31U_CONFIGURE_STARTING_MINISLOT,
    "D31U Configure Starting Minislot",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, &RsDSA_rngStartingMinislot, NULL,
    "CONF:D31U:CHAN:SMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    1,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_NUMBER_OF_MINISLOTS =
  {
    RSDSA_ATTR_D31U_CONFIGURE_NUMBER_OF_MINISLOTS,
    "D31U Configure Number Of Minislots",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngD31UNumberOfMinislots, NULL,
    "CONF:D31U:CHAN:NMIN",
    // Defaults I32, I64, Float, Bool, String
    25,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_FIRST_ACTIVE_SUBCARRIER =
  {
    RSDSA_ATTR_D31U_CONFIGURE_FIRST_ACTIVE_SUBCARRIER,
    "D31U Configure First Active Subcarrier",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngFirstSubcarrier, NULL,
    "CONF:D31U:CHAN:FAS",
    // Defaults I32, I64, Float, Bool, String
    74,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_LAST_ACTIVE_SUBCARRIER =
  {
    RSDSA_ATTR_D31U_CONFIGURE_LAST_ACTIVE_SUBCARRIER,
    "D31U Configure Last Active Subcarrier",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngLastSubcarrier, NULL,
    "CONF:D31U:CHAN:LAS",
    // Defaults I32, I64, Float, Bool, String
    273,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_STARTING_MINISLOT_IN_FRAME =
  {
    RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_STARTING_MINISLOT_IN_FRAME,
    "D31U Configure Initial Ranging Starting Minislot In Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngInitialRangingStartingMinislot, NULL,
    "CONF:D31U:CHAN:IRAN:SMIF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_MINISLOTS =
  {
    RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_MINISLOTS,
    "D31U Configure Initial Ranging Number Of Minislots",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngInitialRangingNumberOfMinislots, NULL,
    "CONF:D31U:CHAN:IRAN:NOM",
    // Defaults I32, I64, Float, Bool, String
    20,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_SUBCARRIERS =
  {
    RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_SUBCARRIERS,
    "D31U Configure Initial Ranging Number Of Subcarriers",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngInitialRangingNumberOfSubcarriers, NULL,
    "CONF:D31U:CHAN:IRAN:NOS",
    // Defaults I32, I64, Float, Bool, String
    64,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_PATTERN =
  {
    RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_PATTERN,
    "D31U Configure Initial Ranging Preamble Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:D31U:CHAN:IRAN:PPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "4FF2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_LENGTH =
  {
    RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_LENGTH,
    "D31U Configure Initial Ranging Preamble Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngInitialRangingPreambleLength, NULL,
    "CONF:D31U:CHAN:IRAN:PLEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_OFFSET =
  {
    RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_OFFSET,
    "D31U Configure Initial Ranging Preamble Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngPreambleOffset, NULL,
    "CONF:D31U:CHAN:IRAN:POFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_STARTING_MINISLOT_IN_FRAME =
  {
    RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_STARTING_MINISLOT_IN_FRAME,
    "D31U Configure Fine Ranging Starting Minislot In Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngFineRangingStartingMinislot, NULL,
    "CONF:D31U:CHAN:FRAN:SMIF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_MINISLOTS =
  {
    RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_MINISLOTS,
    "D31U Configure Fine Ranging Number Of Minislots",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngFineRangingNumberOfMinislots, NULL,
    "CONF:D31U:CHAN:FRAN:NOM",
    // Defaults I32, I64, Float, Bool, String
    20,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_SUBCARRIERS =
  {
    RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_SUBCARRIERS,
    "D31U Configure Fine Ranging Number Of Subcarriers",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngFineRangingNumberOfSubcarriers, NULL,
    "CONF:D31U:CHAN:FRAN:NOS",
    // Defaults I32, I64, Float, Bool, String
    64,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_PATTERN =
  {
    RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_PATTERN,
    "D31U Configure Fine Ranging Preamble Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:D31U:CHAN:FRAN:PPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "4FF2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_OFFSET =
  {
    RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_OFFSET,
    "D31U Configure Fine Ranging Preamble Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngPreambleOffset, NULL,
    "CONF:D31U:CHAN:FRAN:POFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_START_SUBCARRIER =
  {
    RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_START_SUBCARRIER,
    "D31U Configure Wideband Probe Start Subcarrier",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngWidebandProbeStartSubcarrier, NULL,
    "CONF:D31U:CHAN:WPR:SSUB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_SUBCARRIER_SKIP =
  {
    RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_SUBCARRIER_SKIP,
    "D31U Configure Wideband Probe Subcarrier Skip",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngWidebandProbeSubcarrierSkip, NULL,
    "CONF:D31U:CHAN:WPR:SSK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_STAGGER_ENABLED =
  {
    RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_STAGGER_ENABLED,
    "D31U Configure Wideband Probe Stagger Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:D31U:CHAN:WPR:STAG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_SYMBOL_IN_FRAME =
  {
    RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_SYMBOL_IN_FRAME,
    "D31U Configure Wideband Probe Symbol In Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngWidebandProbeSymbolInFrame, NULL,
    "CONF:D31U:CHAN:WPR:SIFR",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_BW_REQUEST_NUMBER_OF_MINISLOTS =
  {
    RSDSA_ATTR_D31U_CONFIGURE_BW_REQUEST_NUMBER_OF_MINISLOTS,
    "D31U Configure BW Request Number Of Minislots",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngBWRequestNumberOfMinislots, NULL,
    "CONF:D31U:CHAN:BREQ:MIFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_BW_REQUEST_SUBSLOT =
  {
    RSDSA_ATTR_D31U_CONFIGURE_BW_REQUEST_SUBSLOT,
    "D31U Configure BW Request Subslot",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngBWRequestSubslot, NULL,
    "CONF:D31U:CHAN:BREQ:SUBS",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_AUTO_LEVEL =
  {
    RSDSA_ATTR_D31U_AUTO_LEVEL,
    "D31U Auto Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:US:LEV:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_ATTENUATION =
  {
    RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_ATTENUATION,
    "D31U Configure Signal Path Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngUSAttenuation, NULL,
    "INP:DS:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_PREAMPLIFIER_ENABLED =
  {
    RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_PREAMPLIFIER_ENABLED,
    "D31U Configure Signal Path Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:US:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_PREFILTER_ENABLED =
  {
    RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_PREFILTER_ENABLED,
    "D31U Configure Signal Path Prefilter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:D31U:CHAN:PREF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_PREFILTER_LENGTH =
  {
    RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_PREFILTER_LENGTH,
    "D31U Configure Signal Path Prefilter Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngPrefilterLength, NULL, NULL,
    "CONF:D31U:CHAN:PREF:LENG",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_PREFILTER_LENGTH_LONG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_SCHEDULING =
  {
    RSDSA_ATTR_D31U_CONFIGURE_SCHEDULING,
    "D31U Configure Scheduling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngChannelSchedule, NULL, NULL,
    "CONF:D31U:CHAN:SCH",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_CHANNEL_SCHEDULE_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_SCHEDULING_REPEAT_INTERVAL =
  {
    RSDSA_ATTR_D31U_CONFIGURE_SCHEDULING_REPEAT_INTERVAL,
    "D31U Configure Scheduling Repeat Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CONF:D31U:CHAN:PBIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_INPUT_TRIGGER_OFFSET =
  {
    RSDSA_ATTR_D31U_CONFIGURE_INPUT_TRIGGER_OFFSET,
    "D31U Configure Input Trigger Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:D31U:CHAN:INP:TRIG:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_SFP_OUTPUT_ENABLED =
  {
    RSDSA_ATTR_D31U_CONFIGURE_SFP_OUTPUT_ENABLED,
    "D31U Configure SFP Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:D31U:SFP:NOUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_SFP_IUC_UDP_PORT =
  {
    RSDSA_ATTR_D31U_CONFIGURE_SFP_IUC_UDP_PORT,
    "D31U Configure SFP IUC UDP Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngUDPPort, NULL,
    "OUTP:D31U:SFP:IUC{IUC_OFDMA}:UDPP",
    // Defaults I32, I64, Float, Bool, String
    1025,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED =
  {
    RSDSA_ATTR_D31U_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED,
    "D31U Configure SFP IUC UDP Port Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:D31U:SFP:IUC{IUC_OFDMA}:UDPP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_ALARM_THRESHOLD_RMS_MER_OVERALL =
  {
    RSDSA_ATTR_D31U_ALARM_THRESHOLD_RMS_MER_OVERALL,
    "D31U Alarm Threshold RMS MER Overall",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:D31U:MER:OVER:RMS:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_ALARM_THRESHOLD_BER_PRE_LDPC =
  {
    RSDSA_ATTR_D31U_ALARM_THRESHOLD_BER_PRE_LDPC,
    "D31U Alarm Threshold BER Pre-LDPC",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:D31U:BER:LDPC:PRE:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_ALARM_THRESHOLD_BER_POST_LDPC =
  {
    RSDSA_ATTR_D31U_ALARM_THRESHOLD_BER_POST_LDPC,
    "D31U Alarm Threshold BER Post-LDPC",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:D31U:BER:LDPC:POST:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_D31U_CONFIGURE_MER_BURSTS =
  {
    RSDSA_ATTR_D31U_CONFIGURE_MER_BURSTS,
    "D31U Configure MER Bursts",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngMERBursts, NULL,
    "CONF:D31U:MER:NBUR",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ENABLE_UPSTREAM_SPECTRUM_ANALYSIS =
  {
    RSDSA_ATTR_ENABLE_UPSTREAM_SPECTRUM_ANALYSIS,
    "Enable Upstream Spectrum Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST:MODE SAUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF,
    "US SpecAn All Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:MARK:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF,
    "US SpecAn All Delta Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:DELT:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CLEAR_ALL_DISPLAY_STATES =
  {
    RSDSA_ATTR_US_SPECAN_CLEAR_ALL_DISPLAY_STATES,
    "US SpecAn Clear All Display States",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAUP:STAT:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS,
    "US SpecAn Clear All Masks",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAUP:MASK:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED,
    "US SpecAn Display All Masks Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SAUP:MASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_CENTER_FREQUENCY =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_CENTER_FREQUENCY,
    "US SpecAn Configure Center Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SAUP:FREQ:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_START_FREQUENCY =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_START_FREQUENCY,
    "US SpecAn Configure Start Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SAUP:FREQ:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_STOP_FREQUENCY =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_STOP_FREQUENCY,
    "US SpecAn Configure Stop Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SAUP:FREQ:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_FREQUENCY_SPAN =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_FREQUENCY_SPAN,
    "US SpecAn Configure Frequency Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngFrequencySpan, NULL,
    "SAUP:FREQ:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SET_FREQUENCY_SPAN_FULL =
  {
    RSDSA_ATTR_US_SPECAN_SET_FREQUENCY_SPAN_FULL,
    "US SpecAn Set Frequency Span Full",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SAUP:FREQ:SPAN:FULL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SET_FREQUENCY_SPAN_MINIMUM =
  {
    RSDSA_ATTR_US_SPECAN_SET_FREQUENCY_SPAN_MINIMUM,
    "US SpecAn Set Frequency Span Minimum",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SAUP:FREQ:SPAN:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_ZERO_SPAN_ENABLED =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_ZERO_SPAN_ENABLED,
    "US SpecAn Configure Zero Span Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SAUP:FREQ:SPAN:ZERO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_ZERO_SPAN_SWEEP_TIME =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_ZERO_SPAN_SWEEP_TIME,
    "US SpecAn Configure Zero Span Sweep Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SAUP:FREQ:STIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.000005,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_ZERO_SPAN_SAMPLE_RATE =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_ZERO_SPAN_SAMPLE_RATE,
    "US SpecAn Configure Zero Span Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SAUP:ZSSR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    119047619,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_PHASE_NOISE_START_OFFSET =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_PHASE_NOISE_START_OFFSET,
    "US SpecAn Configure Phase Noise Start Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:PNO:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e8,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_PHASE_NOISE_STOP_OFFSET =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_PHASE_NOISE_STOP_OFFSET,
    "US SpecAn Configure Phase Noise Stop Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:PNO:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e8,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_QUERY_PHASE_NOISE_SPOT_RESULT =
  {
    RSDSA_ATTR_US_SPECAN_QUERY_PHASE_NOISE_SPOT_RESULT,
    "US SpecAn Query Phase Noise Spot Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:PNO:PNO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_QUERY_PHASE_NOISE_INTEGRATED_RESULT =
  {
    RSDSA_ATTR_US_SPECAN_QUERY_PHASE_NOISE_INTEGRATED_RESULT,
    "US SpecAn Query Phase Noise Integrated Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:PNO:IPN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_QUERY_PHASE_NOISE_BANDWIDTH =
  {
    RSDSA_ATTR_US_SPECAN_QUERY_PHASE_NOISE_BANDWIDTH,
    "US SpecAn Query Phase Noise Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAD:PNO:IPNB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    9e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_DISPLAY_CCDF_HISTOGRAM =
  {
    RSDSA_ATTR_US_SPECAN_DISPLAY_CCDF_HISTOGRAM,
    "US SpecAn Display CCDF Histogram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAUP:CCDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_CCDF_MODE_ENABLED =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_CCDF_MODE_ENABLED,
    "US SpecAn Configure CCDF Mode Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SAUP:TRAC:CCDF:STATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_QUERY_CCDF_PEAK =
  {
    RSDSA_ATTR_US_SPECAN_QUERY_CCDF_PEAK,
    "US SpecAn Query CCDF Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SAUP:CCDF:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_REFERENCE_LEVEL,
    "US SpecAn Configure Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:SAUP:TRAC:Y:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_SCALE_PER_DIVISION =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_SCALE_PER_DIVISION,
    "US SpecAn Configure Scale Per Division",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP:SAUP:TRAC:Y:PDIV",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_AUTO_SCALE_Y_AXIS =
  {
    RSDSA_ATTR_US_SPECAN_AUTO_SCALE_Y_AXIS,
    "US SpecAn Auto Scale Y-Axis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAUP:TRAC:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_AUTO_RBW_ENABLED =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_AUTO_RBW_ENABLED,
    "US SpecAn Configure Auto RBW Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SAUP:BWID:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_MANUAL_RBW =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_MANUAL_RBW,
    "US SpecAn Configure Manual RBW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngRBW, NULL,
    "SAUP:BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_AUTO_VBW_ENABLED =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_AUTO_VBW_ENABLED,
    "US SpecAn Configure Auto VBW Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BWID:VID:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_MANUAL_VBW =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_MANUAL_VBW,
    "US SpecAn Configure Manual VBW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngVBW, NULL,
    "SAUP:BWID:VID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_AUTO_AVERAGE_COUNT =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_AUTO_AVERAGE_COUNT,
    "US SpecAn Configure Auto Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SAUP:AVER:COUN:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_MANUAL_AVERAGE_COUNT =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_MANUAL_AVERAGE_COUNT,
    "US SpecAn Configure Manual Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngAveragesCount, NULL,
    "SAUP:AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_CAPTURE_MODE =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_CAPTURE_MODE,
    "US SpecAn Configure Capture Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngCaptureMode, NULL, NULL,
    "DISP:SAUP:TRAC:CAPT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MEASUREMENT_CAPTURE_CONTINUOUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_RUN_SINGLE_SWEEP =
  {
    RSDSA_ATTR_US_SPECAN_RUN_SINGLE_SWEEP,
    "US SpecAn Run Single Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAUP:TRAC:RSIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_DETECTOR =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_DETECTOR,
    "US SpecAn Configure Detector",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngDetector, NULL, NULL,
    "DISP:SAUP:TRAC:DET",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_DETECTION_METHOD_SAMPLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_TRACE_HOLD =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_TRACE_HOLD,
    "US SpecAn Configure Trace Hold",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTraceHold, NULL, NULL,
    "DISP:SAUP:TRAC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TRACE_MODE_WRITE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_ACP_MODE_ENABLED =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_ACP_MODE_ENABLED,
    "US SpecAn Configure ACP Mode Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SAUP:TRAC:ACP:STATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CONFIGURE_PHASE_NOISE_MODE_ENABLED =
  {
    RSDSA_ATTR_US_SPECAN_CONFIGURE_PHASE_NOISE_MODE_ENABLED,
    "US SpecAn Configure Phase Noise Mode Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SAUP:TRAC:PNO:STATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_STATE =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_STATE,
    "US SpecAn Marker State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SAUP:MARK{Marker}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_X_POSITION =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_X_POSITION,
    "US SpecAn Marker X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAUP:MARK{Marker}:X",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1700000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_Y_POSITION =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_Y_POSITION,
    "US SpecAn Marker Y Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAUP:MARK{Marker}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK,
    "US SpecAn Marker To Maximum Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:MARK{Marker}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT,
    "US SpecAn Marker To Next Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:MARK{Marker}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT,
    "US SpecAn Marker To Next Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:MARK{Marker}:MAX:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT,
    "US SpecAn Marker To Next Point Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:MARK{Marker}:POIN:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT,
    "US SpecAn Marker To Next Point Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:MARK{Marker}:POIN:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY,
    "US SpecAn Marker Set Center Frequency",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:MARK{Marker}:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_ZERO_SPAN_MARKER_TO_TRIGGER_POINT =
  {
    RSDSA_ATTR_US_SPECAN_ZERO_SPAN_MARKER_TO_TRIGGER_POINT,
    "US SpecAn Zero Span Marker To Trigger Point",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:MARK{Marker}:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL,
    "US SpecAn Marker Set Power Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:MARK{Marker}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE,
    "US SpecAn Delta Marker State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SAUP:DELT{Delta}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER,
    "US SpecAn Delta Marker Linked Reference Marker",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngReferenceMarker, NULL, NULL,
    "CALC:SAUP:DELT{Delta}:MREF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_REFERENCE_MARKER_2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION,
    "US SpecAn Delta Marker Absolute X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAUP:DELT{Delta}:X:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    204000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION,
    "US SpecAn Delta Marker Relative X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAUP:DELT{Delta}:X:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION,
    "US SpecAn Delta Marker Y Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAUP:DELT{Delta}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK,
    "US SpecAn Delta Marker To Maximum Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:DELT{Delta}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT,
    "US SpecAn Delta Marker To Next Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:DELT{Delta}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT,
    "US SpecAn Delta Marker To Next Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:DELT{Delta}:MAX:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT,
    "US SpecAn Delta Marker To Next Point Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:DELT{Delta}:POIN:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT,
    "US SpecAn Delta Marker To Next Point Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:DELT{Delta}:POIN:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_ZERO_SPAN_DELTA_MARKER_TO_TRIGGER_POINT =
  {
    RSDSA_ATTR_US_SPECAN_ZERO_SPAN_DELTA_MARKER_TO_TRIGGER_POINT,
    "US SpecAn Zero Span Delta Marker To Trigger Point",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:DELT{Delta}:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY,
    "US SpecAn Delta Marker Set Center Frequency",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:DELT{Delta}:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL,
    "US SpecAn Delta Marker Set Power Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SAUP:DELT{Delta}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT =
  {
    RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT,
    "US SpecAn Delta Marker Bandwidth Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SAUP:DELT{Delta}:BPOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_DISPLAY_STATE_STORE =
  {
    RSDSA_ATTR_US_SPECAN_DISPLAY_STATE_STORE,
    "US SpecAn Display State Store",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAUP:STAT{SavedState}:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_DISPLAY_STATE_CLEAR =
  {
    RSDSA_ATTR_US_SPECAN_DISPLAY_STATE_CLEAR,
    "US SpecAn Display State Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAUP:STAT{SavedState}:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_DISPLAY_STATE_RECALL =
  {
    RSDSA_ATTR_US_SPECAN_DISPLAY_STATE_RECALL,
    "US SpecAn Display State Recall",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAUP:STAT{SavedState}:REC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_QUERY_TRACE_DATA =
  {
    RSDSA_ATTR_US_SPECAN_QUERY_TRACE_DATA,
    "US SpecAn Query Trace Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:SAUP:TRAC{Trace}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,2,3,65535",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_MASK_VISIBLE =
  {
    RSDSA_ATTR_US_SPECAN_MASK_VISIBLE,
    "US SpecAn Mask Visible",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SAUP:MASK{Mask}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_US_SPECAN_CLEAR_MASK =
  {
    RSDSA_ATTR_US_SPECAN_CLEAR_MASK,
    "US SpecAn Clear Mask",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SAUP:MASK{Mask}:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_US_SPECAN_MASK_LOWER_CONFIGURATION =
  {
    RSDSA_ATTR_HIDDEN_US_SPECAN_MASK_LOWER_CONFIGURATION,
    "Hidden US SpecAn Mask Lower Configuration",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:SAUP:MASK{Mask}:LOW:CONF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_US_SPECAN_MASK_UPPER_CONFIGURATION =
  {
    RSDSA_ATTR_HIDDEN_US_SPECAN_MASK_UPPER_CONFIGURATION,
    "Hidden US SpecAn Mask Upper Configuration",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:SAUP:MASK{Mask}:UPP:CONF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ENABLE_DYNAMIC_UPSTREAM_ANALYSIS =
  {
    RSDSA_ATTR_ENABLE_DYNAMIC_UPSTREAM_ANALYSIS,
    "Enable Dynamic Upstream Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST:MODE DUAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_RESTART_DISTANCE_ESTIMATION =
  {
    RSDSA_ATTR_DU_ANALYSIS_RESTART_DISTANCE_ESTIMATION,
    "DU Analysis Restart Distance Estimation",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CONF:DUAN:CHAN:RDES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_FILTER_IUC =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_FILTER_IUC,
    "DU Analysis Configure Filter IUC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngDataFilterIUC, NULL, NULL,
    "DISP:DUAN:DFIL:IUC",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_DATA_FILTER_IUC5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_FILTER_SID =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_FILTER_SID,
    "DU Analysis Configure Filter SID",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP:DUAN:SIDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2A00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_DEMODULATOR_LOCK_STATUS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_DEMODULATOR_LOCK_STATUS,
    "DU Analysis Query Burst Demodulator Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:DUAN:LOCK:BDEM?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_FEC_LOCK_STATUS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_FEC_LOCK_STATUS,
    "DU Analysis Query FEC Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:DUAN:LOCK:FEC?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MPEG_LOCK_STATUS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_MPEG_LOCK_STATUS,
    "DU Analysis Query MPEG Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:DUAN:LOCK:MPEG?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_PLC_LOCK_STATUS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_PLC_LOCK_STATUS,
    "DU Analysis Query PLC Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:DUAN:LOCK:PLC?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_RECEIVE_POWER =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_RECEIVE_POWER,
    "DU Analysis Query Burst Receive Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BRP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_FREQUENCY_OFFSET =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_FREQUENCY_OFFSET,
    "DU Analysis Query Frequency Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:FOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_TIMING_OFFSET =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_TIMING_OFFSET,
    "DU Analysis Query Burst Timing Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BTOF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_PAYLOAD_DATA_RATE_IUC =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_PAYLOAD_DATA_RATE_IUC,
    "DU Analysis Query Payload Data Rate IUC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:PDR:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MINISLOTS_RECEIVED =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_MINISLOTS_RECEIVED,
    "DU Analysis Query Minislots Received",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "READ:DUAN:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_COVERAGE =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_COVERAGE,
    "DU Analysis Query Burst Coverage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BCOV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_DETECTED_UPSTREAM_MODE =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_DETECTED_UPSTREAM_MODE,
    "DU Analysis Query Detected Upstream Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngUpstreamMode, NULL, NULL,
    "READ:CHAN:DUM?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_INSTR_MODE_D30A,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_MER_SIGN =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_MER_SIGN,
    "DU Analysis Configure MER Sign",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngMERSign, NULL, NULL,
    "UNIT:DUAN:MERS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MER_SIGN_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_RMS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_RMS,
    "DU Analysis Query MER RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:MER:OVER:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_RMS_PARTIALY_EQUALIZED =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_RMS_PARTIALY_EQUALIZED,
    "DU Analysis Query MER RMS Partialy Equalized",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:MER:OVER:RMS:PEQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_PEAK =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_PEAK,
    "DU Analysis Query MER Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:MER:OVER:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_PILOT_RMS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_PILOT_RMS,
    "DU Analysis Query MER Pilot RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:MER:PIL:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_PILOT_PEAK =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_PILOT_PEAK,
    "DU Analysis Query MER Pilot Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:MER:PIL:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_PILOT_CONSTELLATIONS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_PILOT_CONSTELLATIONS,
    "DU Analysis Query Pilot Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:DUAN:CONS:PIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "BPSK",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_RMS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_RMS,
    "DU Analysis Query MER Complementary Pilot RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:MER:CPIL:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_PEAK =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_PEAK,
    "DU Analysis Query MER Complementary Pilot Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:MER:CPIL:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS,
    "DU Analysis Query Complementary Pilot Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:DUAN:CONS:CPIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "BPSK",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_FILTERED_RMS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_FILTERED_RMS,
    "DU Analysis Query MER Filtered RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:MER:FILT:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_FILTERED_PEAK =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_FILTERED_PEAK,
    "DU Analysis Query MER Filtered Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:MER:FILT:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_DB =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_DB,
    "DU Analysis Query IQ Imbalance Amplitude dB",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:IQIM:AMPL:DB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT,
    "DU Analysis Query IQ Imbalance Amplitude Percent",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:IQIM:AMPL:PERC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR,
    "DU Analysis Query IQ Imbalance Quadrature Error",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:IQIM:QERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_DOWNSTREAM_CHANNEL_ID =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_DOWNSTREAM_CHANNEL_ID,
    "DU Analysis Query Downstream Channel ID",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsDSA_rngChannelID, NULL,
    "READ:CHAN:DS:CID?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_UPSTREAM_CHANNEL_ID =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_UPSTREAM_CHANNEL_ID,
    "DU Analysis Query Upstream Channel ID",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsDSA_rngChannelID, NULL,
    "READ:CHAN:US:CID?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_RESET_ERROR_ANALYSIS =
  {
    RSDSA_ATTR_DU_ANALYSIS_RESET_ERROR_ANALYSIS,
    "DU Analysis Reset Error Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:BER:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_ELAPSED_TIME =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_ELAPSED_TIME,
    "DU Analysis Query BER Elapsed Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BER:ETIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_BLOCKS_PROCESSED =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_BLOCKS_PROCESSED,
    "DU Analysis Query BER Blocks Processed",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BER:BPR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_BURSTS_EXPECTED =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_BURSTS_EXPECTED,
    "DU Analysis Query BER Bursts Expected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BER:BURS:EXP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_BURSTS_RECEIVED =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_BURSTS_RECEIVED,
    "DU Analysis Query BER Bursts Received",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BER:BURS:REC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    "DU Analysis Configure Error Analysis Test Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepth, NULL, NULL,
    "CALC:DUAN:BER:COUN",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_10_BLOCKS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_MODE =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_MODE,
    "DU Analysis Configure Error Analysis Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisMode, NULL, NULL,
    "CALC:DUAN:BER:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_ERROR_ANALYSIS_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE,
    "DU Analysis Configure Error Analysis Test Depth Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisBERSource, NULL, NULL,
    "CALC:DUAN:BER:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_BER_SOURCE_PSEUDONOISE23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    "DU Analysis Configure Error Analysis Test Depth Progression Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepthSource, NULL, NULL,
    "CALC:DUAN:BER:TDS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_SOURCE_PRE_REED_SOLOMON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON,
    "DU Analysis Query BER Pre-Reed-Solomon",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BER:RSOL:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS,
    "DU Analysis Query BER Pre-Reed-Solomon Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BER:BITS:RSOL:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_POST_REED_SOLOMON =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_POST_REED_SOLOMON,
    "DU Analysis Query BER Post-Reed-Solomon",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BER:RSOL:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS,
    "DU Analysis Query BER Post-Reed-Solomon Corrected Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BER:BITS:RSOL:POST:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS,
    "DU Analysis Query BER Post-Reed-Solomon Uncorrected Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BER:BITS:RSOL:POST:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_PRE_LDPC =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_PRE_LDPC,
    "DU Analysis Query BER IUC Pre-LDPC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BER:LDPC:PRE:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_PRE_LDPC_TOTAL_BITS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_PRE_LDPC_TOTAL_BITS,
    "DU Analysis Query BER IUC Pre-LDPC Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BER:BITS:LDPC:PRE:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_POST_LDPC =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_POST_LDPC,
    "DU Analysis Query BER IUC Post-LDPC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BER:LDPC:POST:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_POST_LDPC_TOTAL_BITS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_POST_LDPC_TOTAL_BITS,
    "DU Analysis Query BER IUC Post-LDPC Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:BER:BITS:LDPC:POST:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_CODEWORD_LENGTH_FILTER =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_CODEWORD_LENGTH_FILTER,
    "DU Analysis Configure Codeword Length Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngCodewordLength, NULL, NULL,
    "DISP:DUAN:CLF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CODEWORD_LENGTH_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_CORRECTED =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_CORRECTED,
    "DU Analysis Query CER Corrected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:CER:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_UNCORRECTED =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_UNCORRECTED,
    "DU Analysis Query CER Uncorrected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:CER:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_TOTAL_CODEWORDS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_TOTAL_CODEWORDS,
    "DU Analysis Query CER Total Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:CER:COD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_CORRECTED_CODEWORDS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_CORRECTED_CODEWORDS,
    "DU Analysis Query CER Corrected Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:CER:COD:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_UNCORRECTED_CODEWORDS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_UNCORRECTED_CODEWORDS,
    "DU Analysis Query CER Uncorrected Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:CER:COD:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_POST_LDPC =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_POST_LDPC,
    "DU Analysis Query CER Post-LDPC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:CER:LDPC:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_POST_LDPC_CODEWORD_ERRORS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_POST_LDPC_CODEWORD_ERRORS,
    "DU Analysis Query CER Post-LDPC Codeword Errors",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:CER:CERR:LDPC:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_AVERAGE_LDPC_ITERATIONS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_AVERAGE_LDPC_ITERATIONS,
    "DU Analysis Query CER Average LDPC Iterations",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:CER:ALIT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_AVG_PAYLOAD_PER_CODEWORD_PER_IUC =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_AVG_PAYLOAD_PER_CODEWORD_PER_IUC,
    "DU Analysis Query CER Avg Payload Per Codeword Per IUC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:CER:APPC:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_CODEWORD_COVERAGE_IUC =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_CODEWORD_COVERAGE_IUC,
    "DU Analysis Query CER Codeword Coverage IUC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:CER:CCOV:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_CONSTELLATION_PLOT =
  {
    RSDSA_ATTR_DU_ANALYSIS_DISPLAY_CONSTELLATION_PLOT,
    "DU Analysis Display Constellation Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:CONS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_I_Q_DENSITY_PLOT =
  {
    RSDSA_ATTR_DU_ANALYSIS_DISPLAY_I_Q_DENSITY_PLOT,
    "DU Analysis Display I/Q Density Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:IQD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_I_Q_MEASUREMENT_MODE =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_I_Q_MEASUREMENT_MODE,
    "DU Analysis Configure I/Q Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngIQDensityMode, NULL, NULL,
    "DISP:DUAN:IQDM",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_IQ_MEASUREMENT_MODE_HOLD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_I_Q_WINDOW_WIDTH =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_I_Q_WINDOW_WIDTH,
    "DU Analysis Configure I/Q Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngIQSlidingWindow, NULL,
    "DISP:DUAN:SWW",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_DU_ANALYSIS_DISPLAY_I_Q_ZOOM =
  {
    RSDSA_ATTR_HIDDEN_DU_ANALYSIS_DISPLAY_I_Q_ZOOM,
    "Hidden DUAN Display I/Q Zoom",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:DUAN:IQDZ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CAPTURE_IQ_DATA_TO_FILENAME =
  {
    RSDSA_ATTR_DU_ANALYSIS_CAPTURE_IQ_DATA_TO_FILENAME,
    "DU Analysis Capture IQ Data To Filename",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "OUTP:DUAN:IQ:CAPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/R_S/Instr/user/data.iq.tar",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_IQ_DATA_EXPORT_MAX_SAMPLES =
  {
    RSDSA_ATTR_DU_ANALYSIS_IQ_DATA_EXPORT_MAX_SAMPLES,
    "DU Analysis IQ Data Export Max Samples",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "OUTP:DUAN:IQ:SAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    60000000,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_IQ_DATA_EXPORT_TIMEOUT =
  {
    RSDSA_ATTR_DU_ANALYSIS_IQ_DATA_EXPORT_TIMEOUT,
    "DU Analysis IQ Data Export Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:DUAN:IQ:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    600,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_MER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_DU_ANALYSIS_DISPLAY_MER_VS_TIME_PLOT,
    "DU Analysis Display MER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:MER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    "DU Analysis Configure MER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:DUAN:MER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_BER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_DU_ANALYSIS_DISPLAY_BER_VS_TIME_PLOT,
    "DU Analysis Display BER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:BER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    "DU Analysis Configure BER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:DUAN:BER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_POWER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_DU_ANALYSIS_DISPLAY_POWER_VS_TIME_PLOT,
    "DU Analysis Display Power Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:POW:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    "DU Analysis Configure Power Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:DUAN:POW:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_MER_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_DU_ANALYSIS_DISPLAY_MER_VS_SUBCARRIER_PLOT,
    "DU Analysis Display MER Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:MER:VSUB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_MER_VS_MINISLOT_PLOT =
  {
    RSDSA_ATTR_DU_ANALYSIS_DISPLAY_MER_VS_MINISLOT_PLOT,
    "DU Analysis Display MER Vs Minislot Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:MER:VMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_CCDF_HISTOGRAM =
  {
    RSDSA_ATTR_DU_ANALYSIS_DISPLAY_CCDF_HISTOGRAM,
    "DU Analysis Display CCDF Histogram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:CCDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CCDF_PEAK =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_CCDF_PEAK,
    "DU Analysis Query CCDF Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:DUAN:CCDF:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_DU_ANALYSIS_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "DU Analysis Display Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:APS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_DU_ANALYSIS_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "DU Analysis Auto Scale Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:APS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_DU_ANALYSIS_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "DU Analysis Display Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:AGDS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_DU_ANALYSIS_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "DU Analysis Auto Scale Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:AGDS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_ECHO_PATTERN_PLOT =
  {
    RSDSA_ATTR_DU_ANALYSIS_DISPLAY_ECHO_PATTERN_PLOT,
    "DU Analysis Display Echo Pattern Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:EPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_SPECTRUM_ANALYSIS_PLOT =
  {
    RSDSA_ATTR_DU_ANALYSIS_DISPLAY_SPECTRUM_ANALYSIS_PLOT,
    "DU Analysis Display Spectrum Analysis Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:SAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF,
    "DU Analysis All Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:MARK:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF,
    "DU Analysis All Delta Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:DELT:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS,
    "DU Analysis Clear All Masks",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:MASK:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED,
    "DU Analysis Display All Masks Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DUAN:MASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_REFERENCE_LEVEL,
    "DU Analysis Configure Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:DUAN:TRAC:Y:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SCALE_PER_DIVISION =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SCALE_PER_DIVISION,
    "DU Analysis Configure Scale Per Division",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP:DUAN:TRAC:Y:PDIV",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_AUTO_SCALE_Y_AXIS =
  {
    RSDSA_ATTR_DU_ANALYSIS_AUTO_SCALE_Y_AXIS,
    "DU Analysis Auto Scale Y-Axis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:TRAC:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_AUTO_AVERAGE_COUNT =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_AUTO_AVERAGE_COUNT,
    "DU Analysis Configure Auto Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DUAN:AVER:COUN:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT,
    "DU Analysis Configure Manual Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngAveragesCount, NULL,
    "DUAN:AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_TRACE_MODE =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_TRACE_MODE,
    "DU Analysis Configure Trace Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTraceHold, NULL, NULL,
    "DISP:DUAN:TRAC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TRACE_MODE_WRITE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_CAPTURE_MODE =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_CAPTURE_MODE,
    "DU Analysis Configure Capture Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngCaptureMode, NULL, NULL,
    "DISP:DUAN:TRAC:CAPT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MEASUREMENT_CAPTURE_CONTINUOUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_RUN_SINGLE_SWEEP =
  {
    RSDSA_ATTR_DU_ANALYSIS_RUN_SINGLE_SWEEP,
    "DU Analysis Run Single Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:TRAC:RSIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_STATE =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_STATE,
    "DU Analysis Marker State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:DUAN:MARK{Marker}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_X_POSITION =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_X_POSITION,
    "DU Analysis Marker X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:DUAN:MARK{Marker}:X",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1700000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_Y_POSITION =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_Y_POSITION,
    "DU Analysis Marker Y Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:DUAN:MARK{Marker}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK,
    "DU Analysis Marker To Maximum Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:MARK{Marker}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT,
    "DU Analysis Marker To Next Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:MARK{Marker}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT,
    "DU Analysis Marker To Next Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:MARK{Marker}:MAX:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT,
    "DU Analysis Marker To Next Point Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:MARK{Marker}:POIN:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT,
    "DU Analysis Marker To Next Point Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:MARK{Marker}:POIN:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL,
    "DU Analysis Marker Set Power Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:MARK{Marker}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE,
    "DU Analysis Delta Marker State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:DUAN:DELT{Delta}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER,
    "DU Analysis Delta Marker Linked Reference Marker",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngReferenceMarker, NULL, NULL,
    "CALC:DUAN:DELT{Delta}:MREF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_REFERENCE_MARKER_2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION,
    "DU Analysis Delta Marker Absolute X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:DUAN:DELT{Delta}:X:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    204000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION,
    "DU Analysis Delta Marker Relative X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:DUAN:DELT{Delta}:X:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION,
    "DU Analysis Delta Marker Y Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:DUAN:DELT{Delta}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK,
    "DU Analysis Delta Marker To Maximum Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:DELT{Delta}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT,
    "DU Analysis Delta Marker To Next Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:DELT{Delta}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT,
    "DU Analysis Delta Marker To Next Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:DELT{Delta}:MAX:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT,
    "DU Analysis Delta Marker To Next Point Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:DELT{Delta}:POIN:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT,
    "DU Analysis Delta Marker To Next Point Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:DELT{Delta}:POIN:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL,
    "DU Analysis Delta Marker Set Power Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DUAN:DELT{Delta}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT =
  {
    RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT,
    "DU Analysis Delta Marker Bandwidth Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:DUAN:DELT{Delta}:BPOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_TRACE_DATA =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_TRACE_DATA,
    "DU Analysis Query Trace Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:DUAN:TRAC{Trace}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,2,3,65535",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_MASK_VISIBLE =
  {
    RSDSA_ATTR_DU_ANALYSIS_MASK_VISIBLE,
    "DU Analysis Mask Visible",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DUAN:MASK{Mask}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CLEAR_MASK =
  {
    RSDSA_ATTR_DU_ANALYSIS_CLEAR_MASK,
    "DU Analysis Clear Mask",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:DUAN:MASK{Mask}:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_DU_ANALYSIS_MASK_LOWER_CONFIGURATION =
  {
    RSDSA_ATTR_HIDDEN_DU_ANALYSIS_MASK_LOWER_CONFIGURATION,
    "Hidden DU Analysis Mask Lower Configuration",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:DUAN:MASK{Mask}:LOW:CONF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_DU_ANALYSIS_MASK_UPPER_CONFIGURATION =
  {
    RSDSA_ATTR_HIDDEN_DU_ANALYSIS_MASK_UPPER_CONFIGURATION,
    "Hidden DU Analysis Mask Upper Configuration",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:DUAN:MASK{Mask}:UPP:CONF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_ALL =
  {
    RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_ALL,
    "DU Analysis System Acquisition Log All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:DUAN:ALOG:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry1>\",<TimeTag1>,\"<Entry2>\",<TimeTag2>\",...",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_NEXT =
  {
    RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_NEXT,
    "DU Analysis System Acquisition Log Next",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:DUAN:ALOG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry>\",<TimeTag>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_COUNT =
  {
    RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_COUNT,
    "DU Analysis System Acquisition Log Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:DUAN:ALOG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_CLEAR_ALL =
  {
    RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    "DU Analysis System Acquisition Log Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:DUAN:ALOG:CLE:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_STANDARD =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_STANDARD,
    "DU Analysis Configure Downstream Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngDUANDownstreamMode, NULL, NULL,
    "CONF:DUAN:CHAN:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_INSTR_MODE_D30D,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_QUERY_DOWNSTREAM_EQUALIZER_COEFFICIENTS =
  {
    RSDSA_ATTR_DU_ANALYSIS_QUERY_DOWNSTREAM_EQUALIZER_COEFFICIENTS,
    "DU Analysis Query Downstream Equalizer Coefficients",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:DUAN:ECO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,-1,2,-2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_CONSTELLATION =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_CONSTELLATION,
    "DU Analysis Configure Downstream Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngChannelModulation, NULL, NULL,
    "CONF:DUAN:CHAN:MOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_MODULATION_QAM64,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_DOWNSTREAM_AUTO_LEVEL =
  {
    RSDSA_ATTR_DU_ANALYSIS_DOWNSTREAM_AUTO_LEVEL,
    "DU Analysis Downstream Auto Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:DS:LEV:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_ATTENUATION =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_ATTENUATION,
    "DU Analysis Configure Downstream Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngDSAttenuation, NULL,
    "INP:DS:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_PREAMPLIFIER_ENABLED =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_PREAMPLIFIER_ENABLED,
    "DU Analysis Configure Downstream Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:DS:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_CHANNEL_ID =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_CHANNEL_ID,
    "DU Analysis Configure Upstream Channel ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngChannelUCID, NULL,
    "CONF:CHAN:UCID",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_ATTENUATION =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_ATTENUATION,
    "DU Analysis Configure Upstream Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "INP:US:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_PREAMPLIFIER_ENABLED =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_PREAMPLIFIER_ENABLED,
    "DU Analysis Configure Upstream Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:US:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_TRAFFIC_DETECTED_THRESHOLD =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_TRAFFIC_DETECTED_THRESHOLD,
    "DU Analysis Configure Upstream Traffic Detected Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:TDTH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SFP_OUTPUT_ENABLED =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SFP_OUTPUT_ENABLED,
    "DU Analysis Configure SFP Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:DUAN:SFP:NOUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT,
    "DU Analysis Configure SFP IUC UDP Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngUDPPort, NULL,
    "OUTP:DUAN:SFP:IUC{IUC_OFDMA}:UDPP",
    // Defaults I32, I64, Float, Bool, String
    1025,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED =
  {
    RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED,
    "DU Analysis Configure SFP IUC UDP Port Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:DUAN:SFP:IUC{IUC_OFDMA}:UDPP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_RMS_MER_OVERALL =
  {
    RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_RMS_MER_OVERALL,
    "DU Analysis Alarm Threshold RMS MER Overall",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:DUAN:MER:OVER:RMS:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON =
  {
    RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON,
    "DU Analysis Alarm Threshold BER Pre-Reed-Solomon",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:DUAN:BER:RSOL:PRE:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_POST_REED_SOLOMON =
  {
    RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_POST_REED_SOLOMON,
    "DU Analysis Alarm Threshold BER Post-Reed-Solomon",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:DUAN:BER:RSOL:POST:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_PRE_LDPC =
  {
    RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_PRE_LDPC,
    "DU Analysis Alarm Threshold BER Pre-LDPC",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:DUAN:BER:LDPC:PRE:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_POST_LDPC =
  {
    RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_POST_LDPC,
    "DU Analysis Alarm Threshold BER Post-LDPC",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:DUAN:BER:LDPC:POST:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ENABLE_DYNAMIC_SFD_ANALYSIS =
  {
    RSDSA_ATTR_ENABLE_DYNAMIC_SFD_ANALYSIS,
    "Enable Dynamic SFD Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST:MODE SUAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_DEMODULATOR_LOCK_STATUS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_DEMODULATOR_LOCK_STATUS,
    "SFD Analysis Query Burst Demodulator Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:SUAN:LOCK:BDEM?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_FEC_LOCK_STATUS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_FEC_LOCK_STATUS,
    "SFD Analysis Query FEC Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:SUAN:LOCK:FEC?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_RECEIVE_POWER =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_RECEIVE_POWER,
    "SFD Analysis Query Burst Receive Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:BRP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_FREQUENCY_OFFSET =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_FREQUENCY_OFFSET,
    "SFD Analysis Query Frequency Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:FOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_TIMING_OFFSET =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_TIMING_OFFSET,
    "SFD Analysis Query Burst Timing Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:BTOF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MINISLOTS_RECEIVED =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_MINISLOTS_RECEIVED,
    "SFD Analysis Query Minislots Received",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "READ:SUAN:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_COVERAGE =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_COVERAGE,
    "SFD Analysis Query Burst Coverage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:BCOV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_SFD_PILOT_ACQUIRED =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_SFD_PILOT_ACQUIRED,
    "SFD Analysis Query SFD Pilot Acquired",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:CHAN:SPST?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_DETECTED_UPSTREAM_MODE =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_DETECTED_UPSTREAM_MODE,
    "SFD Analysis Query Detected Upstream Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngUpstreamMode, NULL, NULL,
    "READ:CHAN:SUM?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_INSTR_MODE_D30A,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_MER_SIGN =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_MER_SIGN,
    "SFD Analysis Configure MER Sign",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngMERSign, NULL, NULL,
    "UNIT:SUAN:MERS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MER_SIGN_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_RMS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_RMS,
    "SFD Analysis Query MER RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:MER:OVER:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_RMS_PARTIALY_EQUALIZED =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_RMS_PARTIALY_EQUALIZED,
    "SFD Analysis Query MER RMS Partialy Equalized",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:MER:OVER:RMS:PEQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_PEAK =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_PEAK,
    "SFD Analysis Query MER Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:MER:OVER:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_PILOT_RMS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_PILOT_RMS,
    "SFD Analysis Query MER Pilot RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:MER:PIL:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_PILOT_PEAK =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_PILOT_PEAK,
    "SFD Analysis Query MER Pilot Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:MER:PIL:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_PILOT_CONSTELLATIONS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_PILOT_CONSTELLATIONS,
    "SFD Analysis Query Pilot Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:SUAN:CONS:PIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "BPSK",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_RMS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_RMS,
    "SFD Analysis Query MER Complementary Pilot RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:MER:CPIL:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_PEAK =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_PEAK,
    "SFD Analysis Query MER Complementary Pilot Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:MER:CPIL:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS,
    "SFD Analysis Query Complementary Pilot Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:SUAN:CONS:CPIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "BPSK",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_DB =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_DB,
    "SFD Analysis Query IQ Imbalance Amplitude dB",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:IQIM:AMPL:DB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT,
    "SFD Analysis Query IQ Imbalance Amplitude Percent",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:IQIM:AMPL:PERC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR,
    "SFD Analysis Query IQ Imbalance Quadrature Error",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:IQIM:QERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_RESET_ERROR_ANALYSIS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_RESET_ERROR_ANALYSIS,
    "SFD Analysis Reset Error Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:BER:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_ELAPSED_TIME =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_ELAPSED_TIME,
    "SFD Analysis Query BER Elapsed Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:BER:ETIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_BLOCKS_PROCESSED =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_BLOCKS_PROCESSED,
    "SFD Analysis Query BER Blocks Processed",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:BER:BPR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_BURSTS_EXPECTED =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_BURSTS_EXPECTED,
    "SFD Analysis Query BER Bursts Expected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:BER:BURS:EXP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_BURSTS_RECEIVED =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_BURSTS_RECEIVED,
    "SFD Analysis Query BER Bursts Received",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:BER:BURS:REC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    "SFD Analysis Configure Error Analysis Test Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepth, NULL, NULL,
    "CALC:SUAN:BER:COUN",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_10_BLOCKS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_MODE =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_MODE,
    "SFD Analysis Configure Error Analysis Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisMode, NULL, NULL,
    "CALC:SUAN:BER:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_ERROR_ANALYSIS_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE,
    "SFD Analysis Configure Error Analysis Test Depth Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisBERSource, NULL, NULL,
    "CALC:SUAN:BER:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_BER_SOURCE_PSEUDONOISE23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    "SFD Analysis Configure Error Analysis Test Depth Progression Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngErrorAnalysisTestDepthSource, NULL, NULL,
    "CALC:SUAN:BER:TDS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TEST_DEPTH_SOURCE_PRE_REED_SOLOMON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON,
    "SFD Analysis Query BER Pre-Reed-Solomon",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:BER:RSOL:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS,
    "SFD Analysis Query BER Pre-Reed-Solomon Total Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:BER:BITS:RSOL:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_POST_REED_SOLOMON =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_POST_REED_SOLOMON,
    "SFD Analysis Query BER Post-Reed-Solomon",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:BER:RSOL:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS,
    "SFD Analysis Query BER Post-Reed-Solomon Corrected Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:BER:BITS:RSOL:POST:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS,
    "SFD Analysis Query BER Post-Reed-Solomon Uncorrected Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:BER:BITS:RSOL:POST:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_CODEWORD_LENGTH_FILTER =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_CODEWORD_LENGTH_FILTER,
    "SFD Analysis Configure Codeword Length Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngCodewordLength, NULL, NULL,
    "DISP:SUAN:CLF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CODEWORD_LENGTH_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_CORRECTED =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_CORRECTED,
    "SFD Analysis Query CER Corrected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:CER:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_UNCORRECTED =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_UNCORRECTED,
    "SFD Analysis Query CER Uncorrected",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:CER:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_TOTAL_CODEWORDS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_TOTAL_CODEWORDS,
    "SFD Analysis Query CER Total Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:CER:COD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_CORRECTED_CODEWORDS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_CORRECTED_CODEWORDS,
    "SFD Analysis Query CER Corrected Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:CER:COD:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_UNCORRECTED_CODEWORDS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_UNCORRECTED_CODEWORDS,
    "SFD Analysis Query CER Uncorrected Codewords",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:CER:COD:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_POST_LDPC =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_POST_LDPC,
    "SFD Analysis Query CER Post-LDPC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:CER:LDPC:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_POST_LDPC_CODEWORD_ERRORS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_POST_LDPC_CODEWORD_ERRORS,
    "SFD Analysis Query CER Post-LDPC Codeword Errors",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:CER:CERR:LDPC:POST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_AVERAGE_LDPC_ITERATIONS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_AVERAGE_LDPC_ITERATIONS,
    "SFD Analysis Query CER Average LDPC Iterations",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:CER:ALIT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_CONSTELLATION_PLOT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_CONSTELLATION_PLOT,
    "SFD Analysis Display Constellation Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:CONS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_I_Q_DENSITY_PLOT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_I_Q_DENSITY_PLOT,
    "SFD Analysis Display I/Q Density Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:IQD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_I_Q_MEASUREMENT_MODE =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_I_Q_MEASUREMENT_MODE,
    "SFD Analysis Configure I/Q Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngIQDensityMode, NULL, NULL,
    "DISP:SUAN:IQDM",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_IQ_MEASUREMENT_MODE_HOLD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_I_Q_WINDOW_WIDTH =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_I_Q_WINDOW_WIDTH,
    "SFD Analysis Configure I/Q Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngIQSlidingWindow, NULL,
    "DISP:SUAN:SWW",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_SFD_ANALYSIS_DISPLAY_I_Q_ZOOM =
  {
    RSDSA_ATTR_HIDDEN_SFD_ANALYSIS_DISPLAY_I_Q_ZOOM,
    "Hidden SUAN Display I/Q Zoom",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:SUAN:IQDZ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CAPTURE_IQ_DATA_TO_FILENAME =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CAPTURE_IQ_DATA_TO_FILENAME,
    "SFD Analysis Capture IQ Data To Filename",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "OUTP:SUAN:IQ:CAPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/R_S/Instr/user/data.iq.tar",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_IQ_DATA_EXPORT_MAX_SAMPLES =
  {
    RSDSA_ATTR_SFD_ANALYSIS_IQ_DATA_EXPORT_MAX_SAMPLES,
    "SFD Analysis IQ Data Export Max Samples",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "OUTP:SUAN:IQ:SAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    60000000,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_IQ_DATA_EXPORT_TIMEOUT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_IQ_DATA_EXPORT_TIMEOUT,
    "SFD Analysis IQ Data Export Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:SUAN:IQ:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    600,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_MER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_MER_VS_TIME_PLOT,
    "SFD Analysis Display MER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:MER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    "SFD Analysis Configure MER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:SUAN:MER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_BER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_BER_VS_TIME_PLOT,
    "SFD Analysis Display BER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:BER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    "SFD Analysis Configure BER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:SUAN:BER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_POWER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_POWER_VS_TIME_PLOT,
    "SFD Analysis Display Power Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:POW:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    "SFD Analysis Configure Power Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:SUAN:POW:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_MER_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_MER_VS_SUBCARRIER_PLOT,
    "SFD Analysis Display MER Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:MER:VSUB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_MER_VS_MINISLOT_PLOT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_MER_VS_MINISLOT_PLOT,
    "SFD Analysis Display MER Vs Minislot Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:MER:VMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_CCDF_HISTOGRAM =
  {
    RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_CCDF_HISTOGRAM,
    "SFD Analysis Display CCDF Histogram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:CCDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CCDF_PEAK =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_CCDF_PEAK,
    "SFD Analysis Query CCDF Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:SUAN:CCDF:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "SFD Analysis Display Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:APS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "SFD Analysis Auto Scale Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:APS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "SFD Analysis Display Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:AGDS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "SFD Analysis Auto Scale Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:AGDS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_ECHO_PATTERN_PLOT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_ECHO_PATTERN_PLOT,
    "SFD Analysis Display Echo Pattern Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:EPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_SPECTRUM_ANALYSIS_PLOT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_SPECTRUM_ANALYSIS_PLOT,
    "SFD Analysis Display Spectrum Analysis Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:SAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF,
    "SFD Analysis All Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:MARK:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF,
    "SFD Analysis All Delta Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:DELT:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS,
    "SFD Analysis Clear All Masks",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:MASK:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED,
    "SFD Analysis Display All Masks Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SUAN:MASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_REFERENCE_LEVEL,
    "SFD Analysis Configure Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP:SUAN:TRAC:Y:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SCALE_PER_DIVISION =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SCALE_PER_DIVISION,
    "SFD Analysis Configure Scale Per Division",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:SUAN:TRAC:Y:PDIV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_AUTO_SCALE_Y_AXIS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_AUTO_SCALE_Y_AXIS,
    "SFD Analysis Auto Scale Y-Axis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:TRAC:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_AUTO_AVERAGE_COUNT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_AUTO_AVERAGE_COUNT,
    "SFD Analysis Configure Auto Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SUAN:AVER:COUN:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT,
    "SFD Analysis Configure Manual Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngAveragesCount, NULL,
    "SUAN:AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_TRACE_MODE =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_TRACE_MODE,
    "SFD Analysis Configure Trace Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTraceHold, NULL, NULL,
    "DISP:SUAN:TRAC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TRACE_MODE_WRITE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_CAPTURE_MODE =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_CAPTURE_MODE,
    "SFD Analysis Configure Capture Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngCaptureMode, NULL, NULL,
    "DISP:SUAN:TRAC:CAPT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MEASUREMENT_CAPTURE_CONTINUOUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_RUN_SINGLE_SWEEP =
  {
    RSDSA_ATTR_SFD_ANALYSIS_RUN_SINGLE_SWEEP,
    "SFD Analysis Run Single Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:TRAC:RSIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_STATE =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_STATE,
    "SFD Analysis Marker State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SUAN:MARK{Marker}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_X_POSITION =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_X_POSITION,
    "SFD Analysis Marker X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SUAN:MARK{Marker}:X",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1700000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_Y_POSITION =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_Y_POSITION,
    "SFD Analysis Marker Y Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SUAN:MARK{Marker}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK,
    "SFD Analysis Marker To Maximum Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:MARK{Marker}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT,
    "SFD Analysis Marker To Next Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:MARK{Marker}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT,
    "SFD Analysis Marker To Next Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:MARK{Marker}:MAX:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT,
    "SFD Analysis Marker To Next Point Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:MARK{Marker}:POIN:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT,
    "SFD Analysis Marker To Next Point Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:MARK{Marker}:POIN:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL,
    "SFD Analysis Marker Set Power Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:MARK{Marker}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE,
    "SFD Analysis Delta Marker State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SUAN:DELT{Delta}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER,
    "SFD Analysis Delta Marker Linked Reference Marker",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngReferenceMarker, NULL, NULL,
    "CALC:SUAN:DELT{Delta}:MREF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_REFERENCE_MARKER_2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION,
    "SFD Analysis Delta Marker Absolute X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SUAN:DELT{Delta}:X:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    204000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION,
    "SFD Analysis Delta Marker Relative X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SUAN:DELT{Delta}:X:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION,
    "SFD Analysis Delta Marker Y Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SUAN:DELT{Delta}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK,
    "SFD Analysis Delta Marker To Maximum Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:DELT{Delta}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT,
    "SFD Analysis Delta Marker To Next Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:DELT{Delta}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT,
    "SFD Analysis Delta Marker To Next Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:DELT{Delta}:MAX:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT,
    "SFD Analysis Delta Marker To Next Point Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:DELT{Delta}:POIN:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT,
    "SFD Analysis Delta Marker To Next Point Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:DELT{Delta}:POIN:RIGHt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL,
    "SFD Analysis Delta Marker Set Power Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SUAN:DELT{Delta}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT,
    "SFD Analysis Delta Marker Bandwidth Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SUAN:DELT{Delta}:BPOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_TRACE_DATA =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_TRACE_DATA,
    "SFD Analysis Query Trace Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:SUAN:TRAC{Trace}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,2,3,65535",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_MASK_VISIBLE =
  {
    RSDSA_ATTR_SFD_ANALYSIS_MASK_VISIBLE,
    "SFD Analysis Mask Visible",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SUAN:MASK{Mask}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CLEAR_MASK =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CLEAR_MASK,
    "SFD Analysis Clear Mask",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:SUAN:MASK{Mask}:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_SFD_ANALYSIS_MASK_LOWER_CONFIGURATION =
  {
    RSDSA_ATTR_HIDDEN_SFD_ANALYSIS_MASK_LOWER_CONFIGURATION,
    "Hidden SFD Analysis Mask Lower Configuration",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:SUAN:MASK{Mask}:LOW:CONF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_SFD_ANALYSIS_MASK_UPPER_CONFIGURATION =
  {
    RSDSA_ATTR_HIDDEN_SFD_ANALYSIS_MASK_UPPER_CONFIGURATION,
    "Hidden SFD Analysis Mask Upper Configuration",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:SUAN:MASK{Mask}:UPP:CONF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_ALL =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_ALL,
    "SFD Analysis System Acquisition Log All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:SUAN:ALOG:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry1>\",<TimeTag1>,\"<Entry2>\",<TimeTag2>\",...",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_NEXT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_NEXT,
    "SFD Analysis System Acquisition Log Next",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:SUAN:ALOG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry>\",<TimeTag>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_COUNT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_COUNT,
    "SFD Analysis System Acquisition Log Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:SUAN:ALOG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_CLEAR_ALL =
  {
    RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    "SFD Analysis System Acquisition Log Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:SUAN:ALOG:CLE:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFD_PILOT_FREQUENCY =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFD_PILOT_FREQUENCY,
    "SFD Analysis Configure SFD Pilot Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngSFDPilotFrequency, NULL,
    "CONF:CHAN:SPF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_PLOT_DATA_FILTER =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_PLOT_DATA_FILTER,
    "SFD Analysis Configure Plot Data Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD31UPlotDataFilter, NULL, NULL,
    "DISP:SUAN:DFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_PLOT_DATA_FILTER_OVERALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_DOWNSTREAM_EQUALIZER_COEFFICIENTS =
  {
    RSDSA_ATTR_SFD_ANALYSIS_QUERY_DOWNSTREAM_EQUALIZER_COEFFICIENTS,
    "SFD Analysis Query Downstream Equalizer Coefficients",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:SUAN:ECO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,-1,2,-2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_DOWNSTREAM_ATTENUATION =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_DOWNSTREAM_ATTENUATION,
    "SFD Analysis Configure Downstream Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngDSAttenuation, NULL,
    "INP:DS:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_DOWNSTREAM_PREAMPLIFIER_ENABLED =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_DOWNSTREAM_PREAMPLIFIER_ENABLED,
    "SFD Analysis Configure Downstream Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:DS:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_UPSTREAM_ATTENUATION =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_UPSTREAM_ATTENUATION,
    "SFD Analysis Configure Upstream Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "INP:US:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_UPSTREAM_PREAMPLIFIER_ENABLED =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_UPSTREAM_PREAMPLIFIER_ENABLED,
    "SFD Analysis Configure Upstream Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:US:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFP_OUTPUT_ENABLED =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFP_OUTPUT_ENABLED,
    "SFD Analysis Configure SFP Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:SUAN:SFP:NOUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT,
    "SFD Analysis Configure SFP IUC UDP Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngUDPPort, NULL,
    "OUTP:SUAN:SFP:IUC{IUC_OFDMA}:UDPP",
    // Defaults I32, I64, Float, Bool, String
    1025,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED =
  {
    RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED,
    "SFD Analysis Configure SFP IUC UDP Port Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:SUAN:SFP:IUC{IUC_OFDMA}:UDPP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_RMS_MER_OVERALL =
  {
    RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_RMS_MER_OVERALL,
    "SFD Analysis Alarm Threshold RMS MER Overall",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:SUAN:MER:OVER:RMS:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON =
  {
    RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON,
    "SFD Analysis Alarm Threshold BER Pre-Reed-Solomon",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:SUAN:BER:RSOL:PRE:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_POST_REED_SOLOMON =
  {
    RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_POST_REED_SOLOMON,
    "SFD Analysis Alarm Threshold BER Post-Reed-Solomon",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:SUAN:BER:RSOL:POST:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_PRE_LDPC =
  {
    RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_PRE_LDPC,
    "SFD Analysis Alarm Threshold BER Pre-LDPC",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:SUAN:BER:LDPC:PRE:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_POST_LDPC =
  {
    RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_POST_LDPC,
    "SFD Analysis Alarm Threshold BER Post-LDPC",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngAlarmThreshold, NULL,
    "CONF:SUAN:BER:LDPC:POST:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ENABLE_CM_RANGING_ANALYSIS =
  {
    RSDSA_ATTR_ENABLE_CM_RANGING_ANALYSIS,
    "Enable CM Ranging Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST:MODE CMRA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_BURST_DEMODULATOR_LOCK_STATUS =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_BURST_DEMODULATOR_LOCK_STATUS,
    "CM Ranging Query Burst Demodulator Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:CMRA:LOCK:BDEM?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_FEC_LOCK_STATUS =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_FEC_LOCK_STATUS,
    "CM Ranging Query FEC Lock Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngLockStatus, NULL, NULL,
    "READ:CMRA:LOCK:FEC?",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_UNLOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_BURST_RECEIVE_POWER =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_BURST_RECEIVE_POWER,
    "CM Ranging Query Burst Receive Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:BRP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_FREQUENCY_OFFSET =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_FREQUENCY_OFFSET,
    "CM Ranging Query Frequency Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:FOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_BURST_TIMING_OFFSET =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_BURST_TIMING_OFFSET,
    "CM Ranging Query Burst Timing Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:BTOF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_MINISLOTS_RECEIVED =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_MINISLOTS_RECEIVED,
    "CM Ranging Query Minislots Received",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "READ:CMRA:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_BURST_COVERAGE =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_BURST_COVERAGE,
    "CM Ranging Query Burst Coverage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:BCOV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_MER_SIGN =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_MER_SIGN,
    "CM Ranging Configure MER Sign",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngMERSign, NULL, NULL,
    "UNIT:CMRA:MERS",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_MER_SIGN_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_MER_RMS =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_MER_RMS,
    "CM Ranging Query MER RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:MER:OVER:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_MER_RMS_PARTIALY_EQUALIZED =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_MER_RMS_PARTIALY_EQUALIZED,
    "CM Ranging Query MER RMS Partialy Equalized",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:MER:OVER:RMS:PEQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_MER_PEAK =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_MER_PEAK,
    "CM Ranging Query MER Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:MER:OVER:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_MER_PILOT_RMS =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_MER_PILOT_RMS,
    "CM Ranging Query MER Pilot RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:MER:PIL:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_MER_PILOT_PEAK =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_MER_PILOT_PEAK,
    "CM Ranging Query MER Pilot Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:MER:PIL:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_PILOT_CONSTELLATIONS =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_PILOT_CONSTELLATIONS,
    "CM Ranging Query Pilot Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:CMRA:CONS:PIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "BPSK",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_MER_COMPLEMENTARY_PILOT_RMS =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_MER_COMPLEMENTARY_PILOT_RMS,
    "CM Ranging Query MER Complementary Pilot RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:MER:CPIL:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_MER_COMPLEMENTARY_PILOT_PEAK =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_MER_COMPLEMENTARY_PILOT_PEAK,
    "CM Ranging Query MER Complementary Pilot Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:MER:CPIL:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS,
    "CM Ranging Query Complementary Pilot Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:CMRA:CONS:CPIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "BPSK",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_MER_IUC_RMS =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_MER_IUC_RMS,
    "CM Ranging Query MER IUC RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:MER:IUC:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_MER_IUC_PEAK =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_MER_IUC_PEAK,
    "CM Ranging Query MER IUC Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:MER:IUC:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_IUC_CONSTELLATIONS =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_IUC_CONSTELLATIONS,
    "CM Ranging Query IUC Constellations",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:CMRA:CONS:IUC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ZL,QAM128,QAM256",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_IQ_IMBALANCE_AMPLITUDE_DB =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_IQ_IMBALANCE_AMPLITUDE_DB,
    "CM Ranging Query IQ Imbalance Amplitude dB",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:IQIM:AMPL:DB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT,
    "CM Ranging Query IQ Imbalance Amplitude Percent",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:IQIM:AMPL:PERC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR,
    "CM Ranging Query IQ Imbalance Quadrature Error",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:IQIM:QERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_DISPLAY_CONSTELLATION_PLOT =
  {
    RSDSA_ATTR_CM_RANGING_DISPLAY_CONSTELLATION_PLOT,
    "CM Ranging Display Constellation Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMRA:CONS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_DISPLAY_I_Q_DENSITY_PLOT =
  {
    RSDSA_ATTR_CM_RANGING_DISPLAY_I_Q_DENSITY_PLOT,
    "CM Ranging Display I/Q Density Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMRA:IQD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_I_Q_MEASUREMENT_MODE =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_I_Q_MEASUREMENT_MODE,
    "CM Ranging Configure I/Q Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngIQDensityMode, NULL, NULL,
    "DISP:CMRA:IQDM",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_IQ_MEASUREMENT_MODE_HOLD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_I_Q_WINDOW_WIDTH =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_I_Q_WINDOW_WIDTH,
    "CM Ranging Configure I/Q Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngIQSlidingWindow, NULL,
    "DISP:CMRA:SWW",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_CM_RANGING_DISPLAY_I_Q_ZOOM =
  {
    RSDSA_ATTR_HIDDEN_CM_RANGING_DISPLAY_I_Q_ZOOM,
    "Hidden CMRA Display I/Q Zoom",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:CMRA:IQDZ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CAPTURE_IQ_DATA_TO_FILENAME =
  {
    RSDSA_ATTR_CM_RANGING_CAPTURE_IQ_DATA_TO_FILENAME,
    "CM Ranging Capture IQ Data To Filename",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "OUTP:CMRA:IQ:CAPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/R_S/Instr/user/data.iq.tar",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_IQ_DATA_EXPORT_MAX_SAMPLES =
  {
    RSDSA_ATTR_CM_RANGING_IQ_DATA_EXPORT_MAX_SAMPLES,
    "CM Ranging IQ Data Export Max Samples",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "OUTP:CMRA:IQ:SAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    60000000,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_IQ_DATA_EXPORT_TIMEOUT =
  {
    RSDSA_ATTR_CM_RANGING_IQ_DATA_EXPORT_TIMEOUT,
    "CM Ranging IQ Data Export Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:CMRA:IQ:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    600,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_DISPLAY_MER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_CM_RANGING_DISPLAY_MER_VS_TIME_PLOT,
    "CM Ranging Display MER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMRA:MER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    "CM Ranging Configure MER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:CMRA:MER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_DISPLAY_BER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_CM_RANGING_DISPLAY_BER_VS_TIME_PLOT,
    "CM Ranging Display BER Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMRA:BER:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    "CM Ranging Configure BER Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:CMRA:BER:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_DISPLAY_POWER_VS_TIME_PLOT =
  {
    RSDSA_ATTR_CM_RANGING_DISPLAY_POWER_VS_TIME_PLOT,
    "CM Ranging Display Power Vs Time Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMRA:POW:VTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    "CM Ranging Configure Power Vs Time Plot Filter Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngTimePlotFilterPeriod, NULL, NULL,
    "DISP:CMRA:POW:TFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_TIME_PLOT_FILTER_PERIOD_LAST_MINUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_DISPLAY_MER_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_CM_RANGING_DISPLAY_MER_VS_SUBCARRIER_PLOT,
    "CM Ranging Display MER Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMRA:MER:VSUB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_DISPLAY_MER_VS_MINISLOT_PLOT =
  {
    RSDSA_ATTR_CM_RANGING_DISPLAY_MER_VS_MINISLOT_PLOT,
    "CM Ranging Display MER Vs Minislot Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMRA:MER:VMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_DISPLAY_CCDF_HISTOGRAM =
  {
    RSDSA_ATTR_CM_RANGING_DISPLAY_CCDF_HISTOGRAM,
    "CM Ranging Display CCDF Histogram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMRA:CCDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_CCDF_PEAK =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_CCDF_PEAK,
    "CM Ranging Query CCDF Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:CMRA:CCDF:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_CM_RANGING_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "CM Ranging Display Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMRA:APS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_CM_RANGING_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    "CM Ranging Auto Scale Amplitude/Phase Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMRA:APS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_CM_RANGING_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "CM Ranging Display Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMRA:AGDS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT =
  {
    RSDSA_ATTR_CM_RANGING_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    "CM Ranging Auto Scale Amplitude/Group Delay Vs Subcarrier Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMRA:AGDS:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_DISPLAY_ECHO_PATTERN_PLOT =
  {
    RSDSA_ATTR_CM_RANGING_DISPLAY_ECHO_PATTERN_PLOT,
    "CM Ranging Display Echo Pattern Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMRA:EPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_DISPLAY_SPECTRUM_ANALYSIS_PLOT =
  {
    RSDSA_ATTR_CM_RANGING_DISPLAY_SPECTRUM_ANALYSIS_PLOT,
    "CM Ranging Display Spectrum Analysis Plot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMRA:SAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_TRACE_DATA =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_TRACE_DATA,
    "CM Ranging Query Trace Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:CMRA:TRAC{Trace}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,2,3,65535",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_ALL =
  {
    RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_ALL,
    "CM Ranging System Acquisition Log All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:CMRA:ALOG:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry1>\",<TimeTag1>,\"<Entry2>\",<TimeTag2>\",...",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_NEXT =
  {
    RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_NEXT,
    "CM Ranging System Acquisition Log Next",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:CMRA:ALOG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Entry>\",<TimeTag>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_COUNT =
  {
    RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_COUNT,
    "CM Ranging System Acquisition Log Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:CMRA:ALOG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_CLEAR_ALL =
  {
    RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    "CM Ranging System Acquisition Log Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:CMRA:ALOG:CLE:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_PLOT_DATA_FILTER =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_PLOT_DATA_FILTER,
    "CM Ranging Configure Plot Data Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD31UPlotDataFilter, NULL, NULL,
    "DISP:CMRA:DFIL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_PLOT_DATA_FILTER_OVERALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_FEC =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_FEC,
    "CM Ranging Configure FEC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngFECAnnex, NULL, NULL,
    "CONF:CMRA:JQD:CHAN:FEC",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_FEC_ANNEX_B,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_MODE =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_MODE,
    "CM Ranging Configure Downstream Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngDownstreamMode, NULL, NULL,
    "CONF:CMRA:DMOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_INSTR_MODE_D30D,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_SFD_DOWNSTREAM_TRANSMIT_POWER =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_SFD_DOWNSTREAM_TRANSMIT_POWER,
    "CM Ranging Configure SFD Downstream Transmit Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:CMRA:CHAN:STP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_ASI_OUTPUT_ENABLED =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_ASI_OUTPUT_ENABLED,
    "CM Ranging Configure Downstream ASI Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:ASI:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_ED30_CONFIGURE_FREQUENCY =
  {
    RSDSA_ATTR_CM_RANGING_ED30_CONFIGURE_FREQUENCY,
    "CM Ranging ED30 Configure Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:CMRA:ED30:CHAN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_ED30_CONFIGURE_CONSTELLATION =
  {
    RSDSA_ATTR_CM_RANGING_ED30_CONFIGURE_CONSTELLATION,
    "CM Ranging ED30 Configure Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngED30Modulation, NULL, NULL,
    "CONF:CMRA:ED30:CHAN:MOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_MODULATION_QAM64,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30D_CONFIGURE_FREQUENCY =
  {
    RSDSA_ATTR_CM_RANGING_D30D_CONFIGURE_FREQUENCY,
    "CM Ranging D30D Configure Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:CMRA:D30D:CHAN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30D_CONFIGURE_CONSTELLATION =
  {
    RSDSA_ATTR_CM_RANGING_D30D_CONFIGURE_CONSTELLATION,
    "CM Ranging D30D Configure Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngChannelModulation, NULL, NULL,
    "CONF:CMRA:D30D:CHAN:MOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_MODULATION_QAM64,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CONFIGURE_CHANNEL_INTERLEAVER =
  {
    RSDSA_ATTR_CONFIGURE_CHANNEL_INTERLEAVER,
    "CM Ranging D30D Configure Interleaver",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD30Interleaver, NULL, NULL,
    "CONF:CMRA:D30D:CHAN:INT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_INTERLEAVER_128I_1J,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30J_CONFIGURE_FREQUENCY =
  {
    RSDSA_ATTR_CM_RANGING_D30J_CONFIGURE_FREQUENCY,
    "CM Ranging D30J Configure Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:CMRA:D30J:CHAN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30J_CONFIGURE_CONSTELLATION =
  {
    RSDSA_ATTR_CM_RANGING_D30J_CONFIGURE_CONSTELLATION,
    "CM Ranging D30J Configure Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD30JModulation, NULL, NULL,
    "CONF:CMRA:D30J:CHAN:MOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_MODULATION_QAM64,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_FREQUENCY =
  {
    RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_FREQUENCY,
    "CM Ranging D31D Configure Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:CMRA:D31D:CHAN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_SUBCARRIER_0_FREQUENCY =
  {
    RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_SUBCARRIER_0_FREQUENCY,
    "CM Ranging D31D Configure Subcarrier 0 Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngD31CenterFrequency, NULL,
    "CONF:CMRA:D31D:CHAN:SPEC:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    101.6e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_SUBCARRIER_SPACING =
  {
    RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_SUBCARRIER_SPACING,
    "CM Ranging D31D Configure Subcarrier Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngOFDMFFTSize, NULL, NULL,
    "CONF:CMRA:D31D:CHAN:NFFT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_FFT_SIZE_4K,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_CYCLIC_PREFIX_LENGTH =
  {
    RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_CYCLIC_PREFIX_LENGTH,
    "CM Ranging D31D Configure Cyclic Prefix Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngCyclicPrefixLength, NULL, NULL,
    "CONF:CMRA:D31D:CHAN:CPR",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S192,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_TIME_INTERLEAVER_DEPTH =
  {
    RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_TIME_INTERLEAVER_DEPTH,
    "CM Ranging D31D Configure Time Interleaver Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngTimeInterleaverDepth, NULL,
    "CONF:CMRA:D31D:CHAN:TID",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_SUBCARRIER_CONFIG_FILE =
  {
    RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_SUBCARRIER_CONFIG_FILE,
    "CM Ranging D31D Configure Subcarrier Config File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:CMRA:D31D:CHAN:OSCF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_QUERY_DOWNSTREAM_EQUALIZER_COEFFICIENTS =
  {
    RSDSA_ATTR_CM_RANGING_QUERY_DOWNSTREAM_EQUALIZER_COEFFICIENTS,
    "CM Ranging Query Downstream Equalizer Coefficients",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "READ:CMRA:ECO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,-1,2,-2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_ATTENUATION =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_ATTENUATION,
    "CM Ranging Configure Downstream Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngDSAttenuation, NULL,
    "INP:DS:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_PREAMPLIFIER_ENABLED =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_PREAMPLIFIER_ENABLED,
    "CM Ranging Configure Downstream Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:DS:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_MODE =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_MODE,
    "CM Ranging Configure Upstream Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngUpstreamMode, NULL, NULL,
    "CONF:CMRA:UMOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_INSTR_MODE_D30A,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_PLOT_DATA_FILTER_IUC =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_PLOT_DATA_FILTER_IUC,
    "CM Ranging Configure Upstream Plot Data Filter IUC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngDataFilterIUC, NULL, NULL,
    "DISP:CMRA:IUCF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_DATA_FILTER_IUC5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_FREQUENCY =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_FREQUENCY,
    "CM Ranging D30A Configure Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngD30ACenterFrequency, NULL,
    "CONF:CMRA:D30A:CHAN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    60e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_CONSTELLATION =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_CONSTELLATION,
    "CM Ranging D30A Configure Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD30AModulation, NULL, NULL,
    "CONF:CMRA:D30A:CHAN:MOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_MODULATION_QAM64,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_CHANNEL_SYMBOL_RATE =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_CHANNEL_SYMBOL_RATE,
    "CM Ranging D30A Configure Channel Symbol Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngD30ASymbolRate, NULL, NULL,
    "CONF:CMRA:D30A:CHAN:SRAT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_SRATE_S1280,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_FEC_PARAMETER_T =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_FEC_PARAMETER_T,
    "CM Ranging D30A Configure FEC Parameter T",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngFECParameterT, NULL,
    "CONF:CMRA:D30A:CHAN:FPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_FEC_PARAMETER_K =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_FEC_PARAMETER_K,
    "CM Ranging D30A Configure FEC Parameter K",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngFECParameterK, NULL,
    "CONF:CMRA:D30A:CHAN:FPK",
    // Defaults I32, I64, Float, Bool, String
    16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_LAST_CODEWORD_LENGTH =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_LAST_CODEWORD_LENGTH,
    "CM Ranging D30A Configure Last Codeword Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngLastCodewordLength, NULL, NULL,
    "CONF:CMRA:D30A:CHAN:LCL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_LAST_CODEWORD_LENGTH_FIXED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_PATTERN =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_PATTERN,
    "CM Ranging D30A Configure Preamble Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:CMRA:D30A:CHAN:PPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "hexPattern",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_LENGTH =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_LENGTH,
    "CM Ranging D30A Configure Preamble Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngPreambleLength, NULL,
    "CONF:CMRA:D30A:CHAN:PLEN",
    // Defaults I32, I64, Float, Bool, String
    32,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_OFFSET =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_OFFSET,
    "CM Ranging D30A Configure Preamble Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngPreambleOffset, NULL,
    "CONF:CMRA:D30A:CHAN:POFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_TYPE =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_TYPE,
    "CM Ranging D30A Configure Preamble Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngPreambleType, NULL, NULL,
    "CONF:CMRA:D30A:CHAN:PTYP",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_PREAMBLE_TYPE_QPSK0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_SCRAMBLER_ENABLED =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_SCRAMBLER_ENABLED,
    "CM Ranging D30A Configure Scrambler Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:CMRA:D30A:CHAN:SCR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_SCRAMBLER_SEED =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_SCRAMBLER_SEED,
    "CM Ranging D30A Configure Scrambler Seed",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:CMRA:D30A:CHAN:SSE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ABC",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_GUARD_TIME_SIZE =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_GUARD_TIME_SIZE,
    "CM Ranging D30A Configure Guard Time Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngGuardTimeSize, NULL,
    "CONF:CMRA:D30A:CHAN:GTS",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_REED_SOLOMON_MODE =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_REED_SOLOMON_MODE,
    "CM Ranging D30A Configure Reed Solomon Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngReedSolomonMode, NULL, NULL,
    "CONF:CMRA:D30A:CHAN:RSIM",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_REED_SOLOMON_MODE_DISABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_DEPTH =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_DEPTH,
    "CM Ranging D30A Configure Reed Solomon Interleaver Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngReedSolomonInterleaverDepth, NULL,
    "CONF:CMRA:D30A:CHAN:RSID",
    // Defaults I32, I64, Float, Bool, String
    34,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_BLOCK_SIZE =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_BLOCK_SIZE,
    "CM Ranging D30A Configure Reed Solomon Interleaver Block Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngReedSolomonInterleaverBlockSize, NULL,
    "CONF:CMRA:D30A:CHAN:RSIB",
    // Defaults I32, I64, Float, Bool, String
    1056,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_MINISLOT_SIZE =
  {
    RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_MINISLOT_SIZE,
    "CM Ranging D30A Configure Minislot Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsDSA_rngMinislotSize,
    "CONF:CMRA:D30A:CHAN:MSIZ",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FREQUENCY =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FREQUENCY,
    "CM Ranging D31U Configure Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsDSA_rngD31CenterFrequency, NULL,
    "CONF:CMRA:D31U:CHAN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    57e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_ROLL_OFF =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_ROLL_OFF,
    "CM Ranging D31U Configure Roll-Off",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngRollOffPeriod, NULL, NULL,
    "CONF:CMRA:D31U:CHAN:ROFF",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_ROLL_OFF_S0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_CYCLIC_PREFIX_LENGTH =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_CYCLIC_PREFIX_LENGTH,
    "CM Ranging D31U Configure Cyclic Prefix Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngCyclicPrefixLength, NULL, NULL,
    "CONF:CMRA:D31U:CHAN:CPR",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_CYCLIC_PREFIX_S192,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_SYMBOLS_PER_FRAME =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_SYMBOLS_PER_FRAME,
    "CM Ranging D31U Configure Symbols Per Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngSymbolsPerFrame, NULL,
    "CONF:CMRA:D31U:CHAN:SYMB",
    // Defaults I32, I64, Float, Bool, String
    6,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_SUBCARRIER_SPACING =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_SUBCARRIER_SPACING,
    "CM Ranging D31U Configure Subcarrier Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngOFDMAFFTSize, NULL, NULL,
    "CONF:CMRA:D31U:CHAN:NFFT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_FFT_SIZE_2K,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_RANDOMIZER_ENABLED =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_RANDOMIZER_ENABLED,
    "CM Ranging D31U Configure Randomizer Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:CMRA:D31U:CHAN:RAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_RANDOMIZER_SEED =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_RANDOMIZER_SEED,
    "CM Ranging D31U Configure Randomizer Seed",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:CMRA:D31U:CHAN:RSE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_EXCLUSION_BAND_START =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_EXCLUSION_BAND_START,
    "CM Ranging D31U Configure Exclusion Band Start",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngD31USubcarrier, NULL,
    "CONF:CMRA:D31U:CHAN:EBAN{Band}:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_EXCLUSION_BAND_WIDTH =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_EXCLUSION_BAND_WIDTH,
    "CM Ranging D31U Configure Exclusion Band Width",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngD31USubcarrier, NULL,
    "CONF:CMRA:D31U:CHAN:EBAN{Band}:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_MINISLOT_CONFIGURATION_MODE =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_MINISLOT_CONFIGURATION_MODE,
    "CM Ranging D31U Configure Minislot Configuration Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngMinislotConfigMode, NULL, NULL,
    "CONF:CMRA:D31U:CHAN:MCM",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_MINISLOT_CONFIGURATION_FILE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_MINISLOT_CONFIGURATION_FILE =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_MINISLOT_CONFIGURATION_FILE,
    "CM Ranging D31U Configure Minislot Configuration File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:CMRA:D31U:CHAN:OMCF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "fileName",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_CONSTELLATION =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_CONSTELLATION,
    "CM Ranging D31U Configure Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngChannelModulation, NULL, NULL,
    "CONF:CMRA:D31U:CHAN:MOD",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_CHANNEL_MODULATION_QAM64,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_PILOT_PATTERN =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_PILOT_PATTERN,
    "CM Ranging D31U Configure Pilot Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngPilotPattern, NULL,
    "CONF:CMRA:D31U:CHAN:PPAT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_STARTING_MINISLOT =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_STARTING_MINISLOT,
    "CM Ranging D31U Configure Starting Minislot",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, &RsDSA_rngStartingMinislot, NULL,
    "CONF:CMRA:D31U:CHAN:SMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    1,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_NUMBER_OF_MINISLOTS =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_NUMBER_OF_MINISLOTS,
    "CM Ranging D31U Configure Number Of Minislots",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngD31UNumberOfMinislots, NULL,
    "CONF:CMRA:D31U:CHAN:NMIN",
    // Defaults I32, I64, Float, Bool, String
    25,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FIRST_ACTIVE_SUBCARRIER =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FIRST_ACTIVE_SUBCARRIER,
    "CM Ranging D31U Configure First Active Subcarrier",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngFirstSubcarrier, NULL,
    "CONF:CMRA:D31U:CHAN:FAS",
    // Defaults I32, I64, Float, Bool, String
    74,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_LAST_ACTIVE_SUBCARRIER =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_LAST_ACTIVE_SUBCARRIER,
    "CM Ranging D31U Configure Last Active Subcarrier",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngLastSubcarrier, NULL,
    "CONF:CMRA:D31U:CHAN:LAS",
    // Defaults I32, I64, Float, Bool, String
    273,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_STARTING_MINISLOT_IN_FRAME =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_STARTING_MINISLOT_IN_FRAME,
    "CM Ranging D31U Configure Initial Ranging Starting Minislot In Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngInitialRangingStartingMinislot, NULL,
    "CONF:CMRA:D31U:CHAN:IRAN:SMIF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_MINISLOTS =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_MINISLOTS,
    "CM Ranging D31U Configure Initial Ranging Number Of Minislots",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngInitialRangingNumberOfMinislots, NULL,
    "CONF:CMRA:D31U:CHAN:IRAN:NOM",
    // Defaults I32, I64, Float, Bool, String
    20,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_SUBCARRIERS =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_SUBCARRIERS,
    "CM Ranging D31U Configure Initial Ranging Number Of Subcarriers",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngInitialRangingNumberOfSubcarriers, NULL,
    "CONF:CMRA:D31U:CHAN:IRAN:NOS",
    // Defaults I32, I64, Float, Bool, String
    64,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_PATTERN =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_PATTERN,
    "CM Ranging D31U Configure Initial Ranging Preamble Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:CMRA:D31U:CHAN:IRAN:PPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_LENGTH =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_LENGTH,
    "CM Ranging D31U Configure Initial Ranging Preamble Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngInitialRangingPreambleLength, NULL,
    "CONF:CMRA:D31U:CHAN:IRAN:PLEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_OFFSET =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_OFFSET,
    "CM Ranging D31U Configure Initial Ranging Preamble Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngPreambleOffset, NULL,
    "CONF:CMRA:D31U:CHAN:IRAN:POFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_STARTING_MINISLOT_IN_FRAME =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_STARTING_MINISLOT_IN_FRAME,
    "CM Ranging D31U Configure Fine Ranging Starting Minislot In Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngFineRangingStartingMinislot, NULL,
    "CONF:CMRA:D31U:CHAN:FRAN:SMIF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_MINISLOTS =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_MINISLOTS,
    "CM Ranging D31U Configure Fine Ranging Number Of Minislots",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngFineRangingNumberOfMinislots, NULL,
    "CONF:CMRA:D31U:CHAN:FRAN:NOM",
    // Defaults I32, I64, Float, Bool, String
    20,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_SUBCARRIERS =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_SUBCARRIERS,
    "CM Ranging D31U Configure Fine Ranging Number Of Subcarriers",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngFineRangingNumberOfSubcarriers, NULL,
    "CONF:CMRA:D31U:CHAN:FRAN:NOS",
    // Defaults I32, I64, Float, Bool, String
    64,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_PATTERN =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_PATTERN,
    "CM Ranging D31U Configure Fine Ranging Preamble Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:CMRA:D31U:CHAN:FRAN:PPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "4FF2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_OFFSET =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_OFFSET,
    "CM Ranging D31U Configure Fine Ranging Preamble Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngPreambleOffset, NULL,
    "CONF:CMRA:D31U:CHAN:FRAN:POFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_START_SUBCARRIER =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_START_SUBCARRIER,
    "CM Ranging D31U Configure Wideband Probe Start Subcarrier",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngWidebandProbeStartSubcarrier, NULL,
    "CONF:CMRA:D31U:CHAN:WPR:SSUB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_SUBCARRIER_SKIP =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_SUBCARRIER_SKIP,
    "CM Ranging D31U Configure Wideband Probe Subcarrier Skip",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngWidebandProbeSubcarrierSkip, NULL,
    "CONF:CMRA:D31U:CHAN:WPR:SSK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_STAGGER_ENABLED =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_STAGGER_ENABLED,
    "CM Ranging D31U Configure Wideband Probe Stagger Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:CMRA:D31U:CHAN:WPR:STAG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_SYMBOL_IN_FRAME =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_SYMBOL_IN_FRAME,
    "CM Ranging D31U Configure Wideband Probe Symbol In Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngWidebandProbeSymbolInFrame, NULL,
    "CONF:CMRA:D31U:CHAN:WPR:SIFR",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_BW_REQUEST_NUMBER_OF_MINISLOTS =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_BW_REQUEST_NUMBER_OF_MINISLOTS,
    "CM Ranging D31U Configure BW Request Number Of Minislots",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngBWRequestNumberOfMinislots, NULL,
    "CONF:CMRA:D31U:CHAN:BREQ:MIFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_BW_REQUEST_SUBSLOT =
  {
    RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_BW_REQUEST_SUBSLOT,
    "CM Ranging D31U Configure BW Request Subslot",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngBWRequestSubslot, NULL,
    "CONF:CMRA:D31U:CHAN:BREQ:SUBS",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_SFP_OUTPUT_ENABLED =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_SFP_OUTPUT_ENABLED,
    "CM Ranging Configure SFP Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:CMRA:SFP:NOUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_SFP_IUC_UDP_PORT =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_SFP_IUC_UDP_PORT,
    "CM Ranging Configure SFP IUC UDP Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rngUDPPort, NULL,
    "OUTP:CMRA:SFP:IUC{IUC_OFDMA}:UDPP",
    // Defaults I32, I64, Float, Bool, String
    1025,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED,
    "CM Ranging Configure SFP IUC UDP Port Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:CMRA:SFP:IUC{IUC_OFDMA}:UDPP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_UPSTREAM_AUTO_LEVEL =
  {
    RSDSA_ATTR_CM_RANGING_UPSTREAM_AUTO_LEVEL,
    "CM Ranging Upstream Auto Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:US:LEV:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_ATTENUATION =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_ATTENUATION,
    "CM Ranging Configure Upstream Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "INP:US:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_PREAMPLIFIER_ENABLED =
  {
    RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_PREAMPLIFIER_ENABLED,
    "CM Ranging Configure Upstream Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:US:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_RF_INPUT_DOWNSTREAM_DETECT_ATTENUATION =
  {
    RSDSA_ATTR_RF_INPUT_DOWNSTREAM_DETECT_ATTENUATION,
    "RF Input Downstream Detect Attenuation",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:DS:LEV:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_RF_INPUT_UPSTREAM_DETECT_ATTENUATION =
  {
    RSDSA_ATTR_RF_INPUT_UPSTREAM_DETECT_ATTENUATION,
    "RF Input Upstream Detect Attenuation",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:US:LEV:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_RF_INPUT_DOWNSTREAM_ATTENUATION =
  {
    RSDSA_ATTR_RF_INPUT_DOWNSTREAM_ATTENUATION,
    "RF Input Downstream Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "INP:DS:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_RF_INPUT_UPSTREAM_ATTENUATION =
  {
    RSDSA_ATTR_RF_INPUT_UPSTREAM_ATTENUATION,
    "RF Input Upstream Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "INP:US:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_RF_INPUT_DOWNSTREAM_OFFSET_LEVEL =
  {
    RSDSA_ATTR_RF_INPUT_DOWNSTREAM_OFFSET_LEVEL,
    "RF Input Downstream Offset Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "INP:DS:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_RF_INPUT_UPSTREAM_OFFSET_LEVEL =
  {
    RSDSA_ATTR_RF_INPUT_UPSTREAM_OFFSET_LEVEL,
    "RF Input Upstream Offset Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "INP:US:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_RF_INPUT_DOWNSTREAM_PREAMPLIFIER_STATE =
  {
    RSDSA_ATTR_RF_INPUT_DOWNSTREAM_PREAMPLIFIER_STATE,
    "RF Input Downstream Preamplifier State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:DS:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_RF_INPUT_UPSTREAM_PREAMPLIFIER_STATE =
  {
    RSDSA_ATTR_RF_INPUT_UPSTREAM_PREAMPLIFIER_STATE,
    "RF Input Upstream Preamplifier State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:US:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_RF_INPUT_OPTIMIZE_MER =
  {
    RSDSA_ATTR_RF_INPUT_OPTIMIZE_MER,
    "RF Input Optimize MER",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:MER:OPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_TRIGGER_INPUT_STATE =
  {
    RSDSA_ATTR_TRIGGER_INPUT_STATE,
    "Trigger Input State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_TRIGGER_INPUT_OFFSET =
  {
    RSDSA_ATTR_TRIGGER_INPUT_OFFSET,
    "Trigger Input Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "INP:TRIG:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_TRIGGER_INPUT_SLOPE =
  {
    RSDSA_ATTR_TRIGGER_INPUT_SLOPE,
    "Trigger Input Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngSlope, NULL, NULL,
    "INP:TRIG:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_TRIGGER_INPUT_POLARITY =
  {
    RSDSA_ATTR_TRIGGER_INPUT_POLARITY,
    "Trigger Input Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngPolarity, NULL, NULL,
    "INP:TRIG:POL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_POLARITY_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_TRIGGER_INPUT_RESTART =
  {
    RSDSA_ATTR_TRIGGER_INPUT_RESTART,
    "Trigger Input Restart",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:TRIG:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_TRIGGER_INPUT_GENERATE_PULSE =
  {
    RSDSA_ATTR_TRIGGER_INPUT_GENERATE_PULSE,
    "Trigger Input Generate Pulse",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:TRIG:PULS:IMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_TRIGGER_OUTPUT_STATE =
  {
    RSDSA_ATTR_TRIGGER_OUTPUT_STATE,
    "Trigger Output State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_TRIGGER_OUTPUT_OFFSET =
  {
    RSDSA_ATTR_TRIGGER_OUTPUT_OFFSET,
    "Trigger Output Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:TRIG:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    .002,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_TRIGGER_OUTPUT_POLARITY =
  {
    RSDSA_ATTR_TRIGGER_OUTPUT_POLARITY,
    "Trigger Output Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngPolarity, NULL, NULL,
    "OUTP:TRIG:POL",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_POLARITY_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_TRIGGER_OUTPUT_PULSE_LENGTH =
  {
    RSDSA_ATTR_TRIGGER_OUTPUT_PULSE_LENGTH,
    "Trigger Output Pulse Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:TRIG:PULS:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.005,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_TRIGGER_OUTPUT_CYCLE_PERIOD =
  {
    RSDSA_ATTR_TRIGGER_OUTPUT_CYCLE_PERIOD,
    "Trigger Output Cycle Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:TRIG:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_INSTRUMENT_MODE =
  {
    RSDSA_ATTR_INSTRUMENT_MODE,
    "Instrument Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngInstrumentMode, NULL, NULL,
    "INST:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_INSTR_MODE_SAD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_INSTRUMENT_MODE_STATUS =
  {
    RSDSA_ATTR_INSTRUMENT_MODE_STATUS,
    "Instrument Mode Status",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "INST:MODE:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Mode1>,<Mode2>,<Mode3>,<Mode4>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_FIRMWARE_UPDATE =
  {
    RSDSA_ATTR_SYSTEM_FIRMWARE_UPDATE,
    "System Firmware Update",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:FIRM:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filePath",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_SYSTEM_DATE =
  {
    RSDSA_ATTR_HIDDEN_SYSTEM_DATE,
    "Hidden System Date",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:DATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2020,06,07",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_SYSTEM_TIME =
  {
    RSDSA_ATTR_HIDDEN_SYSTEM_TIME,
    "Hidden System Time",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_REBOOT =
  {
    RSDSA_ATTR_SYSTEM_REBOOT,
    "System Reboot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:REB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_SHUTDOWN =
  {
    RSDSA_ATTR_SYSTEM_SHUTDOWN,
    "System Shutdown",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:SHUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_PRESET =
  {
    RSDSA_ATTR_SYSTEM_PRESET,
    "System Preset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngSystemPreset, NULL, NULL,
    "SYST:PRES",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_SYSTEM_PRESET_FACTORY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_PRESET_STORE =
  {
    RSDSA_ATTR_SYSTEM_PRESET_STORE,
    "System Preset Store",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:PRES:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_REMOTE_DESKTOP =
  {
    RSDSA_ATTR_SYSTEM_REMOTE_DESKTOP,
    "System Remote Desktop",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:DISP:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_POWER_UNITS =
  {
    RSDSA_ATTR_POWER_UNITS,
    "Power Units",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngPowerUnits, NULL, NULL,
    "UNIT:POW",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_POWER_UNITS_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_MEMORY_FILE_CATALOG_LENGTH =
  {
    RSDSA_ATTR_MEMORY_FILE_CATALOG_LENGTH,
    "Memory File Catalog Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MMEM:CAT:LENG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_FILE_CATALOG =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_FILE_CATALOG,
    "Hidden Memory File Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Used bytes in directory>,<Free bytes on disk>,<File name>,<File type>,<File size in bytes>,<File name>,<File type>,<File size in bytes>,...",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_MEMORY_CURRENT_DIRECTORY =
  {
    RSDSA_ATTR_MEMORY_CURRENT_DIRECTORY,
    "Memory Current Directory",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:CDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_COPY_FILE_OR_DIRECTORY =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_COPY_FILE_OR_DIRECTORY,
    "Hidden Memory Copy File Or Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:COPY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\'/dvbc/file1.txt\',\'/saved/file2.txt\'",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_MOVE_FILE_OR_DIRECTORY =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_MOVE_FILE_OR_DIRECTORY,
    "Hidden Memory Move File Or Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:MOVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\'/dvbc/file1.txt\',\'/saved/file1.txt\'",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_CREATE_FILE =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_CREATE_FILE,
    "Hidden Memory Create File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\'waveform.wv\',#215ThisShouldBeBinaryData",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_READ_FILE =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_READ_FILE,
    "Hidden Memory Read File",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Contents of the file",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_DELETE_FILE =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_DELETE_FILE,
    "Hidden Memory Delete File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename.ext",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_MEMORY_DIRECTORY_CATALOG_LENGTH =
  {
    RSDSA_ATTR_MEMORY_DIRECTORY_CATALOG_LENGTH,
    "Memory Directory Catalog Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MMEM:DCAT:LENG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_SUBDIRECTORY_CATALOG =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_SUBDIRECTORY_CATALOG,
    "Hidden Memory Subdirectory Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:DCAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Used bytes in directory>,<Free bytes on disk>,<Subdirectory name>,<Subdirectory name>,...",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_CREATE_DIRECTORY =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_CREATE_DIRECTORY,
    "Hidden Memory Create Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:MDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dvbc",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_DELETE_DIRECTORY =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_DELETE_DIRECTORY,
    "Hidden Memory Delete Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:RDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dvbc",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_SAVE_CONFIGURATION_FILE =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_SAVE_CONFIGURATION_FILE,
    "Hidden Memory Save Configuration File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:STOR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/dvbc/config1.dfl",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsdsa_ZeroCommaString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_LOAD_CONFIGURATION_FILE =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_LOAD_CONFIGURATION_FILE,
    "Hidden Memory Load Configuration File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:LOAD:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/dvbc/config1.dfl",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsdsa_ZeroCommaString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_MEMORY_LOAD_FACTORY_CONFIGURATION =
  {
    RSDSA_ATTR_MEMORY_LOAD_FACTORY_CONFIGURATION,
    "Memory Load Factory Configuration",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MMEM:LOAD:STAT 0,\'FACT\'",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_SAVE_SCREEN_CAPTURE =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_SAVE_SCREEN_CAPTURE,
    "Hidden Memory Save Screen Capture",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:SCAP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/screenshots/SpectrumAnalyzer1.png",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_SAVE_IQ_CONSTELLATION_DATA =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_SAVE_IQ_CONSTELLATION_DATA,
    "Hidden Memory Save IQ Constellation Data",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:STOR:IQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/R_S/Instr/user/data.iq.tar",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsdsa_ZeroCommaString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_STORE_TRACE_DATA =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_STORE_TRACE_DATA,
    "Hidden Memory Store Trace Data",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:STOR:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,\'/plots/trace1_data.csv\'",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_MEMORY_EJECT_USB =
  {
    RSDSA_ATTR_HIDDEN_MEMORY_EJECT_USB,
    "Hidden Memory Eject USB",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsDSA_rngUSBDrive, NULL, NULL,
    "MMEM:USB:DISC",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_USB_DRIVE_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_STATUS_PRESET =
  {
    RSDSA_ATTR_STATUS_PRESET,
    "Status Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STAT:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_QUERY_EVENT_STATUS_REGISTER =
  {
    RSDSA_ATTR_QUERY_EVENT_STATUS_REGISTER,
    "Query Event Status Register",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*ESR?",
    // Defaults I32, I64, Float, Bool, String
    128,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_OPERATION_ENABLE_REGISTER =
  {
    RSDSA_ATTR_OPERATION_ENABLE_REGISTER,
    "Operation Enable Register",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rng16bit, NULL,
    "STAT:OPER:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_QUERY_OPERATIONAL_STATUS_REGISTER =
  {
    RSDSA_ATTR_QUERY_OPERATIONAL_STATUS_REGISTER,
    "Query Operational Status Register",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "STAT:OPER:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_QUERY_OPERATION_EVENT_REGISTER =
  {
    RSDSA_ATTR_QUERY_OPERATION_EVENT_REGISTER,
    "Query Operation Event Register",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "STAT:OPER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_QUESTIONABLE_ENABLE_REGISTER =
  {
    RSDSA_ATTR_QUESTIONABLE_ENABLE_REGISTER,
    "Questionable Enable Register",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsDSA_rng16bit, NULL,
    "STAT:QUES:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_QUERY_QUESTIONABLE_STATUS_REGISTER =
  {
    RSDSA_ATTR_QUERY_QUESTIONABLE_STATUS_REGISTER,
    "Query Questionable Status Register",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "STAT:QUES:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_QUERY_QUESTIONABLE_EVENT_REGISTER =
  {
    RSDSA_ATTR_QUERY_QUESTIONABLE_EVENT_REGISTER,
    "Query Questionable Event Register",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "STAT:QUES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_NETWORK_RESET =
  {
    RSDSA_ATTR_SYSTEM_NETWORK_RESET,
    "System Network Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:PRES:NETW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_HIDDEN_SYSTEM_CONFIGURE_NETWORK =
  {
    RSDSA_ATTR_HIDDEN_SYSTEM_CONFIGURE_NETWORK,
    "Hidden System Configure Network",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:COMM:CONF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\'<IpAddress>\', \'<Subnet>\', \'<Gateway>\'",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_CONFIGURE_NETWORK_TYPE =
  {
    RSDSA_ATTR_SYSTEM_CONFIGURE_NETWORK_TYPE,
    "System Configure Network Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngNetworkType, NULL, NULL,
    "SYST:COMM:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_NETWORK_TYPE_STATIC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_QUERY_DSA_MAC_ADDRESS =
  {
    RSDSA_ATTR_SYSTEM_QUERY_DSA_MAC_ADDRESS,
    "System Query DSA MAC Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:MACA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "01:23:45:67:89:AB",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_IP_ADDRESS =
  {
    RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_IP_ADDRESS,
    "System Configure SFP Plus IP Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SFP:IPAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.10.100",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_SUBNET_MASK =
  {
    RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_SUBNET_MASK,
    "System Configure SFP Plus Subnet Mask",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SFP:SUBN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "255.255.255.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_GATEWAY =
  {
    RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_GATEWAY,
    "System Configure SFP Plus Gateway",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SFP:GAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.10.1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_DESTINATION_IP_ADDRESS =
  {
    RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_DESTINATION_IP_ADDRESS,
    "System Configure SFP Plus Destination IP Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SFP:DIPA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.10.2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_DATA_RATE =
  {
    RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_DATA_RATE,
    "System Configure SFP Plus Data Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngSFPPlusDataRate, NULL, NULL,
    "SYST:COMM:SFP:DRAT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_SFP_PLUS_DATA_RATE_1GBPS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFD_NETWORK_OPTION =
  {
    RSDSA_ATTR_SYSTEM_CONFIGURE_SFD_NETWORK_OPTION,
    "System Configure SFD Network Option",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsDSA_rngSFDNetworkOption, NULL, NULL,
    "SYST:COMM:SFD:NOPT",
    // Defaults I32, I64, Float, Bool, String
    RSDSA_VAL_SFD_NETWORK_OPTION_IP_ADDRESS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFD_HOST_NAME =
  {
    RSDSA_ATTR_SYSTEM_CONFIGURE_SFD_HOST_NAME,
    "System Configure SFD Host Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SFD:COMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "RSSFD-100100",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFD_IP_ADDRESS =
  {
    RSDSA_ATTR_SYSTEM_CONFIGURE_SFD_IP_ADDRESS,
    "System Configure SFD IP Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SFD:IPAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.10.2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_PRESET_DEVICE =
  {
    RSDSA_ATTR_PRESET_DEVICE,
    "Preset Device",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DEV:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_RESET =
  {
    RSDSA_ATTR_RESET,
    "Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*RST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ID_QUERY_RESPONSE =
  {
    RSDSA_ATTR_ID_QUERY_RESPONSE,
    "ID Query Response",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "*IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz,SMCV100B,123456/789,1.23",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_LOGGING =
  {
    RSDSA_ATTR_LOGGING,
    "Logging",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsdsa_logging_ReadCallback,
    rsdsa_logging_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS =
  {
    RSDSA_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    "Process All Previous Commands",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*WAI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ERROR_COUNT =
  {
    RSDSA_ATTR_ERROR_COUNT,
    "Error Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:ERR:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ERROR_QUERY_ALL =
  {
    RSDSA_ATTR_ERROR_QUERY_ALL,
    "Error Query All",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:ERR:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<ErrorId1>,”<Description1>;<Command1>”,<TimeTag1>, <ErrorId2>,”<Description2>;<Command2>”,<TimeTag2>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ERROR_QUERY_LIST =
  {
    RSDSA_ATTR_ERROR_QUERY_LIST,
    "Error Query List",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:ERR:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<ErrorId1>,”<Description1>;<Command1>”,<TimeTag1>, <ErrorId2>,”<Description2>;<Command2>”,<TimeTag2>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_QUEUE_NEXT =
  {
    RSDSA_ATTR_QUEUE_NEXT,
    "Queue Next",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:ERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "error",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ERROR_QUERY_CODE_ALL =
  {
    RSDSA_ATTR_ERROR_QUERY_CODE_ALL,
    "Error Query Code All",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:ERR:CODE:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<ErrorId1>,<ErrorId2>,<ErrorId3>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ERROR_QUERY_CODE =
  {
    RSDSA_ATTR_ERROR_QUERY_CODE,
    "Error Query Code",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:ERR:CODE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<ErrorId1> ",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_ERROR_CLEAR_ALL =
  {
    RSDSA_ATTR_ERROR_CLEAR_ALL,
    "Error Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:ERR:CLE:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSDSA_ATTR_SYSTEM_VERSION =
  {
    RSDSA_ATTR_SYSTEM_VERSION,
    "System Version",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:VERS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1.0.1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

ViInt32 rsdsa_RsCoreAttributeListLength = 1376;

RsCoreAttributePtr rsdsa_RsCoreAttributeList[1376] =
  {
    &g_RS_ATTR_RANGE_CHECK,
    &g_RS_ATTR_QUERY_INSTRUMENT_STATUS,
    &g_RS_ATTR_SIMULATE,
    &g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    &g_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    &g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_REVISION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    &g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    &g_RS_ATTR_GROUP_CAPABILITIES,
    &g_RS_ATTR_FUNCTION_CAPABILITIES,
    &g_RS_ATTR_CHANNEL_COUNT,
    &g_RS_ATTR_DRIVER_SETUP,
    &g_RS_ATTR_INSTRUMENT_MANUFACTURER,
    &g_RS_ATTR_INSTRUMENT_MODEL,
    &g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    &g_RS_ATTR_OPTIONS_LIST,
    &g_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    &g_RS_ATTR_LOGICAL_NAME,
    &g_RS_ATTR_PRIMARY_ERROR,
    &g_RS_ATTR_SECONDARY_ERROR,
    &g_RS_ATTR_ERROR_ELABORATION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_MAJOR_VERSION,
    &g_RS_ATTR_ENGINE_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_REVISION,
    &g_RS_ATTR_OPC_TIMEOUT,
    &g_RSDSA_ATTR_ENABLE_EURODOCSIS30_MODE,
    &g_RSDSA_ATTR_ED30_QUERY_DEMODULATOR_LOCK_STATUS,
    &g_RSDSA_ATTR_ED30_QUERY_DECODER_LOCK_STATUS,
    &g_RSDSA_ATTR_ED30_QUERY_MPEG_LOCK_STATUS,
    &g_RSDSA_ATTR_ED30_QUERY_SIGNAL_POWER,
    &g_RSDSA_ATTR_ED30_QUERY_FREQUENCY_OFFSET,
    &g_RSDSA_ATTR_ED30_QUERY_SYMBOL_CLOCK_OFFSET,
    &g_RSDSA_ATTR_ED30_QUERY_CHANNEL_BIT_RATE,
    &g_RSDSA_ATTR_ED30_QUERY_INTERLEAVER,
    &g_RSDSA_ATTR_ED30_CONFIGURE_MER_COMPENSATION_ENABLED,
    &g_RSDSA_ATTR_ED30_CONFIGURE_MER_SIGN,
    &g_RSDSA_ATTR_ED30_QUERY_MER_RMS_COMPENSATED_OVERALL,
    &g_RSDSA_ATTR_ED30_QUERY_MER_RMS_EQUALIZED,
    &g_RSDSA_ATTR_ED30_QUERY_MER_PEAK,
    &g_RSDSA_ATTR_ED30_RESET_ERROR_ANALYSIS,
    &g_RSDSA_ATTR_ED30_QUERY_BER_ELAPSED_TIME,
    &g_RSDSA_ATTR_ED30_QUERY_BER_BLOCKS_PROCESSED,
    &g_RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    &g_RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_MODE,
    &g_RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE,
    &g_RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    &g_RSDSA_ATTR_ED30_QUERY_BER_PRE_REED_SOLOMON,
    &g_RSDSA_ATTR_ED30_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS,
    &g_RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON,
    &g_RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON_TOTAL_BITS,
    &g_RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS,
    &g_RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS,
    &g_RSDSA_ATTR_ED30_QUERY_CER_CORRECTED,
    &g_RSDSA_ATTR_ED30_QUERY_CER_UNCORRECTED,
    &g_RSDSA_ATTR_ED30_QUERY_CER_TOTAL_CODEWORDS,
    &g_RSDSA_ATTR_ED30_QUERY_CER_CORRECTED_CODEWORDS,
    &g_RSDSA_ATTR_ED30_QUERY_CER_UNCORRECTED_CODEWORDS,
    &g_RSDSA_ATTR_ED30_DISPLAY_CONSTELLATION_PLOT,
    &g_RSDSA_ATTR_ED30_DISPLAY_I_Q_DENSITY_PLOT,
    &g_RSDSA_ATTR_ED30_CONFIGURE_I_Q_MEASUREMENT_MODE,
    &g_RSDSA_ATTR_ED30_CONFIGURE_I_Q_WINDOW_WIDTH,
    &g_RSDSA_ATTR_HIDDEN_ED30_DISPLAY_I_Q_ZOOM,
    &g_RSDSA_ATTR_ED30_CAPTURE_IQ_DATA_TO_FILENAME,
    &g_RSDSA_ATTR_ED30_IQ_DATA_EXPORT_MAX_SAMPLES,
    &g_RSDSA_ATTR_ED30_IQ_DATA_EXPORT_TIMEOUT,
    &g_RSDSA_ATTR_ED30_DISPLAY_MER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_ED30_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_ED30_DISPLAY_BER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_ED30_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_ED30_DISPLAY_POWER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_ED30_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_ED30_DISPLAY_CCDF_HISTOGRAM,
    &g_RSDSA_ATTR_ED30_QUERY_CCDF_PEAK,
    &g_RSDSA_ATTR_ED30_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_ED30_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_ED30_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_ED30_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_ED30_DISPLAY_ECHO_PATTERN_PLOT,
    &g_RSDSA_ATTR_ED30_QUERY_TRACE_DATA,
    &g_RSDSA_ATTR_SYSTEM_ACQUISITION_LOG_ALL,
    &g_RSDSA_ATTR_ED30_SYSTEM_ACQUISITION_LOG_NEXT,
    &g_RSDSA_ATTR_ED30_SYSTEM_ACQUISITION_LOG_COUNT,
    &g_RSDSA_ATTR_ED30_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    &g_RSDSA_ATTR_ED30_CONFIGURE_FREQUENCY,
    &g_RSDSA_ATTR_ED30_CONFIGURE_CONSTELLATION,
    &g_RSDSA_ATTR_ED30_CONFIGURE_SPECTRAL_INVERSION_ENABLED,
    &g_RSDSA_ATTR_ED30_CONFIGURE_EQUALIZER_STATE,
    &g_RSDSA_ATTR_ED30_QUERY_EQUALIZER_COEFFICIENTS,
    &g_RSDSA_ATTR_ED30_AUTO_LEVEL,
    &g_RSDSA_ATTR_ED30_CONFIGURE_ATTENUATION,
    &g_RSDSA_ATTR_ED30_CONFIGURE_PREAMPLIFIER_ENABLED,
    &g_RSDSA_ATTR_ED30_CONFIGURE_ASI_OUTPUT_ENABLED,
    &g_RSDSA_ATTR_ED30_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH,
    &g_RSDSA_ATTR_ED30_ALARM_THRESHOLD_RMS_MER_OVERALL,
    &g_RSDSA_ATTR_ED30_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON,
    &g_RSDSA_ATTR_ED30_ALARM_THRESHOLD_BER_POST_REED_SOLOMON,
    &g_RSDSA_ATTR_ENABLE_DOCSIS30_MODE,
    &g_RSDSA_ATTR_D30D_QUERY_DEMODULATOR_LOCK_STATUS,
    &g_RSDSA_ATTR_D30D_QUERY_DECODER_LOCK_STATUS,
    &g_RSDSA_ATTR_D30D_QUERY_MPEG_LOCK_STATUS,
    &g_RSDSA_ATTR_D30D_QUERY_SIGNAL_POWER,
    &g_RSDSA_ATTR_D30D_QUERY_FREQUENCY_OFFSET,
    &g_RSDSA_ATTR_D30D_QUERY_SYMBOL_CLOCK_OFFSET,
    &g_RSDSA_ATTR_D30D_QUERY_CHANNEL_BIT_RATE,
    &g_RSDSA_ATTR_D30D_QUERY_INTERLEAVER,
    &g_RSDSA_ATTR_D30D_CONFIGURE_MER_COMPENSATION_ENABLED,
    &g_RSDSA_ATTR_D30D_CONFIGURE_MER_SIGN,
    &g_RSDSA_ATTR_D30D_QUERY_MER_RMS_COMPENSATED_OVERALL,
    &g_RSDSA_ATTR_D30D_QUERY_MER_RMS_EQUALIZED,
    &g_RSDSA_ATTR_D30D_QUERY_MER_PEAK,
    &g_RSDSA_ATTR_D30D_RESET_ERROR_ANALYSIS,
    &g_RSDSA_ATTR_D30D_QUERY_BER_ELAPSED_TIME,
    &g_RSDSA_ATTR_D30D_QUERY_BER_BLOCKS_PROCESSED,
    &g_RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    &g_RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_MODE,
    &g_RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE,
    &g_RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    &g_RSDSA_ATTR_D30D_QUERY_BER_PRE_VITERBI,
    &g_RSDSA_ATTR_D30D_QUERY_BER_PRE_VITERBI_TOTAL_BITS,
    &g_RSDSA_ATTR_D30D_QUERY_BER_POST_VITERBI,
    &g_RSDSA_ATTR_D30D_QUERY_BER_POST_VITERBI_TOTAL_BITS,
    &g_RSDSA_ATTR_D30D_QUERY_BER_POST_REED_SOLOMON,
    &g_RSDSA_ATTR_D30D_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS,
    &g_RSDSA_ATTR_D30D_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS,
    &g_RSDSA_ATTR_D30D_QUERY_CER_CORRECTED,
    &g_RSDSA_ATTR_D30D_QUERY_CER_UNCORRECTED,
    &g_RSDSA_ATTR_D30D_QUERY_CER_TOTAL_CODEWORDS,
    &g_RSDSA_ATTR_D30D_QUERY_CER_CORRECTED_CODEWORDS,
    &g_RSDSA_ATTR_D30D_QUERY_CER_UNCORRECTED_CODEWORDS,
    &g_RSDSA_ATTR_D30D_DISPLAY_CONSTELLATION_PLOT,
    &g_RSDSA_ATTR_D30D_DISPLAY_I_Q_DENSITY_PLOT,
    &g_RSDSA_ATTR_D30D_CONFIGURE_I_Q_MEASUREMENT_MODE,
    &g_RSDSA_ATTR_D30D_CONFIGURE_I_Q_WINDOW_WIDTH,
    &g_RSDSA_ATTR_HIDDEN_D30D_DISPLAY_I_Q_ZOOM,
    &g_RSDSA_ATTR_D30D_CAPTURE_IQ_DATA_TO_FILENAME,
    &g_RSDSA_ATTR_D30D_IQ_DATA_EXPORT_MAX_SAMPLES,
    &g_RSDSA_ATTR_D30D_IQ_DATA_EXPORT_TIMEOUT,
    &g_RSDSA_ATTR_D30D_DISPLAY_MER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D30D_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D30D_DISPLAY_BER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D30D_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D30D_DISPLAY_POWER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D30D_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D30D_DISPLAY_CCDF_HISTOGRAM,
    &g_RSDSA_ATTR_D30D_QUERY_CCDF_PEAK,
    &g_RSDSA_ATTR_D30D_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D30D_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D30D_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D30D_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D30D_DISPLAY_ECHO_PATTERN_PLOT,
    &g_RSDSA_ATTR_D30D_QUERY_TRACE_DATA,
    &g_RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_ALL,
    &g_RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_NEXT,
    &g_RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_COUNT,
    &g_RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    &g_RSDSA_ATTR_D30D_CONFIGURE_FREQUENCY,
    &g_RSDSA_ATTR_D30D_CONFIGURE_CONSTELLATION,
    &g_RSDSA_ATTR_D30D_CONFIGURE_SPECTRAL_INVERSION_ENABLED,
    &g_RSDSA_ATTR_D30D_CONFIGURE_EQUALIZER_STATE,
    &g_RSDSA_ATTR_D30D_QUERY_EQUALIZER_COEFFICIENTS,
    &g_RSDSA_ATTR_D30D_AUTO_LEVEL,
    &g_RSDSA_ATTR_D30D_CONFIGURE_ATTENUATION,
    &g_RSDSA_ATTR_D30D_CONFIGURE_PREAMPLIFIER_ENABLED,
    &g_RSDSA_ATTR_D30D_CONFIGURE_ASI_OUTPUT_ENABLED,
    &g_RSDSA_ATTR_D30D_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH,
    &g_RSDSA_ATTR_D30D_ALARM_THRESHOLD_RMS_MER_OVERALL,
    &g_RSDSA_ATTR_D30D_ALARM_THRESHOLD_BER_PRE_VITERBI,
    &g_RSDSA_ATTR_D30D_ALARM_THRESHOLD_BER_POST_VITERBI,
    &g_RSDSA_ATTR_D30D_ALARM_THRESHOLD_BER_POST_REED_SOLOMON,
    &g_RSDSA_ATTR_ENABLE_SC_QAM_J83C_MODE,
    &g_RSDSA_ATTR_D30J_QUERY_DEMODULATOR_LOCK_STATUS,
    &g_RSDSA_ATTR_D30J_QUERY_DECODER_LOCK_STATUS,
    &g_RSDSA_ATTR_D30J_QUERY_MPEG_LOCK_STATUS,
    &g_RSDSA_ATTR_D30J_QUERY_SIGNAL_POWER,
    &g_RSDSA_ATTR_D30J_QUERY_FREQUENCY_OFFSET,
    &g_RSDSA_ATTR_D30J_QUERY_SYMBOL_CLOCK_OFFSET,
    &g_RSDSA_ATTR_D30J_QUERY_CHANNEL_BIT_RATE,
    &g_RSDSA_ATTR_D30J_QUERY_INTERLEAVER,
    &g_RSDSA_ATTR_D30J_CONFIGURE_MER_COMPENSATION_ENABLED,
    &g_RSDSA_ATTR_D30J_CONFIGURE_MER_SIGN,
    &g_RSDSA_ATTR_D30J_QUERY_MER_RMS_COMPENSATED_OVERALL,
    &g_RSDSA_ATTR_D30J_QUERY_MER_RMS_EQUALIZED,
    &g_RSDSA_ATTR_D30J_QUERY_MER_PEAK,
    &g_RSDSA_ATTR_D30J_RESET_ERROR_ANALYSIS,
    &g_RSDSA_ATTR_D30J_QUERY_BER_ELAPSED_TIME,
    &g_RSDSA_ATTR_D30J_QUERY_BER_BLOCKS_PROCESSED,
    &g_RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    &g_RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_MODE,
    &g_RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE,
    &g_RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    &g_RSDSA_ATTR_D30J_QUERY_BER_PRE_REED_SOLOMON,
    &g_RSDSA_ATTR_D30J_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS,
    &g_RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON,
    &g_RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON_TOTAL_BITS,
    &g_RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS,
    &g_RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS,
    &g_RSDSA_ATTR_D30J_QUERY_CER_CORRECTED,
    &g_RSDSA_ATTR_D30J_QUERY_CER_UNCORRECTED,
    &g_RSDSA_ATTR_D30J_QUERY_CER_TOTAL_CODEWORDS,
    &g_RSDSA_ATTR_D30J_QUERY_CER_CORRECTED_CODEWORDS,
    &g_RSDSA_ATTR_D30J_QUERY_CER_UNCORRECTED_CODEWORDS,
    &g_RSDSA_ATTR_D30J_DISPLAY_CONSTELLATION_PLOT,
    &g_RSDSA_ATTR_D30J_DISPLAY_I_Q_DENSITY_PLOT,
    &g_RSDSA_ATTR_D30J_CONFIGURE_I_Q_MEASUREMENT_MODE,
    &g_RSDSA_ATTR_D30J_CONFIGURE_I_Q_WINDOW_WIDTH,
    &g_RSDSA_ATTR_HIDDEN_D30J_DISPLAY_I_Q_ZOOM,
    &g_RSDSA_ATTR_D30J_CAPTURE_IQ_DATA_TO_FILENAME,
    &g_RSDSA_ATTR_D30J_IQ_DATA_EXPORT_MAX_SAMPLES,
    &g_RSDSA_ATTR_D30J_IQ_DATA_EXPORT_TIMEOUT,
    &g_RSDSA_ATTR_D30J_DISPLAY_MER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D30J_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D30J_DISPLAY_BER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D30J_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D30J_DISPLAY_POWER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D30J_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D30J_DISPLAY_CCDF_HISTOGRAM,
    &g_RSDSA_ATTR_D30J_QUERY_CCDF_PEAK,
    &g_RSDSA_ATTR_D30J_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D30J_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D30J_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D30J_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D30J_DISPLAY_ECHO_PATTERN_PLOT,
    &g_RSDSA_ATTR_D30J_QUERY_TRACE_DATA,
    &g_RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_ALL,
    &g_RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_NEXT,
    &g_RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_COUNT,
    &g_RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    &g_RSDSA_ATTR_D30J_CONFIGURE_FREQUENCY,
    &g_RSDSA_ATTR_D30J_CONFIGURE_CONSTELLATION,
    &g_RSDSA_ATTR_D30J_CONFIGURE_SPECTRAL_INVERSION_ENABLED,
    &g_RSDSA_ATTR_D30J_CONFIGURE_EQUALIZER_STATE,
    &g_RSDSA_ATTR_D30J_QUERY_EQUALIZER_COEFFICIENTS,
    &g_RSDSA_ATTR_D30J_AUTO_LEVEL,
    &g_RSDSA_ATTR_D30J_CONFIGURE_ATTENUATION,
    &g_RSDSA_ATTR_D30J_CONFIGURE_PREAMPLIFIER_ENABLED,
    &g_RSDSA_ATTR_D30J_CONFIGURE_ASI_OUTPUT_ENABLED,
    &g_RSDSA_ATTR_D30J_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH,
    &g_RSDSA_ATTR_D30J_ALARM_THRESHOLD_RMS_MER_OVERALL,
    &g_RSDSA_ATTR_D30J_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON,
    &g_RSDSA_ATTR_D30J_ALARM_THRESHOLD_BER_POST_REED_SOLOMON,
    &g_RSDSA_ATTR_ENABLE_J83QAM_MODE,
    &g_RSDSA_ATTR_JQD_QUERY_DEMODULATOR_LOCK_STATUS,
    &g_RSDSA_ATTR_JQD_QUERY_DECODER_LOCK_STATUS,
    &g_RSDSA_ATTR_JQD_QUERY_MPEG_LOCK_STATUS,
    &g_RSDSA_ATTR_JQD_QUERY_SIGNAL_POWER,
    &g_RSDSA_ATTR_JQD_QUERY_FREQUENCY_OFFSET,
    &g_RSDSA_ATTR_JQD_QUERY_SYMBOL_CLOCK_OFFSET,
    &g_RSDSA_ATTR_JQD_QUERY_CHANNEL_BIT_RATE,
    &g_RSDSA_ATTR_JQD_QUERY_INTERLEAVER,
    &g_RSDSA_ATTR_JQD_CONFIGURE_MER_COMPENSATION_ENABLED,
    &g_RSDSA_ATTR_JQD_CONFIGURE_MER_SIGN,
    &g_RSDSA_ATTR_JQD_QUERY_MER_RMS_COMPENSATED_OVERALL,
    &g_RSDSA_ATTR_JQD_QUERY_MER_RMS_EQUALIZED,
    &g_RSDSA_ATTR_JQD_QUERY_MER_PEAK,
    &g_RSDSA_ATTR_JQD_RESET_ERROR_ANALYSIS,
    &g_RSDSA_ATTR_JQD_QUERY_BER_ELAPSED_TIME,
    &g_RSDSA_ATTR_JQD_QUERY_BER_BLOCKS_PROCESSED,
    &g_RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    &g_RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_MODE,
    &g_RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE,
    &g_RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    &g_RSDSA_ATTR_JQD_QUERY_BER_PRE_REED_SOLOMON,
    &g_RSDSA_ATTR_JQD_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS,
    &g_RSDSA_ATTR_JQD_QUERY_BER_POST_REED_SOLOMON,
    &g_RSDSA_ATTR_JQD_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS,
    &g_RSDSA_ATTR_JQD_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS,
    &g_RSDSA_ATTR_JQD_QUERY_CER_CORRECTED,
    &g_RSDSA_ATTR_JQD_QUERY_CER_UNCORRECTED,
    &g_RSDSA_ATTR_JQD_QUERY_CER_TOTAL_CODEWORDS,
    &g_RSDSA_ATTR_JQD_QUERY_CER_CORRECTED_CODEWORDS,
    &g_RSDSA_ATTR_JQD_QUERY_CER_UNCORRECTED_CODEWORDS,
    &g_RSDSA_ATTR_JQD_DISPLAY_CONSTELLATION_PLOT,
    &g_RSDSA_ATTR_JQD_DISPLAY_I_Q_DENSITY_PLOT,
    &g_RSDSA_ATTR_JQD_CONFIGURE_I_Q_MEASUREMENT_MODE,
    &g_RSDSA_ATTR_JQD_CONFIGURE_I_Q_WINDOW_WIDTH,
    &g_RSDSA_ATTR_HIDDEN_JQD_DISPLAY_I_Q_ZOOM,
    &g_RSDSA_ATTR_JQD_CAPTURE_IQ_DATA_TO_FILENAME,
    &g_RSDSA_ATTR_JQD_IQ_DATA_EXPORT_MAX_SAMPLES,
    &g_RSDSA_ATTR_JQD_IQ_DATA_EXPORT_TIMEOUT,
    &g_RSDSA_ATTR_JQD_DISPLAY_MER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_JQD_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_JQD_DISPLAY_BER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_JQD_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_JQD_DISPLAY_POWER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_JQD_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_JQD_DISPLAY_CCDF_HISTOGRAM,
    &g_RSDSA_ATTR_JQD_QUERY_CCDF_PEAK,
    &g_RSDSA_ATTR_JQD_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_JQD_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_JQD_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_JQD_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_JQD_DISPLAY_ECHO_PATTERN_PLOT,
    &g_RSDSA_ATTR_JQD_QUERY_TRACE_DATA,
    &g_RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_ALL,
    &g_RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_NEXT,
    &g_RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_COUNT,
    &g_RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    &g_RSDSA_ATTR_JQD_CONFIGURE_FEC,
    &g_RSDSA_ATTR_JQD_CONFIGURE_FREQUENCY,
    &g_RSDSA_ATTR_JQD_CONFIGURE_CONSTELLATION,
    &g_RSDSA_ATTR_JQD_CONFIGURE_SYMBOL_RATE,
    &g_RSDSA_ATTR_JQD_CONFIGURE_ROLL_OFF,
    &g_RSDSA_ATTR_JQD_CONFIGURE_SPECTRAL_INVERSION_ENABLED,
    &g_RSDSA_ATTR_JQD_CONFIGURE_EQUALIZER_STATE,
    &g_RSDSA_ATTR_JQD_QUERY_EQUALIZER_COEFFICIENTS,
    &g_RSDSA_ATTR_JQD_AUTO_LEVEL,
    &g_RSDSA_ATTR_JQD_CONFIGURE_ATTENUATION,
    &g_RSDSA_ATTR_JQD_CONFIGURE_PREAMPLIFIER_ENABLED,
    &g_RSDSA_ATTR_JQD_CONFIGURE_ASI_OUTPUT_ENABLED,
    &g_RSDSA_ATTR_JQD_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH,
    &g_RSDSA_ATTR_JQD_ALARM_THRESHOLD_RMS_MER_OVERALL,
    &g_RSDSA_ATTR_JQD_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON,
    &g_RSDSA_ATTR_JQD_ALARM_THRESHOLD_BER_POST_REED_SOLOMON,
    &g_RSDSA_ATTR_ENABLE_DOCSIS_31_OFDM_MODE,
    &g_RSDSA_ATTR_D31D_CONFIGURE_PROFILE_FILTER,
    &g_RSDSA_ATTR_D31D_QUERY_PLC_LOCK_STATUS,
    &g_RSDSA_ATTR_D31D_QUERY_DEMODULATOR_LOCK_STATUS,
    &g_RSDSA_ATTR_D31D_QUERY_SIGNAL_POWER,
    &g_RSDSA_ATTR_D31D_QUERY_OCCUPIED_BANDWIDTH,
    &g_RSDSA_ATTR_D31D_QUERY_SIGNAL_POWER_PER_6MHZ,
    &g_RSDSA_ATTR_D31D_QUERY_FREQUENCY_OFFSET,
    &g_RSDSA_ATTR_D31D_QUERY_SYMBOL_CLOCK_OFFSET,
    &g_RSDSA_ATTR_D31D_QUERY_NCP_CRC_ERRORS,
    &g_RSDSA_ATTR_D31D_QUERY_PAYLOAD_DATA_RATE_PROFILE,
    &g_RSDSA_ATTR_D31D_CONFIGURE_MER_COMPENSATION_ENABLED,
    &g_RSDSA_ATTR_D31D_CONFIGURE_MER_SIGN,
    &g_RSDSA_ATTR_D31D_QUERY_MER_RMS_COMPENSATED_OVERALL,
    &g_RSDSA_ATTR_D31D_QUERY_MER_RMS_PARTIALY_EQUALIZED,
    &g_RSDSA_ATTR_D31D_QUERY_MER_RMS_EQUALIZED,
    &g_RSDSA_ATTR_D31D_QUERY_MER_PEAK,
    &g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_A_RMS,
    &g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_A_RMS_COMPENSATED,
    &g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_A_PEAK,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_A_CONSTELLATIONS,
    &g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_FILTER_RMS,
    &g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_FILTER_RMS_COMPENSATED,
    &g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_FILTER_PEAK,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_FILTER_CONSTELLATIONS,
    &g_RSDSA_ATTR_D31D_QUERY_MER_PILOT_RMS,
    &g_RSDSA_ATTR_D31D_QUERY_MER_PILOT_RMS_COMPENSATED,
    &g_RSDSA_ATTR_D31D_QUERY_MER_PILOT_PEAK,
    &g_RSDSA_ATTR_D31D_QUERY_PILOT_CONSTELLATIONS,
    &g_RSDSA_ATTR_D31D_QUERY_MER_PLC_RMS,
    &g_RSDSA_ATTR_D31D_QUERY_MER_PLC_RMS_COMPENSATED,
    &g_RSDSA_ATTR_D31D_QUERY_MER_PLC_PEAK,
    &g_RSDSA_ATTR_D31D_QUERY_PLC_CONSTELLATIONS,
    &g_RSDSA_ATTR_D31D_QUERY_MER_NCP_RMS,
    &g_RSDSA_ATTR_D31D_QUERY_MER_NCP_RMS_COMPENSATED,
    &g_RSDSA_ATTR_D31D_QUERY_MER_NCP_PEAK,
    &g_RSDSA_ATTR_D31D_QUERY_NCP_CONSTELLATIONS,
    &g_RSDSA_ATTR_D31D_QUERY_MER_ZERO_BIT_LOADED_RMS,
    &g_RSDSA_ATTR_D31D_QUERY_MER_ZERO_BIT_LOADED_RMS_COMPENSATED,
    &g_RSDSA_ATTR_D31D_QUERY_MER_ZERO_BIT_LOADED_PEAK,
    &g_RSDSA_ATTR_D31D_RESET_ERROR_ANALYSIS,
    &g_RSDSA_ATTR_D31D_QUERY_BER_ELAPSED_TIME,
    &g_RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE,
    &g_RSDSA_ATTR_D31D_QUERY_BER_PLC,
    &g_RSDSA_ATTR_D31D_QUERY_BER_PLC_TOTAL_BITS,
    &g_RSDSA_ATTR_D31D_QUERY_BER_NCP,
    &g_RSDSA_ATTR_D31D_QUERY_BER_NCP_TOTAL_BITS,
    &g_RSDSA_ATTR_D31D_QUERY_CER_PLC,
    &g_RSDSA_ATTR_D31D_QUERY_CER_PLC_TOTAL_CODEWORDS,
    &g_RSDSA_ATTR_D31D_QUERY_CER_NCP,
    &g_RSDSA_ATTR_D31D_QUERY_CER_NCP_TOTAL_CODEWORDS,
    &g_RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_PROFILE_BER_MODE,
    &g_RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_PROFILE_TEST_DEPTH,
    &g_RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_PROFILE_TEST_DEPTH_SOURCE,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_BLOCKS_PROCESSED,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_PRE_LDPC,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_PRE_LDPC_TOTAL_BITS,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_LDPC,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_LDPC_TOTAL_BITS,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_BCH,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_BCH_TOTAL_BITS,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_LDPC,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_LDPC_TOTAL_CODEWORDS,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_LDPC_CODEWORD_ERRORS,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_BCH,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_BCH_TOTAL_CODEWORDS,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_BCH_CODEWORD_ERRORS,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_AVG_PAYLOAD_PER_CODEWORD,
    &g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_AVG_LDPC_ITERATIONS,
    &g_RSDSA_ATTR_D31D_DISPLAY_CONSTELLATION_PLOT,
    &g_RSDSA_ATTR_D31D_DISPLAY_I_Q_DENSITY_PLOT,
    &g_RSDSA_ATTR_D31D_CONFIGURE_I_Q_MEASUREMENT_MODE,
    &g_RSDSA_ATTR_D31D_CONFIGURE_I_Q_WINDOW_WIDTH,
    &g_RSDSA_ATTR_HIDDEN_D31D_DISPLAY_I_Q_ZOOM,
    &g_RSDSA_ATTR_D31D_CAPTURE_IQ_DATA_TO_FILENAME,
    &g_RSDSA_ATTR_D31D_IQ_DATA_EXPORT_MAX_SAMPLES,
    &g_RSDSA_ATTR_D31D_IQ_DATA_EXPORT_TIMEOUT,
    &g_RSDSA_ATTR_D31D_DISPLAY_MER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D31D_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D31D_DISPLAY_BER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D31D_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D31D_DISPLAY_POWER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D31D_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D31D_DISPLAY_MER_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D31D_DISPLAY_CCDF_HISTOGRAM,
    &g_RSDSA_ATTR_D31D_QUERY_CCDF_PEAK,
    &g_RSDSA_ATTR_D31D_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D31D_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D31D_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D31D_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D31D_DISPLAY_ECHO_PATTERN_PLOT,
    &g_RSDSA_ATTR_D31D_DISPLAY_SPECTRUM_ANALYSIS_PLOT,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_AMPLITUDE_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_AMPLITUDE_SCALE_PER_DIVISION,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_AUTO_SCALE_Y_AXIS,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_CAPTURE_MODE,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_RUN_SINGLE_SWEEP,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_TRACE_HOLD,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_STATE,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_X_POSITION,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_Y_POSITION,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_DISPLAY_MASK_VISIBLE,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DISPLAY_MASK_LOWER_CONFIGURATION,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DISPLAY_MASK_UPPER_CONFIGURATION,
    &g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CLEAR_MASK,
    &g_RSDSA_ATTR_D31D_QUERY_TRACE_DATA,
    &g_RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_ALL,
    &g_RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_NEXT,
    &g_RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_COUNT,
    &g_RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    &g_RSDSA_ATTR_D31D_CAPTURE_PAYLOAD_TO_FILENAME,
    &g_RSDSA_ATTR_D31D_PAYLOAD_DATA_EXPORT_FILTER,
    &g_RSDSA_ATTR_D31D_PAYLOAD_DATA_EXPORT_MAX_FILE_SIZE,
    &g_RSDSA_ATTR_D31D_CONFIGURE_PLOT_DATA_FILTER,
    &g_RSDSA_ATTR_D31D_CONFIGURE_FREQUENCY,
    &g_RSDSA_ATTR_D31D_CONFIGURE_SUBCARRIER_0_FREQUENCY,
    &g_RSDSA_ATTR_D31D_CONFIGURE_EQUALIZER_STATE,
    &g_RSDSA_ATTR_D31D_QUERY_EQUALIZER_COEFFICIENTS,
    &g_RSDSA_ATTR_D31D_CONFIGURE_PREFILTER_ENABLED,
    &g_RSDSA_ATTR_D31D_AUTO_LEVEL,
    &g_RSDSA_ATTR_D31D_CONFIGURE_ATTENUATION,
    &g_RSDSA_ATTR_D31D_CONFIGURE_PREAMPLIFIER_ENABLED,
    &g_RSDSA_ATTR_D31D_CONFIGURE_ACQUISITION_MODE,
    &g_RSDSA_ATTR_D31D_CONFIGURE_SUBCARRIER_SPACING,
    &g_RSDSA_ATTR_D31D_CONFIGURE_CYCLIC_PREFIX_LENGTH,
    &g_RSDSA_ATTR_D31D_CONFIGURE_TIME_INTERLEAVER_DEPTH,
    &g_RSDSA_ATTR_D31D_CONFIGURE_SUBCARRIER_CONFIG_FILE,
    &g_RSDSA_ATTR_D31D_CONFIGURE_SFP_OUTPUT_ENABLED,
    &g_RSDSA_ATTR_D31D_CONFIGURE_SFP_PLC_UDP_PORT_ENABLED,
    &g_RSDSA_ATTR_D31D_CONFIGURE_SFP_PLC_UDP_PORT,
    &g_RSDSA_ATTR_D31D_CONFIGURE_SFP_PROFILE_UDP_PORT,
    &g_RSDSA_ATTR_D31D_CONFIGURE_SFP_PROFILE_UDP_PORT_ENABLED,
    &g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_RMS_MER_OVERALL,
    &g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_PRE_LDPC,
    &g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_POST_LDPC,
    &g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_POST_BCH,
    &g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_PLC,
    &g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_NCP,
    &g_RSDSA_ATTR_ENABLE_DOWNSTREAM_SPECTRUM_ANALYSIS,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF,
    &g_RSDSA_ATTR_DS_SPECAN_CLEAR_ALL_DISPLAY_STATES,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_CENTER_FREQUENCY,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_START_FREQUENCY,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_STOP_FREQUENCY,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_FREQUENCY_SPAN,
    &g_RSDSA_ATTR_DS_SPECAN_SET_FREQUENCY_SPAN_FULL,
    &g_RSDSA_ATTR_DS_SPECAN_SET_FREQUENCY_SPAN_MINIMUM,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ZERO_SPAN_ENABLED,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ZERO_SPAN_SWEEP_TIME,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ZERO_SPAN_SAMPLE_RATE,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_SCALE_PER_DIVISION,
    &g_RSDSA_ATTR_DS_SPECAN_AUTO_SCALE_Y_AXIS,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_AUTO_RBW_ENABLED,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_MANUAL_RBW,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_AUTO_VBW_ENABLED,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_MANUAL_VBW,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_AUTO_AVERAGE_COUNT,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_MANUAL_AVERAGE_COUNT,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_CAPTURE_MODE,
    &g_RSDSA_ATTR_DS_SPECAN_RUN_SINGLE_SWEEP,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_DETECTOR,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_TRACE_HOLD,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_PHASE_NOISE_MODE_ENABLED,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ACP_MODE_ENABLED,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ACP_GRID_SPACING,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ACP_REFERENCE_CHANNEL,
    &g_RSDSA_ATTR_DS_SPECAN_QUERY_ACP_POWER_RESULT,
    &g_RSDSA_ATTR_HIDDEN_DS_SPECAN_SAVE_ACP_POWER_RESULT,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_PHASE_NOISE_START_OFFSET,
    &g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_PHASE_NOISE_STOP_OFFSET,
    &g_RSDSA_ATTR_DS_SPECAN_QUERY_PHASE_NOISE_SPOT_RESULT,
    &g_RSDSA_ATTR_DS_SPECAN_QUERY_PHASE_NOISE_INTEGRATED_RESULT,
    &g_RSDSA_ATTR_DS_SPECAN_QUERY_PHASE_NOISE_BANDWIDTH,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_STATE,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_X_POSITION,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_Y_POSITION,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY,
    &g_RSDSA_ATTR_DS_SPECAN_ZERO_SPAN_MARKER_TO_TRIGGER_POINT,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT,
    &g_RSDSA_ATTR_DS_SPECAN_ZERO_SPAN_DELTA_MARKER_TO_TRIGGER_POINT,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT,
    &g_RSDSA_ATTR_DS_SPECAN_DISPLAY_STATE_STORE,
    &g_RSDSA_ATTR_DS_SPECAN_DISPLAY_STATE_CLEAR,
    &g_RSDSA_ATTR_DS_SPECAN_DISPLAY_STATE_RECALL,
    &g_RSDSA_ATTR_DS_SPECAN_QUERY_TRACE_DATA,
    &g_RSDSA_ATTR_DS_SPECAN_MASK_VISIBLE,
    &g_RSDSA_ATTR_DS_SPECAN_CLEAR_MASK,
    &g_RSDSA_ATTR_HIDDEN_DS_SPECAN_MASK_LOWER_CONFIGURATION,
    &g_RSDSA_ATTR_HIDDEN_DS_SPECAN_MASK_UPPER_CONFIGURATION,
    &g_RSDSA_ATTR_ENABLE_DOCSIS_30_ATDMA_MODE,
    &g_RSDSA_ATTR_D30A_CONFIGURE_MAP_GEN_IUC,
    &g_RSDSA_ATTR_D30A_QUERY_BURST_DEMODULATOR_LOCK_STATUS,
    &g_RSDSA_ATTR_D30A_QUERY_FEC_LOCK_STATUS,
    &g_RSDSA_ATTR_D30A_QUERY_BURST_RECEIVE_POWER,
    &g_RSDSA_ATTR_D30A_QUERY_SIGNAL_POWER_PER_1600KHZ,
    &g_RSDSA_ATTR_D30A_QUERY_FREQUENCY_OFFSET,
    &g_RSDSA_ATTR_D30A_QUERY_BURST_TIMING_OFFSET,
    &g_RSDSA_ATTR_D30A_QUERY_PAYLOAD_DATA_RATE_IUC,
    &g_RSDSA_ATTR_D30A_QUERY_MINISLOTS_RECEIVED,
    &g_RSDSA_ATTR_D30A_QUERY_BURST_COVERAGE,
    &g_RSDSA_ATTR_D30A_CONFIGURE_MER_SIGN,
    &g_RSDSA_ATTR_D30A_QUERY_MER_RMS,
    &g_RSDSA_ATTR_D30A_QUERY_MER_PEAK,
    &g_RSDSA_ATTR_D30A_QUERY_MER_IUC_RMS,
    &g_RSDSA_ATTR_D30A_QUERY_MER_IUC_PEAK,
    &g_RSDSA_ATTR_D30A_QUERY_IQ_IMBALANCE_AMPLITUDE_DB,
    &g_RSDSA_ATTR_D30A_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT,
    &g_RSDSA_ATTR_D30A_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR,
    &g_RSDSA_ATTR_D30A_RESET_ERROR_ANALYSIS,
    &g_RSDSA_ATTR_D30A_QUERY_BER_ELAPSED_TIME,
    &g_RSDSA_ATTR_D30A_QUERY_BER_BLOCKS_PROCESSED,
    &g_RSDSA_ATTR_D30A_QUERY_BER_BURSTS_EXPECTED,
    &g_RSDSA_ATTR_D30A_QUERY_BER_BURSTS_RECEIVED,
    &g_RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_MODE,
    &g_RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    &g_RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE,
    &g_RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    &g_RSDSA_ATTR_D30A_QUERY_BER_PRE_REED_SOLOMON,
    &g_RSDSA_ATTR_D30A_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS,
    &g_RSDSA_ATTR_D30A_QUERY_BER_POST_REED_SOLOMON,
    &g_RSDSA_ATTR_D30A_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS,
    &g_RSDSA_ATTR_D30A_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS,
    &g_RSDSA_ATTR_D30A_QUERY_CER_CORRECTED,
    &g_RSDSA_ATTR_D30A_QUERY_CER_UNCORRECTED,
    &g_RSDSA_ATTR_D30A_QUERY_CER_TOTAL_CODEWORDS,
    &g_RSDSA_ATTR_D30A_QUERY_CER_CORRECTED_CODEWORDS,
    &g_RSDSA_ATTR_D30A_QUERY_CER_UNCORRECTED_CODEWORDS,
    &g_RSDSA_ATTR_D30A_QUERY_CER_AVG_PAYLOAD_PER_CODEWORD_PER_IUC,
    &g_RSDSA_ATTR_D30A_QUERY_CER_CODEWORD_COVERAGE_IUC,
    &g_RSDSA_ATTR_D30A_DISPLAY_CONSTELLATION_PLOT,
    &g_RSDSA_ATTR_D30A_DISPLAY_I_Q_DENSITY_PLOT,
    &g_RSDSA_ATTR_D30A_CONFIGURE_I_Q_MEASUREMENT_MODE,
    &g_RSDSA_ATTR_D30A_CONFIGURE_I_Q_WINDOW_WIDTH,
    &g_RSDSA_ATTR_HIDDEN_D30A_DISPLAY_I_Q_ZOOM,
    &g_RSDSA_ATTR_D30A_CAPTURE_IQ_DATA_TO_FILENAME,
    &g_RSDSA_ATTR_D30A_IQ_DATA_EXPORT_MAX_SAMPLES,
    &g_RSDSA_ATTR_D30A_IQ_DATA_EXPORT_TIMEOUT,
    &g_RSDSA_ATTR_D30A_DISPLAY_MER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D30A_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D30A_DISPLAY_BER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D30A_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D30A_DISPLAY_POWER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D30A_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D30A_DISPLAY_CCDF_HISTOGRAM,
    &g_RSDSA_ATTR_D30A_QUERY_CCDF_PEAK,
    &g_RSDSA_ATTR_D30A_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D30A_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D30A_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D30A_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D30A_DISPLAY_ECHO_PATTERN_PLOT,
    &g_RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_ALL,
    &g_RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_NEXT,
    &g_RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_COUNT,
    &g_RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    &g_RSDSA_ATTR_D30A_CONFIGURE_FREQUENCY,
    &g_RSDSA_ATTR_D30A_CONFIGURE_CONSTELLATION,
    &g_RSDSA_ATTR_D30A_CONFIGURE_CHANNEL_SYMBOL_RATE,
    &g_RSDSA_ATTR_D30A_CONFIGURE_FEC_PARAMETER_T,
    &g_RSDSA_ATTR_D30A_CONFIGURE_FEC_PARAMETER_K,
    &g_RSDSA_ATTR_D30A_CONFIGURE_LAST_CODEWORD_LENGTH,
    &g_RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_PATTERN,
    &g_RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_LENGTH,
    &g_RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_OFFSET,
    &g_RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_TYPE,
    &g_RSDSA_ATTR_D30A_CONFIGURE_SCRAMBLER_ENABLED,
    &g_RSDSA_ATTR_D30A_CONFIGURE_SCRAMBLER_SEED,
    &g_RSDSA_ATTR_D30A_CONFIGURE_GUARD_TIME_SIZE,
    &g_RSDSA_ATTR_D30A_CONFIGURE_REED_SOLOMON_MODE,
    &g_RSDSA_ATTR_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_DEPTH,
    &g_RSDSA_ATTR_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_BLOCK_SIZE,
    &g_RSDSA_ATTR_D30A_CONFIGURE_MINISLOT_SIZE,
    &g_RSDSA_ATTR_D30A_CONFIGURE_EQUALIZER_STATE,
    &g_RSDSA_ATTR_D30A_AUTO_LEVEL,
    &g_RSDSA_ATTR_D30A_CONFIGURE_ATTENUATION,
    &g_RSDSA_ATTR_D30A_CONFIGURE_PREAMPLIFIER_ENABLED,
    &g_RSDSA_ATTR_D30A_CONFIGURE_GRANT_SIZE,
    &g_RSDSA_ATTR_D30A_CONFIGURE_STARTING_MINISLOT,
    &g_RSDSA_ATTR_D30A_CONFIGURE_SCHEDULING,
    &g_RSDSA_ATTR_D30A_CONFIGURE_REPEAT_INTERVAL,
    &g_RSDSA_ATTR_D30A_CONFIGURE_NUMBER_OF_BURSTS,
    &g_RSDSA_ATTR_D30A_CONFIGURE_RANGING_MODE_ENABLED,
    &g_RSDSA_ATTR_D30A_CONFIGURE_UNTIMED_BURST_LENGTH,
    &g_RSDSA_ATTR_D30A_CONFIGURE_INPUT_TRIGGER_OFFSET,
    &g_RSDSA_ATTR_D30A_CONFIGURE_SFP_OUTPUT_ENABLED,
    &g_RSDSA_ATTR_D30A_CONFIGURE_SFP_IUC_UDP_PORT,
    &g_RSDSA_ATTR_D30A_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED,
    &g_RSDSA_ATTR_D30A_ALARM_THRESHOLD_RMS_MER_OVERALL,
    &g_RSDSA_ATTR_D30A_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON,
    &g_RSDSA_ATTR_D30A_ALARM_THRESHOLD_BER_POST_REED_SOLOMON,
    &g_RSDSA_ATTR_D30A_CONFIGURE_MER_BURSTS,
    &g_RSDSA_ATTR_ENABLE_DOCSIS_31_OFDMA_MODE,
    &g_RSDSA_ATTR_D31U_CONFIGURE_MAP_GEN_IUC,
    &g_RSDSA_ATTR_D31U_QUERY_BURST_DEMODULATOR_LOCK_STATUS,
    &g_RSDSA_ATTR_D31U_QUERY_FEC_LOCK_STATUS,
    &g_RSDSA_ATTR_D31U_READ_BURST_RECEIVE_POWER,
    &g_RSDSA_ATTR_D31U_QUERY_SIGNAL_POWER_PER_1600KHZ,
    &g_RSDSA_ATTR_D31U_QUERY_FREQUENCY_OFFSET,
    &g_RSDSA_ATTR_D31U_QUERY_BURST_TIMING_OFFSET,
    &g_RSDSA_ATTR_D31U_QUERY_PAYLOAD_DATA_RATE_IUC,
    &g_RSDSA_ATTR_D31U_QUERY_MINISLOTS_RECEIVED,
    &g_RSDSA_ATTR_D31U_QUERY_BURST_COVERAGE,
    &g_RSDSA_ATTR_D31U_CONFIGURE_MER_SIGN,
    &g_RSDSA_ATTR_D31U_QUERY_MER_RMS,
    &g_RSDSA_ATTR_D31U_QUERY_MER_RMS_PARTIALY_EQUALIZED,
    &g_RSDSA_ATTR_D31U_QUERY_MER_PEAK,
    &g_RSDSA_ATTR_D31U_QUERY_MER_PILOT_RMS,
    &g_RSDSA_ATTR_D31U_QUERY_MER_PILOT_PEAK,
    &g_RSDSA_ATTR_D31U_QUERY_PILOT_CONSTELLATIONS,
    &g_RSDSA_ATTR_D31U_QUERY_MER_COMPLEMENTARY_PILOT_RMS,
    &g_RSDSA_ATTR_D31U_QUERY_MER_COMPLEMENTARY_PILOT_PEAK,
    &g_RSDSA_ATTR_D31U_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS,
    &g_RSDSA_ATTR_D31U_QUERY_MER_MAP_GEN_IUC_RMS,
    &g_RSDSA_ATTR_D31U_QUERY_MER_MAP_GEN_IUC_PEAK,
    &g_RSDSA_ATTR_D31U_QUERY_IUC_CONSTELLATIONS,
    &g_RSDSA_ATTR_D31U_RESET_ERROR_ANALYSIS,
    &g_RSDSA_ATTR_D31U_QUERY_BER_ELAPSED_TIME,
    &g_RSDSA_ATTR_D31U_QUERY_BER_BLOCKS_PROCESSED,
    &g_RSDSA_ATTR_D31U_QUERY_BER_BURSTS_EXPECTED,
    &g_RSDSA_ATTR_D31U_QUERY_BER_BURSTS_RECEIVED,
    &g_RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    &g_RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_MODE,
    &g_RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE,
    &g_RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    &g_RSDSA_ATTR_D31U_QUERY_BER_IUC_PRE_LDPC,
    &g_RSDSA_ATTR_D31U_QUERY_BER_IUC_PRE_LDPC_TOTAL_BITS,
    &g_RSDSA_ATTR_D31U_QUERY_BER_IUC_POST_LDPC,
    &g_RSDSA_ATTR_D31U_QUERY_BER_IUC_POST_LDPC_TOTAL_BITS,
    &g_RSDSA_ATTR_D31U_CONFIGURE_CODEWORD_LENGTH_FILTER,
    &g_RSDSA_ATTR_D31U_QUERY_CER_POST_LDPC,
    &g_RSDSA_ATTR_D31U_QUERY_CER_POST_LDPC_CODEWORD_ERRORS,
    &g_RSDSA_ATTR_D31U_QUERY_CER_AVERAGE_LDPC_ITERATIONS,
    &g_RSDSA_ATTR_D31U_QUERY_CER_AVG_PAYLOAD_PER_CODEWORD_PER_IUC,
    &g_RSDSA_ATTR_D31U_QUERY_CER_CODEWORD_COVERAGE_IUC,
    &g_RSDSA_ATTR_D31U_DISPLAY_CONSTELLATION_PLOT,
    &g_RSDSA_ATTR_D31U_DISPLAY_I_Q_DENSITY_PLOT,
    &g_RSDSA_ATTR_D31U_CONFIGURE_I_Q_MEASUREMENT_MODE,
    &g_RSDSA_ATTR_D31U_CONFIGURE_I_Q_WINDOW_WIDTH,
    &g_RSDSA_ATTR_HIDDEN_D31U_DISPLAY_I_Q_ZOOM,
    &g_RSDSA_ATTR_D31U_CAPTURE_IQ_DATA_TO_FILENAME,
    &g_RSDSA_ATTR_D31U_IQ_DATA_EXPORT_MAX_SAMPLES,
    &g_RSDSA_ATTR_D31U_IQ_DATA_EXPORT_TIMEOUT,
    &g_RSDSA_ATTR_D31U_DISPLAY_MER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D31U_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D31U_DISPLAY_BER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D31U_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D31U_DISPLAY_POWER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_D31U_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_D31U_DISPLAY_MER_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D31U_DISPLAY_MER_VS_MINISLOT_PLOT,
    &g_RSDSA_ATTR_D31U_DISPLAY_CCDF_HISTOGRAM,
    &g_RSDSA_ATTR_D31U_QUERY_CCDF_PEAK,
    &g_RSDSA_ATTR_D31U_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D31U_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D31U_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D31U_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_D31U_DISPLAY_ECHO_PATTERN_PLOT,
    &g_RSDSA_ATTR_D31U_DISPLAY_SPECTRUM_ANALYSIS_PLOT,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_AMPLITUDE_CONFIGURE_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_AMPLITUDE_CONFIGURE_SCALE_PER_DIVISION,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_AUTO_SCALE_Y_AXIS,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CONFIGURE_CAPTURE_MODE,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_RUN_SINGLE_SWEEP,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CONFIGURE_TRACE_HOLD,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_STATE,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_X_POSITION,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_Y_POSITION,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MASK_VISIBLE,
    &g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CLEAR_MASK,
    &g_RSDSA_ATTR_HIDDEN_D31U_SPECTRUM_ANALYSIS_MASK_LOWER_CONFIGURATION,
    &g_RSDSA_ATTR_HIDDEN_D31U_SPECTRUM_ANALYSIS_MASK_UPPER_CONFIGURATION,
    &g_RSDSA_ATTR_D31U_QUERY_TRACE_DATA,
    &g_RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_ALL,
    &g_RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_NEXT,
    &g_RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_COUNT,
    &g_RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    &g_RSDSA_ATTR_D31U_CONFIGURE_PLOT_DATA_FILTER,
    &g_RSDSA_ATTR_D31U_CONFIGURE_FREQUENCY,
    &g_RSDSA_ATTR_D31U_CONFIGURE_ROLL_OFF,
    &g_RSDSA_ATTR_D31U_CONFIGURE_CYCLIC_PREFIX_LENGTH,
    &g_RSDSA_ATTR_D31U_CONFIGURE_SYMBOLS_PER_FRAME,
    &g_RSDSA_ATTR_D31U_CONFIGURE_SUBCARRIER_SPACING,
    &g_RSDSA_ATTR_D31U_CONFIGURE_RANDOMIZER_ENABLED,
    &g_RSDSA_ATTR_D31U_CONFIGURE_RANDOMIZER_SEED,
    &g_RSDSA_ATTR_D31U_CONFIGURE_EXCLUSION_BAND_START,
    &g_RSDSA_ATTR_D31U_CONFIGURE_EXCLUSION_BAND_WIDTH,
    &g_RSDSA_ATTR_D31U_CONFIGURE_MINISLOT_CONFIGURATION_MODE,
    &g_RSDSA_ATTR_D31U_CONFIGURE_MINISLOT_CONFIGURATION_FILE,
    &g_RSDSA_ATTR_D31U_CONFIGURE_CONSTELLATION,
    &g_RSDSA_ATTR_D31U_CONFIGURE_PILOT_PATTERN,
    &g_RSDSA_ATTR_D31U_CONFIGURE_STARTING_MINISLOT,
    &g_RSDSA_ATTR_D31U_CONFIGURE_NUMBER_OF_MINISLOTS,
    &g_RSDSA_ATTR_D31U_CONFIGURE_FIRST_ACTIVE_SUBCARRIER,
    &g_RSDSA_ATTR_D31U_CONFIGURE_LAST_ACTIVE_SUBCARRIER,
    &g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_STARTING_MINISLOT_IN_FRAME,
    &g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_MINISLOTS,
    &g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_SUBCARRIERS,
    &g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_PATTERN,
    &g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_LENGTH,
    &g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_OFFSET,
    &g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_STARTING_MINISLOT_IN_FRAME,
    &g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_MINISLOTS,
    &g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_SUBCARRIERS,
    &g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_PATTERN,
    &g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_OFFSET,
    &g_RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_START_SUBCARRIER,
    &g_RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_SUBCARRIER_SKIP,
    &g_RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_STAGGER_ENABLED,
    &g_RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_SYMBOL_IN_FRAME,
    &g_RSDSA_ATTR_D31U_CONFIGURE_BW_REQUEST_NUMBER_OF_MINISLOTS,
    &g_RSDSA_ATTR_D31U_CONFIGURE_BW_REQUEST_SUBSLOT,
    &g_RSDSA_ATTR_D31U_AUTO_LEVEL,
    &g_RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_ATTENUATION,
    &g_RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_PREAMPLIFIER_ENABLED,
    &g_RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_PREFILTER_ENABLED,
    &g_RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_PREFILTER_LENGTH,
    &g_RSDSA_ATTR_D31U_CONFIGURE_SCHEDULING,
    &g_RSDSA_ATTR_D31U_CONFIGURE_SCHEDULING_REPEAT_INTERVAL,
    &g_RSDSA_ATTR_D31U_CONFIGURE_INPUT_TRIGGER_OFFSET,
    &g_RSDSA_ATTR_D31U_CONFIGURE_SFP_OUTPUT_ENABLED,
    &g_RSDSA_ATTR_D31U_CONFIGURE_SFP_IUC_UDP_PORT,
    &g_RSDSA_ATTR_D31U_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED,
    &g_RSDSA_ATTR_D31U_ALARM_THRESHOLD_RMS_MER_OVERALL,
    &g_RSDSA_ATTR_D31U_ALARM_THRESHOLD_BER_PRE_LDPC,
    &g_RSDSA_ATTR_D31U_ALARM_THRESHOLD_BER_POST_LDPC,
    &g_RSDSA_ATTR_D31U_CONFIGURE_MER_BURSTS,
    &g_RSDSA_ATTR_ENABLE_UPSTREAM_SPECTRUM_ANALYSIS,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF,
    &g_RSDSA_ATTR_US_SPECAN_CLEAR_ALL_DISPLAY_STATES,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_CENTER_FREQUENCY,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_START_FREQUENCY,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_STOP_FREQUENCY,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_FREQUENCY_SPAN,
    &g_RSDSA_ATTR_US_SPECAN_SET_FREQUENCY_SPAN_FULL,
    &g_RSDSA_ATTR_US_SPECAN_SET_FREQUENCY_SPAN_MINIMUM,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_ZERO_SPAN_ENABLED,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_ZERO_SPAN_SWEEP_TIME,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_ZERO_SPAN_SAMPLE_RATE,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_PHASE_NOISE_START_OFFSET,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_PHASE_NOISE_STOP_OFFSET,
    &g_RSDSA_ATTR_US_SPECAN_QUERY_PHASE_NOISE_SPOT_RESULT,
    &g_RSDSA_ATTR_US_SPECAN_QUERY_PHASE_NOISE_INTEGRATED_RESULT,
    &g_RSDSA_ATTR_US_SPECAN_QUERY_PHASE_NOISE_BANDWIDTH,
    &g_RSDSA_ATTR_US_SPECAN_DISPLAY_CCDF_HISTOGRAM,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_CCDF_MODE_ENABLED,
    &g_RSDSA_ATTR_US_SPECAN_QUERY_CCDF_PEAK,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_SCALE_PER_DIVISION,
    &g_RSDSA_ATTR_US_SPECAN_AUTO_SCALE_Y_AXIS,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_AUTO_RBW_ENABLED,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_MANUAL_RBW,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_AUTO_VBW_ENABLED,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_MANUAL_VBW,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_AUTO_AVERAGE_COUNT,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_MANUAL_AVERAGE_COUNT,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_CAPTURE_MODE,
    &g_RSDSA_ATTR_US_SPECAN_RUN_SINGLE_SWEEP,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_DETECTOR,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_TRACE_HOLD,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_ACP_MODE_ENABLED,
    &g_RSDSA_ATTR_US_SPECAN_CONFIGURE_PHASE_NOISE_MODE_ENABLED,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_STATE,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_X_POSITION,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_Y_POSITION,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY,
    &g_RSDSA_ATTR_US_SPECAN_ZERO_SPAN_MARKER_TO_TRIGGER_POINT,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT,
    &g_RSDSA_ATTR_US_SPECAN_ZERO_SPAN_DELTA_MARKER_TO_TRIGGER_POINT,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT,
    &g_RSDSA_ATTR_US_SPECAN_DISPLAY_STATE_STORE,
    &g_RSDSA_ATTR_US_SPECAN_DISPLAY_STATE_CLEAR,
    &g_RSDSA_ATTR_US_SPECAN_DISPLAY_STATE_RECALL,
    &g_RSDSA_ATTR_US_SPECAN_QUERY_TRACE_DATA,
    &g_RSDSA_ATTR_US_SPECAN_MASK_VISIBLE,
    &g_RSDSA_ATTR_US_SPECAN_CLEAR_MASK,
    &g_RSDSA_ATTR_HIDDEN_US_SPECAN_MASK_LOWER_CONFIGURATION,
    &g_RSDSA_ATTR_HIDDEN_US_SPECAN_MASK_UPPER_CONFIGURATION,
    &g_RSDSA_ATTR_ENABLE_DYNAMIC_UPSTREAM_ANALYSIS,
    &g_RSDSA_ATTR_DU_ANALYSIS_RESTART_DISTANCE_ESTIMATION,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_FILTER_IUC,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_FILTER_SID,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_DEMODULATOR_LOCK_STATUS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_FEC_LOCK_STATUS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MPEG_LOCK_STATUS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_PLC_LOCK_STATUS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_RECEIVE_POWER,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_FREQUENCY_OFFSET,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_TIMING_OFFSET,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_PAYLOAD_DATA_RATE_IUC,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MINISLOTS_RECEIVED,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_COVERAGE,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_DETECTED_UPSTREAM_MODE,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_MER_SIGN,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_RMS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_RMS_PARTIALY_EQUALIZED,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_PEAK,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_PILOT_RMS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_PILOT_PEAK,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_PILOT_CONSTELLATIONS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_RMS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_PEAK,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_FILTERED_RMS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_FILTERED_PEAK,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_DB,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_DOWNSTREAM_CHANNEL_ID,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_UPSTREAM_CHANNEL_ID,
    &g_RSDSA_ATTR_DU_ANALYSIS_RESET_ERROR_ANALYSIS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_ELAPSED_TIME,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_BLOCKS_PROCESSED,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_BURSTS_EXPECTED,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_BURSTS_RECEIVED,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_MODE,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_POST_REED_SOLOMON,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_PRE_LDPC,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_PRE_LDPC_TOTAL_BITS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_POST_LDPC,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_POST_LDPC_TOTAL_BITS,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_CODEWORD_LENGTH_FILTER,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_CORRECTED,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_UNCORRECTED,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_TOTAL_CODEWORDS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_CORRECTED_CODEWORDS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_UNCORRECTED_CODEWORDS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_POST_LDPC,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_POST_LDPC_CODEWORD_ERRORS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_AVERAGE_LDPC_ITERATIONS,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_AVG_PAYLOAD_PER_CODEWORD_PER_IUC,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_CODEWORD_COVERAGE_IUC,
    &g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_CONSTELLATION_PLOT,
    &g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_I_Q_DENSITY_PLOT,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_I_Q_MEASUREMENT_MODE,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_I_Q_WINDOW_WIDTH,
    &g_RSDSA_ATTR_HIDDEN_DU_ANALYSIS_DISPLAY_I_Q_ZOOM,
    &g_RSDSA_ATTR_DU_ANALYSIS_CAPTURE_IQ_DATA_TO_FILENAME,
    &g_RSDSA_ATTR_DU_ANALYSIS_IQ_DATA_EXPORT_MAX_SAMPLES,
    &g_RSDSA_ATTR_DU_ANALYSIS_IQ_DATA_EXPORT_TIMEOUT,
    &g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_MER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_BER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_POWER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_MER_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_MER_VS_MINISLOT_PLOT,
    &g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_CCDF_HISTOGRAM,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CCDF_PEAK,
    &g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_DU_ANALYSIS_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_DU_ANALYSIS_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_ECHO_PATTERN_PLOT,
    &g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_SPECTRUM_ANALYSIS_PLOT,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SCALE_PER_DIVISION,
    &g_RSDSA_ATTR_DU_ANALYSIS_AUTO_SCALE_Y_AXIS,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_AUTO_AVERAGE_COUNT,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_TRACE_MODE,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_CAPTURE_MODE,
    &g_RSDSA_ATTR_DU_ANALYSIS_RUN_SINGLE_SWEEP,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_STATE,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_X_POSITION,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_Y_POSITION,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_TRACE_DATA,
    &g_RSDSA_ATTR_DU_ANALYSIS_MASK_VISIBLE,
    &g_RSDSA_ATTR_DU_ANALYSIS_CLEAR_MASK,
    &g_RSDSA_ATTR_HIDDEN_DU_ANALYSIS_MASK_LOWER_CONFIGURATION,
    &g_RSDSA_ATTR_HIDDEN_DU_ANALYSIS_MASK_UPPER_CONFIGURATION,
    &g_RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_ALL,
    &g_RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_NEXT,
    &g_RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_COUNT,
    &g_RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_STANDARD,
    &g_RSDSA_ATTR_DU_ANALYSIS_QUERY_DOWNSTREAM_EQUALIZER_COEFFICIENTS,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_CONSTELLATION,
    &g_RSDSA_ATTR_DU_ANALYSIS_DOWNSTREAM_AUTO_LEVEL,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_ATTENUATION,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_PREAMPLIFIER_ENABLED,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_CHANNEL_ID,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_ATTENUATION,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_PREAMPLIFIER_ENABLED,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_TRAFFIC_DETECTED_THRESHOLD,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SFP_OUTPUT_ENABLED,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT,
    &g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED,
    &g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_RMS_MER_OVERALL,
    &g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON,
    &g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_POST_REED_SOLOMON,
    &g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_PRE_LDPC,
    &g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_POST_LDPC,
    &g_RSDSA_ATTR_ENABLE_DYNAMIC_SFD_ANALYSIS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_DEMODULATOR_LOCK_STATUS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_FEC_LOCK_STATUS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_RECEIVE_POWER,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_FREQUENCY_OFFSET,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_TIMING_OFFSET,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MINISLOTS_RECEIVED,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_COVERAGE,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_SFD_PILOT_ACQUIRED,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_DETECTED_UPSTREAM_MODE,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_MER_SIGN,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_RMS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_RMS_PARTIALY_EQUALIZED,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_PEAK,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_PILOT_RMS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_PILOT_PEAK,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_PILOT_CONSTELLATIONS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_RMS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_PEAK,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_DB,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR,
    &g_RSDSA_ATTR_SFD_ANALYSIS_RESET_ERROR_ANALYSIS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_ELAPSED_TIME,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_BLOCKS_PROCESSED,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_BURSTS_EXPECTED,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_BURSTS_RECEIVED,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_MODE,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_POST_REED_SOLOMON,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_CODEWORD_LENGTH_FILTER,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_CORRECTED,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_UNCORRECTED,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_TOTAL_CODEWORDS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_CORRECTED_CODEWORDS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_UNCORRECTED_CODEWORDS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_POST_LDPC,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_POST_LDPC_CODEWORD_ERRORS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_AVERAGE_LDPC_ITERATIONS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_CONSTELLATION_PLOT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_I_Q_DENSITY_PLOT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_I_Q_MEASUREMENT_MODE,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_I_Q_WINDOW_WIDTH,
    &g_RSDSA_ATTR_HIDDEN_SFD_ANALYSIS_DISPLAY_I_Q_ZOOM,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CAPTURE_IQ_DATA_TO_FILENAME,
    &g_RSDSA_ATTR_SFD_ANALYSIS_IQ_DATA_EXPORT_MAX_SAMPLES,
    &g_RSDSA_ATTR_SFD_ANALYSIS_IQ_DATA_EXPORT_TIMEOUT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_MER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_BER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_POWER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_MER_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_MER_VS_MINISLOT_PLOT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_CCDF_HISTOGRAM,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CCDF_PEAK,
    &g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_ECHO_PATTERN_PLOT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_SPECTRUM_ANALYSIS_PLOT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SCALE_PER_DIVISION,
    &g_RSDSA_ATTR_SFD_ANALYSIS_AUTO_SCALE_Y_AXIS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_AUTO_AVERAGE_COUNT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_TRACE_MODE,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_CAPTURE_MODE,
    &g_RSDSA_ATTR_SFD_ANALYSIS_RUN_SINGLE_SWEEP,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_STATE,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_X_POSITION,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_Y_POSITION,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_TRACE_DATA,
    &g_RSDSA_ATTR_SFD_ANALYSIS_MASK_VISIBLE,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CLEAR_MASK,
    &g_RSDSA_ATTR_HIDDEN_SFD_ANALYSIS_MASK_LOWER_CONFIGURATION,
    &g_RSDSA_ATTR_HIDDEN_SFD_ANALYSIS_MASK_UPPER_CONFIGURATION,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_ALL,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_NEXT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_COUNT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFD_PILOT_FREQUENCY,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_PLOT_DATA_FILTER,
    &g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_DOWNSTREAM_EQUALIZER_COEFFICIENTS,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_DOWNSTREAM_ATTENUATION,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_DOWNSTREAM_PREAMPLIFIER_ENABLED,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_UPSTREAM_ATTENUATION,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_UPSTREAM_PREAMPLIFIER_ENABLED,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFP_OUTPUT_ENABLED,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT,
    &g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED,
    &g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_RMS_MER_OVERALL,
    &g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON,
    &g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_POST_REED_SOLOMON,
    &g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_PRE_LDPC,
    &g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_POST_LDPC,
    &g_RSDSA_ATTR_ENABLE_CM_RANGING_ANALYSIS,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_BURST_DEMODULATOR_LOCK_STATUS,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_FEC_LOCK_STATUS,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_BURST_RECEIVE_POWER,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_FREQUENCY_OFFSET,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_BURST_TIMING_OFFSET,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_MINISLOTS_RECEIVED,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_BURST_COVERAGE,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_MER_SIGN,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_MER_RMS,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_MER_RMS_PARTIALY_EQUALIZED,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_MER_PEAK,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_MER_PILOT_RMS,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_MER_PILOT_PEAK,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_PILOT_CONSTELLATIONS,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_MER_COMPLEMENTARY_PILOT_RMS,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_MER_COMPLEMENTARY_PILOT_PEAK,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_MER_IUC_RMS,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_MER_IUC_PEAK,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_IUC_CONSTELLATIONS,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_IQ_IMBALANCE_AMPLITUDE_DB,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR,
    &g_RSDSA_ATTR_CM_RANGING_DISPLAY_CONSTELLATION_PLOT,
    &g_RSDSA_ATTR_CM_RANGING_DISPLAY_I_Q_DENSITY_PLOT,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_I_Q_MEASUREMENT_MODE,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_I_Q_WINDOW_WIDTH,
    &g_RSDSA_ATTR_HIDDEN_CM_RANGING_DISPLAY_I_Q_ZOOM,
    &g_RSDSA_ATTR_CM_RANGING_CAPTURE_IQ_DATA_TO_FILENAME,
    &g_RSDSA_ATTR_CM_RANGING_IQ_DATA_EXPORT_MAX_SAMPLES,
    &g_RSDSA_ATTR_CM_RANGING_IQ_DATA_EXPORT_TIMEOUT,
    &g_RSDSA_ATTR_CM_RANGING_DISPLAY_MER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_CM_RANGING_DISPLAY_BER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_CM_RANGING_DISPLAY_POWER_VS_TIME_PLOT,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD,
    &g_RSDSA_ATTR_CM_RANGING_DISPLAY_MER_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_CM_RANGING_DISPLAY_MER_VS_MINISLOT_PLOT,
    &g_RSDSA_ATTR_CM_RANGING_DISPLAY_CCDF_HISTOGRAM,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_CCDF_PEAK,
    &g_RSDSA_ATTR_CM_RANGING_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_CM_RANGING_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_CM_RANGING_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_CM_RANGING_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT,
    &g_RSDSA_ATTR_CM_RANGING_DISPLAY_ECHO_PATTERN_PLOT,
    &g_RSDSA_ATTR_CM_RANGING_DISPLAY_SPECTRUM_ANALYSIS_PLOT,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_TRACE_DATA,
    &g_RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_ALL,
    &g_RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_NEXT,
    &g_RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_COUNT,
    &g_RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_CLEAR_ALL,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_PLOT_DATA_FILTER,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_FEC,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_MODE,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_SFD_DOWNSTREAM_TRANSMIT_POWER,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_ASI_OUTPUT_ENABLED,
    &g_RSDSA_ATTR_CM_RANGING_ED30_CONFIGURE_FREQUENCY,
    &g_RSDSA_ATTR_CM_RANGING_ED30_CONFIGURE_CONSTELLATION,
    &g_RSDSA_ATTR_CM_RANGING_D30D_CONFIGURE_FREQUENCY,
    &g_RSDSA_ATTR_CM_RANGING_D30D_CONFIGURE_CONSTELLATION,
    &g_RSDSA_ATTR_CONFIGURE_CHANNEL_INTERLEAVER,
    &g_RSDSA_ATTR_CM_RANGING_D30J_CONFIGURE_FREQUENCY,
    &g_RSDSA_ATTR_CM_RANGING_D30J_CONFIGURE_CONSTELLATION,
    &g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_FREQUENCY,
    &g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_SUBCARRIER_0_FREQUENCY,
    &g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_SUBCARRIER_SPACING,
    &g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_CYCLIC_PREFIX_LENGTH,
    &g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_TIME_INTERLEAVER_DEPTH,
    &g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_SUBCARRIER_CONFIG_FILE,
    &g_RSDSA_ATTR_CM_RANGING_QUERY_DOWNSTREAM_EQUALIZER_COEFFICIENTS,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_ATTENUATION,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_PREAMPLIFIER_ENABLED,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_MODE,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_PLOT_DATA_FILTER_IUC,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_FREQUENCY,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_CONSTELLATION,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_CHANNEL_SYMBOL_RATE,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_FEC_PARAMETER_T,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_FEC_PARAMETER_K,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_LAST_CODEWORD_LENGTH,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_PATTERN,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_LENGTH,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_OFFSET,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_TYPE,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_SCRAMBLER_ENABLED,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_SCRAMBLER_SEED,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_GUARD_TIME_SIZE,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_REED_SOLOMON_MODE,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_DEPTH,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_BLOCK_SIZE,
    &g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_MINISLOT_SIZE,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FREQUENCY,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_ROLL_OFF,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_CYCLIC_PREFIX_LENGTH,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_SYMBOLS_PER_FRAME,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_SUBCARRIER_SPACING,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_RANDOMIZER_ENABLED,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_RANDOMIZER_SEED,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_EXCLUSION_BAND_START,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_EXCLUSION_BAND_WIDTH,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_MINISLOT_CONFIGURATION_MODE,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_MINISLOT_CONFIGURATION_FILE,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_CONSTELLATION,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_PILOT_PATTERN,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_STARTING_MINISLOT,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_NUMBER_OF_MINISLOTS,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FIRST_ACTIVE_SUBCARRIER,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_LAST_ACTIVE_SUBCARRIER,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_STARTING_MINISLOT_IN_FRAME,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_MINISLOTS,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_SUBCARRIERS,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_PATTERN,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_LENGTH,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_OFFSET,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_STARTING_MINISLOT_IN_FRAME,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_MINISLOTS,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_SUBCARRIERS,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_PATTERN,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_OFFSET,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_START_SUBCARRIER,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_SUBCARRIER_SKIP,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_STAGGER_ENABLED,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_SYMBOL_IN_FRAME,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_BW_REQUEST_NUMBER_OF_MINISLOTS,
    &g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_BW_REQUEST_SUBSLOT,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_SFP_OUTPUT_ENABLED,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_SFP_IUC_UDP_PORT,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED,
    &g_RSDSA_ATTR_CM_RANGING_UPSTREAM_AUTO_LEVEL,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_ATTENUATION,
    &g_RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_PREAMPLIFIER_ENABLED,
    &g_RSDSA_ATTR_RF_INPUT_DOWNSTREAM_DETECT_ATTENUATION,
    &g_RSDSA_ATTR_RF_INPUT_UPSTREAM_DETECT_ATTENUATION,
    &g_RSDSA_ATTR_RF_INPUT_DOWNSTREAM_ATTENUATION,
    &g_RSDSA_ATTR_RF_INPUT_UPSTREAM_ATTENUATION,
    &g_RSDSA_ATTR_RF_INPUT_DOWNSTREAM_OFFSET_LEVEL,
    &g_RSDSA_ATTR_RF_INPUT_UPSTREAM_OFFSET_LEVEL,
    &g_RSDSA_ATTR_RF_INPUT_DOWNSTREAM_PREAMPLIFIER_STATE,
    &g_RSDSA_ATTR_RF_INPUT_UPSTREAM_PREAMPLIFIER_STATE,
    &g_RSDSA_ATTR_RF_INPUT_OPTIMIZE_MER,
    &g_RSDSA_ATTR_TRIGGER_INPUT_STATE,
    &g_RSDSA_ATTR_TRIGGER_INPUT_OFFSET,
    &g_RSDSA_ATTR_TRIGGER_INPUT_SLOPE,
    &g_RSDSA_ATTR_TRIGGER_INPUT_POLARITY,
    &g_RSDSA_ATTR_TRIGGER_INPUT_RESTART,
    &g_RSDSA_ATTR_TRIGGER_INPUT_GENERATE_PULSE,
    &g_RSDSA_ATTR_TRIGGER_OUTPUT_STATE,
    &g_RSDSA_ATTR_TRIGGER_OUTPUT_OFFSET,
    &g_RSDSA_ATTR_TRIGGER_OUTPUT_POLARITY,
    &g_RSDSA_ATTR_TRIGGER_OUTPUT_PULSE_LENGTH,
    &g_RSDSA_ATTR_TRIGGER_OUTPUT_CYCLE_PERIOD,
    &g_RSDSA_ATTR_INSTRUMENT_MODE,
    &g_RSDSA_ATTR_INSTRUMENT_MODE_STATUS,
    &g_RSDSA_ATTR_SYSTEM_FIRMWARE_UPDATE,
    &g_RSDSA_ATTR_HIDDEN_SYSTEM_DATE,
    &g_RSDSA_ATTR_HIDDEN_SYSTEM_TIME,
    &g_RSDSA_ATTR_SYSTEM_REBOOT,
    &g_RSDSA_ATTR_SYSTEM_SHUTDOWN,
    &g_RSDSA_ATTR_SYSTEM_PRESET,
    &g_RSDSA_ATTR_SYSTEM_PRESET_STORE,
    &g_RSDSA_ATTR_SYSTEM_REMOTE_DESKTOP,
    &g_RSDSA_ATTR_POWER_UNITS,
    &g_RSDSA_ATTR_MEMORY_FILE_CATALOG_LENGTH,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_FILE_CATALOG,
    &g_RSDSA_ATTR_MEMORY_CURRENT_DIRECTORY,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_COPY_FILE_OR_DIRECTORY,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_MOVE_FILE_OR_DIRECTORY,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_CREATE_FILE,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_READ_FILE,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_DELETE_FILE,
    &g_RSDSA_ATTR_MEMORY_DIRECTORY_CATALOG_LENGTH,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_SUBDIRECTORY_CATALOG,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_CREATE_DIRECTORY,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_DELETE_DIRECTORY,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_SAVE_CONFIGURATION_FILE,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_LOAD_CONFIGURATION_FILE,
    &g_RSDSA_ATTR_MEMORY_LOAD_FACTORY_CONFIGURATION,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_SAVE_SCREEN_CAPTURE,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_SAVE_IQ_CONSTELLATION_DATA,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_STORE_TRACE_DATA,
    &g_RSDSA_ATTR_HIDDEN_MEMORY_EJECT_USB,
    &g_RSDSA_ATTR_STATUS_PRESET,
    &g_RSDSA_ATTR_QUERY_EVENT_STATUS_REGISTER,
    &g_RSDSA_ATTR_OPERATION_ENABLE_REGISTER,
    &g_RSDSA_ATTR_QUERY_OPERATIONAL_STATUS_REGISTER,
    &g_RSDSA_ATTR_QUERY_OPERATION_EVENT_REGISTER,
    &g_RSDSA_ATTR_QUESTIONABLE_ENABLE_REGISTER,
    &g_RSDSA_ATTR_QUERY_QUESTIONABLE_STATUS_REGISTER,
    &g_RSDSA_ATTR_QUERY_QUESTIONABLE_EVENT_REGISTER,
    &g_RSDSA_ATTR_SYSTEM_NETWORK_RESET,
    &g_RSDSA_ATTR_HIDDEN_SYSTEM_CONFIGURE_NETWORK,
    &g_RSDSA_ATTR_SYSTEM_CONFIGURE_NETWORK_TYPE,
    &g_RSDSA_ATTR_SYSTEM_QUERY_DSA_MAC_ADDRESS,
    &g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_IP_ADDRESS,
    &g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_SUBNET_MASK,
    &g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_GATEWAY,
    &g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_DESTINATION_IP_ADDRESS,
    &g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_DATA_RATE,
    &g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFD_NETWORK_OPTION,
    &g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFD_HOST_NAME,
    &g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFD_IP_ADDRESS,
    &g_RSDSA_ATTR_PRESET_DEVICE,
    &g_RSDSA_ATTR_RESET,
    &g_RSDSA_ATTR_ID_QUERY_RESPONSE,
    &g_RSDSA_ATTR_LOGGING,
    &g_RSDSA_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    &g_RSDSA_ATTR_ERROR_COUNT,
    &g_RSDSA_ATTR_ERROR_QUERY_ALL,
    &g_RSDSA_ATTR_ERROR_QUERY_LIST,
    &g_RSDSA_ATTR_QUEUE_NEXT,
    &g_RSDSA_ATTR_ERROR_QUERY_CODE_ALL,
    &g_RSDSA_ATTR_ERROR_QUERY_CODE,
    &g_RSDSA_ATTR_ERROR_CLEAR_ALL,
    &g_RSDSA_ATTR_SYSTEM_VERSION
  };
